#include <qaction.h>
#include <qbytearray.h>
#include <qcolor.h>
#include <qcoreevent.h>
#include <qdatetime.h>
#include <qdom.h>
#include <qevent.h>
#include <qfont.h>
#include <qimage.h>
#include <qline.h>
#include <qmatrix.h>
#include <qnamespace.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qpaintdevice.h>
#include <qpaintengine.h>
#include <qpainterpath.h>
#include <qpalette.h>
#include <qpixmap.h>
#include <qpoint.h>
#include <qpolygon.h>
#include <qprinter.h>
#include <qrect.h>
#include <qsize.h>
#include <qstyle.h>
#include <qtextdocument.h>
#include <qtextformat.h>
#include <qtextobject.h>
#include <qurl.h>
#include <qvariant.h>
#include <qwidget.h>
#include <kactioncollection.h>
#include <kcomponentdata.h>
#include <kconfigdialog.h>
#include <kicon.h>
#include <kurl.h>
#include <kxmlguiclient.h>
#include <okular/core/action.h>
#include <okular/core/annotations.h>
#include <okular/core/area.h>
#include <okular/core/document.h>
#include <okular/core/fileprinter.h>
#include <okular/core/fontinfo.h>
#include <okular/core/form.h>
#include <okular/core/generator.h>
#include <okular/core/page.h>
#include <okular/core/pagesize.h>
#include <okular/core/pagetransition.h>
#include <okular/core/sound.h>
#include <okular/core/sourcereference.h>
#include <okular/core/textdocumentgenerator.h>
#include <okular/core/textpage.h>
#include <okular/core/utils.h>
#include <okular/interfaces/configinterface.h>
#include <okular/interfaces/guiinterface.h>
#include <okular/interfaces/printinterface.h>

#include <smoke.h>

#include <okular_smoke.h>

static void *okular_cast(void *xptr, Smoke::Index from, Smoke::Index to) {
    switch(from) {
      case 1:	//KActionCollection
	switch(to) {
	    case 90: return (void*)(QObject*)(KActionCollection*)xptr;
	    case 1: return (void*)(KActionCollection*)(KActionCollection*)xptr;
	  default: return xptr;
	}
      case 2:	//KComponentData
	switch(to) {
	    case 2: return (void*)(KComponentData*)(KComponentData*)xptr;
	  default: return xptr;
	}
      case 3:	//KConfigDialog
	switch(to) {
	    case 118: return (void*)(QWidget*)(KConfigDialog*)xptr;
	    case 90: return (void*)(QObject*)(KConfigDialog*)xptr;
	    case 91: return (void*)(QPaintDevice*)(KConfigDialog*)xptr;
	    case 3: return (void*)(KConfigDialog*)(KConfigDialog*)xptr;
	  default: return xptr;
	}
      case 4:	//KIcon
	switch(to) {
	    case 4: return (void*)(KIcon*)(KIcon*)xptr;
	  default: return xptr;
	}
      case 5:	//KUrl
	switch(to) {
	    case 115: return (void*)(QUrl*)(KUrl*)xptr;
	    case 5: return (void*)(KUrl*)(KUrl*)xptr;
	  default: return xptr;
	}
      case 6:	//KXMLGUIClient
	switch(to) {
	    case 6: return (void*)(KXMLGUIClient*)(KXMLGUIClient*)xptr;
	    case 35: return (void*)(Okular::GuiInterface*)(KXMLGUIClient*)xptr;
	  default: return xptr;
	}
      case 8:	//Okular::Action
	switch(to) {
	    case 8: return (void*)(Okular::Action*)(Okular::Action*)xptr;
	    case 14: return (void*)(Okular::BrowseAction*)(Okular::Action*)xptr;
	    case 18: return (void*)(Okular::DocumentAction*)(Okular::Action*)xptr;
	    case 23: return (void*)(Okular::ExecuteAction*)(Okular::Action*)xptr;
	    case 34: return (void*)(Okular::GotoAction*)(Okular::Action*)xptr;
	    case 48: return (void*)(Okular::ScriptAction*)(Okular::Action*)xptr;
	    case 50: return (void*)(Okular::SoundAction*)(Okular::Action*)xptr;
	  default: return xptr;
	}
      case 9:	//Okular::Annotation
	switch(to) {
	    case 9: return (void*)(Okular::Annotation*)(Okular::Annotation*)xptr;
	    case 15: return (void*)(Okular::CaretAnnotation*)(Okular::Annotation*)xptr;
	    case 25: return (void*)(Okular::FileAttachmentAnnotation*)(Okular::Annotation*)xptr;
	    case 33: return (void*)(Okular::GeomAnnotation*)(Okular::Annotation*)xptr;
	    case 36: return (void*)(Okular::HighlightAnnotation*)(Okular::Annotation*)xptr;
	    case 37: return (void*)(Okular::InkAnnotation*)(Okular::Annotation*)xptr;
	    case 38: return (void*)(Okular::LineAnnotation*)(Okular::Annotation*)xptr;
	    case 51: return (void*)(Okular::SoundAnnotation*)(Okular::Annotation*)xptr;
	    case 54: return (void*)(Okular::StampAnnotation*)(Okular::Annotation*)xptr;
	    case 55: return (void*)(Okular::TextAnnotation*)(Okular::Annotation*)xptr;
	  default: return xptr;
	}
      case 10:	//Okular::Annotation::Style
	switch(to) {
	    case 10: return (void*)(Okular::Annotation::Style*)(Okular::Annotation::Style*)xptr;
	  default: return xptr;
	}
      case 11:	//Okular::Annotation::Window
	switch(to) {
	    case 11: return (void*)(Okular::Annotation::Window*)(Okular::Annotation::Window*)xptr;
	  default: return xptr;
	}
      case 12:	//Okular::AnnotationObjectRect
	switch(to) {
	    case 41: return (void*)(Okular::ObjectRect*)(Okular::AnnotationObjectRect*)xptr;
	    case 12: return (void*)(Okular::AnnotationObjectRect*)(Okular::AnnotationObjectRect*)xptr;
	  default: return xptr;
	}
      case 13:	//Okular::AnnotationUtils
	switch(to) {
	    case 13: return (void*)(Okular::AnnotationUtils*)(Okular::AnnotationUtils*)xptr;
	  default: return xptr;
	}
      case 14:	//Okular::BrowseAction
	switch(to) {
	    case 8: return (void*)(Okular::Action*)(Okular::BrowseAction*)xptr;
	    case 14: return (void*)(Okular::BrowseAction*)(Okular::BrowseAction*)xptr;
	  default: return xptr;
	}
      case 15:	//Okular::CaretAnnotation
	switch(to) {
	    case 9: return (void*)(Okular::Annotation*)(Okular::CaretAnnotation*)xptr;
	    case 15: return (void*)(Okular::CaretAnnotation*)(Okular::CaretAnnotation*)xptr;
	  default: return xptr;
	}
      case 16:	//Okular::ConfigInterface
	switch(to) {
	    case 16: return (void*)(Okular::ConfigInterface*)(Okular::ConfigInterface*)xptr;
	  default: return xptr;
	}
      case 17:	//Okular::Document
	switch(to) {
	    case 90: return (void*)(QObject*)(Okular::Document*)xptr;
	    case 17: return (void*)(Okular::Document*)(Okular::Document*)xptr;
	  default: return xptr;
	}
      case 18:	//Okular::DocumentAction
	switch(to) {
	    case 8: return (void*)(Okular::Action*)(Okular::DocumentAction*)xptr;
	    case 18: return (void*)(Okular::DocumentAction*)(Okular::DocumentAction*)xptr;
	  default: return xptr;
	}
      case 19:	//Okular::DocumentInfo
	switch(to) {
	    case 70: return (void*)(QDomDocument*)(Okular::DocumentInfo*)xptr;
	    case 72: return (void*)(QDomNode*)(Okular::DocumentInfo*)xptr;
	    case 19: return (void*)(Okular::DocumentInfo*)(Okular::DocumentInfo*)xptr;
	  default: return xptr;
	}
      case 20:	//Okular::DocumentSynopsis
	switch(to) {
	    case 70: return (void*)(QDomDocument*)(Okular::DocumentSynopsis*)xptr;
	    case 72: return (void*)(QDomNode*)(Okular::DocumentSynopsis*)xptr;
	    case 20: return (void*)(Okular::DocumentSynopsis*)(Okular::DocumentSynopsis*)xptr;
	  default: return xptr;
	}
      case 21:	//Okular::DocumentViewport
	switch(to) {
	    case 21: return (void*)(Okular::DocumentViewport*)(Okular::DocumentViewport*)xptr;
	  default: return xptr;
	}
      case 22:	//Okular::EmbeddedFile
	switch(to) {
	    case 22: return (void*)(Okular::EmbeddedFile*)(Okular::EmbeddedFile*)xptr;
	  default: return xptr;
	}
      case 23:	//Okular::ExecuteAction
	switch(to) {
	    case 8: return (void*)(Okular::Action*)(Okular::ExecuteAction*)xptr;
	    case 23: return (void*)(Okular::ExecuteAction*)(Okular::ExecuteAction*)xptr;
	  default: return xptr;
	}
      case 24:	//Okular::ExportFormat
	switch(to) {
	    case 24: return (void*)(Okular::ExportFormat*)(Okular::ExportFormat*)xptr;
	  default: return xptr;
	}
      case 25:	//Okular::FileAttachmentAnnotation
	switch(to) {
	    case 9: return (void*)(Okular::Annotation*)(Okular::FileAttachmentAnnotation*)xptr;
	    case 25: return (void*)(Okular::FileAttachmentAnnotation*)(Okular::FileAttachmentAnnotation*)xptr;
	  default: return xptr;
	}
      case 26:	//Okular::FilePrinter
	switch(to) {
	    case 26: return (void*)(Okular::FilePrinter*)(Okular::FilePrinter*)xptr;
	  default: return xptr;
	}
      case 27:	//Okular::FontInfo
	switch(to) {
	    case 27: return (void*)(Okular::FontInfo*)(Okular::FontInfo*)xptr;
	  default: return xptr;
	}
      case 28:	//Okular::FormField
	switch(to) {
	    case 28: return (void*)(Okular::FormField*)(Okular::FormField*)xptr;
	    case 29: return (void*)(Okular::FormFieldButton*)(Okular::FormField*)xptr;
	    case 30: return (void*)(Okular::FormFieldChoice*)(Okular::FormField*)xptr;
	    case 31: return (void*)(Okular::FormFieldText*)(Okular::FormField*)xptr;
	  default: return xptr;
	}
      case 29:	//Okular::FormFieldButton
	switch(to) {
	    case 28: return (void*)(Okular::FormField*)(Okular::FormFieldButton*)xptr;
	    case 29: return (void*)(Okular::FormFieldButton*)(Okular::FormFieldButton*)xptr;
	  default: return xptr;
	}
      case 30:	//Okular::FormFieldChoice
	switch(to) {
	    case 28: return (void*)(Okular::FormField*)(Okular::FormFieldChoice*)xptr;
	    case 30: return (void*)(Okular::FormFieldChoice*)(Okular::FormFieldChoice*)xptr;
	  default: return xptr;
	}
      case 31:	//Okular::FormFieldText
	switch(to) {
	    case 28: return (void*)(Okular::FormField*)(Okular::FormFieldText*)xptr;
	    case 31: return (void*)(Okular::FormFieldText*)(Okular::FormFieldText*)xptr;
	  default: return xptr;
	}
      case 32:	//Okular::Generator
	switch(to) {
	    case 90: return (void*)(QObject*)(Okular::Generator*)xptr;
	    case 32: return (void*)(Okular::Generator*)(Okular::Generator*)xptr;
	    case 57: return (void*)(Okular::TextDocumentGenerator*)(Okular::Generator*)xptr;
	  default: return xptr;
	}
      case 33:	//Okular::GeomAnnotation
	switch(to) {
	    case 9: return (void*)(Okular::Annotation*)(Okular::GeomAnnotation*)xptr;
	    case 33: return (void*)(Okular::GeomAnnotation*)(Okular::GeomAnnotation*)xptr;
	  default: return xptr;
	}
      case 34:	//Okular::GotoAction
	switch(to) {
	    case 8: return (void*)(Okular::Action*)(Okular::GotoAction*)xptr;
	    case 34: return (void*)(Okular::GotoAction*)(Okular::GotoAction*)xptr;
	  default: return xptr;
	}
      case 35:	//Okular::GuiInterface
	switch(to) {
	    case 6: return (void*)(KXMLGUIClient*)(Okular::GuiInterface*)xptr;
	    case 35: return (void*)(Okular::GuiInterface*)(Okular::GuiInterface*)xptr;
	  default: return xptr;
	}
      case 36:	//Okular::HighlightAnnotation
	switch(to) {
	    case 9: return (void*)(Okular::Annotation*)(Okular::HighlightAnnotation*)xptr;
	    case 36: return (void*)(Okular::HighlightAnnotation*)(Okular::HighlightAnnotation*)xptr;
	  default: return xptr;
	}
      case 37:	//Okular::InkAnnotation
	switch(to) {
	    case 9: return (void*)(Okular::Annotation*)(Okular::InkAnnotation*)xptr;
	    case 37: return (void*)(Okular::InkAnnotation*)(Okular::InkAnnotation*)xptr;
	  default: return xptr;
	}
      case 38:	//Okular::LineAnnotation
	switch(to) {
	    case 9: return (void*)(Okular::Annotation*)(Okular::LineAnnotation*)xptr;
	    case 38: return (void*)(Okular::LineAnnotation*)(Okular::LineAnnotation*)xptr;
	  default: return xptr;
	}
      case 39:	//Okular::NormalizedPoint
	switch(to) {
	    case 39: return (void*)(Okular::NormalizedPoint*)(Okular::NormalizedPoint*)xptr;
	  default: return xptr;
	}
      case 40:	//Okular::NormalizedRect
	switch(to) {
	    case 40: return (void*)(Okular::NormalizedRect*)(Okular::NormalizedRect*)xptr;
	  default: return xptr;
	}
      case 41:	//Okular::ObjectRect
	switch(to) {
	    case 41: return (void*)(Okular::ObjectRect*)(Okular::ObjectRect*)xptr;
	    case 12: return (void*)(Okular::AnnotationObjectRect*)(Okular::ObjectRect*)xptr;
	    case 52: return (void*)(Okular::SourceRefObjectRect*)(Okular::ObjectRect*)xptr;
	  default: return xptr;
	}
      case 42:	//Okular::Page
	switch(to) {
	    case 42: return (void*)(Okular::Page*)(Okular::Page*)xptr;
	  default: return xptr;
	}
      case 43:	//Okular::PageSize
	switch(to) {
	    case 43: return (void*)(Okular::PageSize*)(Okular::PageSize*)xptr;
	  default: return xptr;
	}
      case 44:	//Okular::PageTransition
	switch(to) {
	    case 44: return (void*)(Okular::PageTransition*)(Okular::PageTransition*)xptr;
	  default: return xptr;
	}
      case 45:	//Okular::PixmapRequest
	switch(to) {
	    case 45: return (void*)(Okular::PixmapRequest*)(Okular::PixmapRequest*)xptr;
	  default: return xptr;
	}
      case 46:	//Okular::PrintInterface
	switch(to) {
	    case 46: return (void*)(Okular::PrintInterface*)(Okular::PrintInterface*)xptr;
	  default: return xptr;
	}
      case 47:	//Okular::RegularAreaRect
	switch(to) {
	    case 47: return (void*)(Okular::RegularAreaRect*)(Okular::RegularAreaRect*)xptr;
	  default: return xptr;
	}
      case 48:	//Okular::ScriptAction
	switch(to) {
	    case 8: return (void*)(Okular::Action*)(Okular::ScriptAction*)xptr;
	    case 48: return (void*)(Okular::ScriptAction*)(Okular::ScriptAction*)xptr;
	  default: return xptr;
	}
      case 49:	//Okular::Sound
	switch(to) {
	    case 49: return (void*)(Okular::Sound*)(Okular::Sound*)xptr;
	  default: return xptr;
	}
      case 50:	//Okular::SoundAction
	switch(to) {
	    case 8: return (void*)(Okular::Action*)(Okular::SoundAction*)xptr;
	    case 50: return (void*)(Okular::SoundAction*)(Okular::SoundAction*)xptr;
	  default: return xptr;
	}
      case 51:	//Okular::SoundAnnotation
	switch(to) {
	    case 9: return (void*)(Okular::Annotation*)(Okular::SoundAnnotation*)xptr;
	    case 51: return (void*)(Okular::SoundAnnotation*)(Okular::SoundAnnotation*)xptr;
	  default: return xptr;
	}
      case 52:	//Okular::SourceRefObjectRect
	switch(to) {
	    case 41: return (void*)(Okular::ObjectRect*)(Okular::SourceRefObjectRect*)xptr;
	    case 52: return (void*)(Okular::SourceRefObjectRect*)(Okular::SourceRefObjectRect*)xptr;
	  default: return xptr;
	}
      case 53:	//Okular::SourceReference
	switch(to) {
	    case 53: return (void*)(Okular::SourceReference*)(Okular::SourceReference*)xptr;
	  default: return xptr;
	}
      case 54:	//Okular::StampAnnotation
	switch(to) {
	    case 9: return (void*)(Okular::Annotation*)(Okular::StampAnnotation*)xptr;
	    case 54: return (void*)(Okular::StampAnnotation*)(Okular::StampAnnotation*)xptr;
	  default: return xptr;
	}
      case 55:	//Okular::TextAnnotation
	switch(to) {
	    case 9: return (void*)(Okular::Annotation*)(Okular::TextAnnotation*)xptr;
	    case 55: return (void*)(Okular::TextAnnotation*)(Okular::TextAnnotation*)xptr;
	  default: return xptr;
	}
      case 56:	//Okular::TextDocumentConverter
	switch(to) {
	    case 90: return (void*)(QObject*)(Okular::TextDocumentConverter*)xptr;
	    case 56: return (void*)(Okular::TextDocumentConverter*)(Okular::TextDocumentConverter*)xptr;
	  default: return xptr;
	}
      case 57:	//Okular::TextDocumentGenerator
	switch(to) {
	    case 32: return (void*)(Okular::Generator*)(Okular::TextDocumentGenerator*)xptr;
	    case 90: return (void*)(QObject*)(Okular::TextDocumentGenerator*)xptr;
	    case 57: return (void*)(Okular::TextDocumentGenerator*)(Okular::TextDocumentGenerator*)xptr;
	  default: return xptr;
	}
      case 58:	//Okular::TextEntity
	switch(to) {
	    case 58: return (void*)(Okular::TextEntity*)(Okular::TextEntity*)xptr;
	  default: return xptr;
	}
      case 59:	//Okular::TextPage
	switch(to) {
	    case 59: return (void*)(Okular::TextPage*)(Okular::TextPage*)xptr;
	  default: return xptr;
	}
      case 60:	//Okular::Utils
	switch(to) {
	    case 60: return (void*)(Okular::Utils*)(Okular::Utils*)xptr;
	  default: return xptr;
	}
      case 61:	//Okular::VisiblePageRect
	switch(to) {
	    case 61: return (void*)(Okular::VisiblePageRect*)(Okular::VisiblePageRect*)xptr;
	  default: return xptr;
	}
      case 62:	//QAction
	switch(to) {
	    case 90: return (void*)(QObject*)(QAction*)xptr;
	    case 62: return (void*)(QAction*)(QAction*)xptr;
	  default: return xptr;
	}
      case 63:	//QActionEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QActionEvent*)xptr;
	    case 63: return (void*)(QActionEvent*)(QActionEvent*)xptr;
	  default: return xptr;
	}
      case 64:	//QByteArray
	switch(to) {
	    case 64: return (void*)(QByteArray*)(QByteArray*)xptr;
	  default: return xptr;
	}
      case 65:	//QChildEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QChildEvent*)xptr;
	    case 65: return (void*)(QChildEvent*)(QChildEvent*)xptr;
	  default: return xptr;
	}
      case 66:	//QCloseEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QCloseEvent*)xptr;
	    case 66: return (void*)(QCloseEvent*)(QCloseEvent*)xptr;
	  default: return xptr;
	}
      case 67:	//QColor
	switch(to) {
	    case 67: return (void*)(QColor*)(QColor*)xptr;
	  default: return xptr;
	}
      case 68:	//QContextMenuEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
	    case 68: return (void*)(QContextMenuEvent*)(QContextMenuEvent*)xptr;
	  default: return xptr;
	}
      case 69:	//QDateTime
	switch(to) {
	    case 69: return (void*)(QDateTime*)(QDateTime*)xptr;
	  default: return xptr;
	}
      case 70:	//QDomDocument
	switch(to) {
	    case 72: return (void*)(QDomNode*)(QDomDocument*)xptr;
	    case 70: return (void*)(QDomDocument*)(QDomDocument*)xptr;
	    case 19: return (void*)(Okular::DocumentInfo*)(QDomDocument*)xptr;
	    case 20: return (void*)(Okular::DocumentSynopsis*)(QDomDocument*)xptr;
	  default: return xptr;
	}
      case 71:	//QDomElement
	switch(to) {
	    case 72: return (void*)(QDomNode*)(QDomElement*)xptr;
	    case 71: return (void*)(QDomElement*)(QDomElement*)xptr;
	  default: return xptr;
	}
      case 72:	//QDomNode
	switch(to) {
	    case 72: return (void*)(QDomNode*)(QDomNode*)xptr;
	    case 19: return (void*)(Okular::DocumentInfo*)(QDomNode*)xptr;
	    case 20: return (void*)(Okular::DocumentSynopsis*)(QDomNode*)xptr;
	    case 70: return (void*)(QDomDocument*)(QDomNode*)xptr;
	    case 71: return (void*)(QDomElement*)(QDomNode*)xptr;
	  default: return xptr;
	}
      case 73:	//QDragEnterEvent
	switch(to) {
	    case 75: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
	    case 76: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
	    case 77: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
	    case 73: return (void*)(QDragEnterEvent*)(QDragEnterEvent*)xptr;
	  default: return xptr;
	}
      case 74:	//QDragLeaveEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
	    case 74: return (void*)(QDragLeaveEvent*)(QDragLeaveEvent*)xptr;
	  default: return xptr;
	}
      case 75:	//QDragMoveEvent
	switch(to) {
	    case 76: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
	    case 77: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
	    case 75: return (void*)(QDragMoveEvent*)(QDragMoveEvent*)xptr;
	    case 73: return (void*)(QDragEnterEvent*)(QDragMoveEvent*)xptr;
	  default: return xptr;
	}
      case 76:	//QDropEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QDropEvent*)xptr;
	    case 76: return (void*)(QDropEvent*)(QDropEvent*)xptr;
	    case 73: return (void*)(QDragEnterEvent*)(QDropEvent*)xptr;
	    case 75: return (void*)(QDragMoveEvent*)(QDropEvent*)xptr;
	  default: return xptr;
	}
      case 77:	//QEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QEvent*)xptr;
	    case 63: return (void*)(QActionEvent*)(QEvent*)xptr;
	    case 65: return (void*)(QChildEvent*)(QEvent*)xptr;
	    case 66: return (void*)(QCloseEvent*)(QEvent*)xptr;
	    case 68: return (void*)(QContextMenuEvent*)(QEvent*)xptr;
	    case 73: return (void*)(QDragEnterEvent*)(QEvent*)xptr;
	    case 74: return (void*)(QDragLeaveEvent*)(QEvent*)xptr;
	    case 75: return (void*)(QDragMoveEvent*)(QEvent*)xptr;
	    case 76: return (void*)(QDropEvent*)(QEvent*)xptr;
	    case 78: return (void*)(QFocusEvent*)(QEvent*)xptr;
	    case 80: return (void*)(QHideEvent*)(QEvent*)xptr;
	    case 82: return (void*)(QInputMethodEvent*)(QEvent*)xptr;
	    case 83: return (void*)(QKeyEvent*)(QEvent*)xptr;
	    case 88: return (void*)(QMouseEvent*)(QEvent*)xptr;
	    case 89: return (void*)(QMoveEvent*)(QEvent*)xptr;
	    case 94: return (void*)(QPaintEvent*)(QEvent*)xptr;
	    case 104: return (void*)(QResizeEvent*)(QEvent*)xptr;
	    case 105: return (void*)(QShowEvent*)(QEvent*)xptr;
	    case 109: return (void*)(QTabletEvent*)(QEvent*)xptr;
	    case 114: return (void*)(QTimerEvent*)(QEvent*)xptr;
	    case 117: return (void*)(QWheelEvent*)(QEvent*)xptr;
	  default: return xptr;
	}
      case 78:	//QFocusEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QFocusEvent*)xptr;
	    case 78: return (void*)(QFocusEvent*)(QFocusEvent*)xptr;
	  default: return xptr;
	}
      case 79:	//QFont
	switch(to) {
	    case 79: return (void*)(QFont*)(QFont*)xptr;
	  default: return xptr;
	}
      case 80:	//QHideEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QHideEvent*)xptr;
	    case 80: return (void*)(QHideEvent*)(QHideEvent*)xptr;
	  default: return xptr;
	}
      case 81:	//QImage
	switch(to) {
	    case 91: return (void*)(QPaintDevice*)(QImage*)xptr;
	    case 81: return (void*)(QImage*)(QImage*)xptr;
	  default: return xptr;
	}
      case 82:	//QInputMethodEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
	    case 82: return (void*)(QInputMethodEvent*)(QInputMethodEvent*)xptr;
	  default: return xptr;
	}
      case 83:	//QKeyEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QKeyEvent*)xptr;
	    case 83: return (void*)(QKeyEvent*)(QKeyEvent*)xptr;
	  default: return xptr;
	}
      case 84:	//QLine
	switch(to) {
	    case 84: return (void*)(QLine*)(QLine*)xptr;
	  default: return xptr;
	}
      case 85:	//QLineF
	switch(to) {
	    case 85: return (void*)(QLineF*)(QLineF*)xptr;
	  default: return xptr;
	}
      case 86:	//QMatrix
	switch(to) {
	    case 86: return (void*)(QMatrix*)(QMatrix*)xptr;
	  default: return xptr;
	}
      case 87:	//QMetaObject
	switch(to) {
	    case 87: return (void*)(QMetaObject*)(QMetaObject*)xptr;
	  default: return xptr;
	}
      case 88:	//QMouseEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QMouseEvent*)xptr;
	    case 88: return (void*)(QMouseEvent*)(QMouseEvent*)xptr;
	  default: return xptr;
	}
      case 89:	//QMoveEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QMoveEvent*)xptr;
	    case 89: return (void*)(QMoveEvent*)(QMoveEvent*)xptr;
	  default: return xptr;
	}
      case 90:	//QObject
	switch(to) {
	    case 90: return (void*)(QObject*)(QObject*)xptr;
	    case 1: return (void*)(KActionCollection*)(QObject*)xptr;
	    case 3: return (void*)(KConfigDialog*)(QObject*)xptr;
	    case 17: return (void*)(Okular::Document*)(QObject*)xptr;
	    case 32: return (void*)(Okular::Generator*)(QObject*)xptr;
	    case 56: return (void*)(Okular::TextDocumentConverter*)(QObject*)xptr;
	    case 57: return (void*)(Okular::TextDocumentGenerator*)(QObject*)xptr;
	    case 62: return (void*)(QAction*)(QObject*)xptr;
	    case 108: return (void*)(QStyle*)(QObject*)xptr;
	    case 111: return (void*)(QTextDocument*)(QObject*)xptr;
	    case 113: return (void*)(QTextObject*)(QObject*)xptr;
	    case 118: return (void*)(QWidget*)(QObject*)xptr;
	  default: return xptr;
	}
      case 91:	//QPaintDevice
	switch(to) {
	    case 91: return (void*)(QPaintDevice*)(QPaintDevice*)xptr;
	    case 3: return (void*)(KConfigDialog*)(QPaintDevice*)xptr;
	    case 81: return (void*)(QImage*)(QPaintDevice*)xptr;
	    case 97: return (void*)(QPixmap*)(QPaintDevice*)xptr;
	    case 101: return (void*)(QPrinter*)(QPaintDevice*)xptr;
	    case 118: return (void*)(QWidget*)(QPaintDevice*)xptr;
	  default: return xptr;
	}
      case 92:	//QPaintEngine
	switch(to) {
	    case 92: return (void*)(QPaintEngine*)(QPaintEngine*)xptr;
	  default: return xptr;
	}
      case 93:	//QPaintEngineState
	switch(to) {
	    case 93: return (void*)(QPaintEngineState*)(QPaintEngineState*)xptr;
	  default: return xptr;
	}
      case 94:	//QPaintEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QPaintEvent*)xptr;
	    case 94: return (void*)(QPaintEvent*)(QPaintEvent*)xptr;
	  default: return xptr;
	}
      case 95:	//QPainterPath
	switch(to) {
	    case 95: return (void*)(QPainterPath*)(QPainterPath*)xptr;
	  default: return xptr;
	}
      case 96:	//QPalette
	switch(to) {
	    case 96: return (void*)(QPalette*)(QPalette*)xptr;
	  default: return xptr;
	}
      case 97:	//QPixmap
	switch(to) {
	    case 91: return (void*)(QPaintDevice*)(QPixmap*)xptr;
	    case 97: return (void*)(QPixmap*)(QPixmap*)xptr;
	  default: return xptr;
	}
      case 98:	//QPoint
	switch(to) {
	    case 98: return (void*)(QPoint*)(QPoint*)xptr;
	  default: return xptr;
	}
      case 99:	//QPointF
	switch(to) {
	    case 99: return (void*)(QPointF*)(QPointF*)xptr;
	  default: return xptr;
	}
      case 100:	//QPolygonF
	switch(to) {
	    case 100: return (void*)(QPolygonF*)(QPolygonF*)xptr;
	  default: return xptr;
	}
      case 101:	//QPrinter
	switch(to) {
	    case 91: return (void*)(QPaintDevice*)(QPrinter*)xptr;
	    case 101: return (void*)(QPrinter*)(QPrinter*)xptr;
	  default: return xptr;
	}
      case 102:	//QRect
	switch(to) {
	    case 102: return (void*)(QRect*)(QRect*)xptr;
	  default: return xptr;
	}
      case 103:	//QRectF
	switch(to) {
	    case 103: return (void*)(QRectF*)(QRectF*)xptr;
	  default: return xptr;
	}
      case 104:	//QResizeEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QResizeEvent*)xptr;
	    case 104: return (void*)(QResizeEvent*)(QResizeEvent*)xptr;
	  default: return xptr;
	}
      case 105:	//QShowEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QShowEvent*)xptr;
	    case 105: return (void*)(QShowEvent*)(QShowEvent*)xptr;
	  default: return xptr;
	}
      case 106:	//QSize
	switch(to) {
	    case 106: return (void*)(QSize*)(QSize*)xptr;
	  default: return xptr;
	}
      case 107:	//QSizeF
	switch(to) {
	    case 107: return (void*)(QSizeF*)(QSizeF*)xptr;
	  default: return xptr;
	}
      case 108:	//QStyle
	switch(to) {
	    case 90: return (void*)(QObject*)(QStyle*)xptr;
	    case 108: return (void*)(QStyle*)(QStyle*)xptr;
	  default: return xptr;
	}
      case 109:	//QTabletEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QTabletEvent*)xptr;
	    case 109: return (void*)(QTabletEvent*)(QTabletEvent*)xptr;
	  default: return xptr;
	}
      case 110:	//QTextBlock
	switch(to) {
	    case 110: return (void*)(QTextBlock*)(QTextBlock*)xptr;
	  default: return xptr;
	}
      case 111:	//QTextDocument
	switch(to) {
	    case 90: return (void*)(QObject*)(QTextDocument*)xptr;
	    case 111: return (void*)(QTextDocument*)(QTextDocument*)xptr;
	  default: return xptr;
	}
      case 112:	//QTextFormat
	switch(to) {
	    case 112: return (void*)(QTextFormat*)(QTextFormat*)xptr;
	  default: return xptr;
	}
      case 113:	//QTextObject
	switch(to) {
	    case 90: return (void*)(QObject*)(QTextObject*)xptr;
	    case 113: return (void*)(QTextObject*)(QTextObject*)xptr;
	  default: return xptr;
	}
      case 114:	//QTimerEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QTimerEvent*)xptr;
	    case 114: return (void*)(QTimerEvent*)(QTimerEvent*)xptr;
	  default: return xptr;
	}
      case 115:	//QUrl
	switch(to) {
	    case 115: return (void*)(QUrl*)(QUrl*)xptr;
	    case 5: return (void*)(KUrl*)(QUrl*)xptr;
	  default: return xptr;
	}
      case 116:	//QVariant
	switch(to) {
	    case 116: return (void*)(QVariant*)(QVariant*)xptr;
	  default: return xptr;
	}
      case 117:	//QWheelEvent
	switch(to) {
	    case 77: return (void*)(QEvent*)(QWheelEvent*)xptr;
	    case 117: return (void*)(QWheelEvent*)(QWheelEvent*)xptr;
	  default: return xptr;
	}
      case 118:	//QWidget
	switch(to) {
	    case 90: return (void*)(QObject*)(QWidget*)xptr;
	    case 91: return (void*)(QPaintDevice*)(QWidget*)xptr;
	    case 118: return (void*)(QWidget*)(QWidget*)xptr;
	    case 3: return (void*)(KConfigDialog*)(QWidget*)xptr;
	  default: return xptr;
	}
      default: return xptr;
    }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index okular_inheritanceList[] = {
	0,	// 0: (no super class)
	41, 0,	// 1: Okular::ObjectRect
	8, 0,	// 3: Okular::Action
	9, 0,	// 5: Okular::Annotation
	90, 0,	// 7: QObject
	70, 0,	// 9: QDomDocument
	28, 0,	// 11: Okular::FormField
	6, 0,	// 13: KXMLGUIClient
	32, 0,	// 15: Okular::Generator
};

// These are the xenum functions for manipulating enum pointers
void xenum_Okular__LineAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__GeomAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Action(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentViewport(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FilePrinter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldButton(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__CaretAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__HighlightAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Annotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Generator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Document(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__TextAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FontInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Page(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ObjectRect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Sound(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldChoice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldText(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__PageTransition(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentAction(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ExportFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Okular__Action(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Annotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationUtils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__BrowseAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__CaretAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentSynopsis(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentViewport(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__EmbeddedFile(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExecuteAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExportFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FileAttachmentAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FilePrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FontInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormField(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldChoice(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldText(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Generator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GeomAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GotoAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GuiInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__HighlightAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__InkAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__LineAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedPoint(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Page(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageSize(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageTransition(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PixmapRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PrintInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__RegularAreaRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ScriptAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Sound(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceRefObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceReference(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__StampAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentConverter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Utils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__VisiblePageRect(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, index into inheritanceList, method dispatcher, enum dispatcher, class flags
static Smoke::Class okular_classes[] = {
	{ 0L, false, 0, 0, 0, 0 }, 	// 0 (no class)
	{ "KActionCollection", true, 0, 0, 0, 0 }, 	// 1
	{ "KComponentData", true, 0, 0, 0, 0 }, 	// 2
	{ "KConfigDialog", true, 0, 0, 0, 0 }, 	// 3
	{ "KIcon", true, 0, 0, 0, 0 }, 	// 4
	{ "KUrl", true, 0, 0, 0, 0 }, 	// 5
	{ "KXMLGUIClient", true, 0, 0, 0, 0 }, 	// 6
	{ "Okular", true, 0, 0, 0, 0 }, 	// 7
	{ "Okular::Action", false, 0, xcall_Okular__Action, xenum_Okular__Action, Smoke::cf_constructor|Smoke::cf_virtual }, 	//8
	{ "Okular::Annotation", false, 0, xcall_Okular__Annotation, xenum_Okular__Annotation, Smoke::cf_constructor|Smoke::cf_virtual }, 	//9
	{ "Okular::Annotation::Style", true, 0, 0, 0, 0 }, 	// 10
	{ "Okular::Annotation::Window", true, 0, 0, 0, 0 }, 	// 11
	{ "Okular::AnnotationObjectRect", false, 1, xcall_Okular__AnnotationObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//12
	{ "Okular::AnnotationUtils", false, 0, xcall_Okular__AnnotationUtils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//13
	{ "Okular::BrowseAction", false, 3, xcall_Okular__BrowseAction, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//14
	{ "Okular::CaretAnnotation", false, 5, xcall_Okular__CaretAnnotation, xenum_Okular__CaretAnnotation, Smoke::cf_constructor|Smoke::cf_virtual }, 	//15
	{ "Okular::ConfigInterface", false, 0, xcall_Okular__ConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//16
	{ "Okular::Document", false, 7, xcall_Okular__Document, xenum_Okular__Document, Smoke::cf_constructor|Smoke::cf_virtual }, 	//17
	{ "Okular::DocumentAction", false, 3, xcall_Okular__DocumentAction, xenum_Okular__DocumentAction, Smoke::cf_constructor|Smoke::cf_virtual }, 	//18
	{ "Okular::DocumentInfo", false, 9, xcall_Okular__DocumentInfo, xenum_Okular__DocumentInfo, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//19
	{ "Okular::DocumentSynopsis", false, 9, xcall_Okular__DocumentSynopsis, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//20
	{ "Okular::DocumentViewport", false, 0, xcall_Okular__DocumentViewport, xenum_Okular__DocumentViewport, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//21
	{ "Okular::EmbeddedFile", false, 0, xcall_Okular__EmbeddedFile, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//22
	{ "Okular::ExecuteAction", false, 3, xcall_Okular__ExecuteAction, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//23
	{ "Okular::ExportFormat", false, 0, xcall_Okular__ExportFormat, xenum_Okular__ExportFormat, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//24
	{ "Okular::FileAttachmentAnnotation", false, 5, xcall_Okular__FileAttachmentAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//25
	{ "Okular::FilePrinter", false, 0, xcall_Okular__FilePrinter, xenum_Okular__FilePrinter, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//26
	{ "Okular::FontInfo", false, 0, xcall_Okular__FontInfo, xenum_Okular__FontInfo, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//27
	{ "Okular::FormField", false, 0, xcall_Okular__FormField, xenum_Okular__FormField, Smoke::cf_constructor|Smoke::cf_virtual }, 	//28
	{ "Okular::FormFieldButton", false, 11, xcall_Okular__FormFieldButton, xenum_Okular__FormFieldButton, Smoke::cf_constructor|Smoke::cf_virtual }, 	//29
	{ "Okular::FormFieldChoice", false, 11, xcall_Okular__FormFieldChoice, xenum_Okular__FormFieldChoice, Smoke::cf_constructor|Smoke::cf_virtual }, 	//30
	{ "Okular::FormFieldText", false, 11, xcall_Okular__FormFieldText, xenum_Okular__FormFieldText, Smoke::cf_constructor|Smoke::cf_virtual }, 	//31
	{ "Okular::Generator", false, 7, xcall_Okular__Generator, xenum_Okular__Generator, Smoke::cf_constructor|Smoke::cf_virtual }, 	//32
	{ "Okular::GeomAnnotation", false, 5, xcall_Okular__GeomAnnotation, xenum_Okular__GeomAnnotation, Smoke::cf_constructor|Smoke::cf_virtual }, 	//33
	{ "Okular::GotoAction", false, 3, xcall_Okular__GotoAction, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//34
	{ "Okular::GuiInterface", false, 13, xcall_Okular__GuiInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//35
	{ "Okular::HighlightAnnotation", false, 5, xcall_Okular__HighlightAnnotation, xenum_Okular__HighlightAnnotation, Smoke::cf_constructor|Smoke::cf_virtual }, 	//36
	{ "Okular::InkAnnotation", false, 5, xcall_Okular__InkAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//37
	{ "Okular::LineAnnotation", false, 5, xcall_Okular__LineAnnotation, xenum_Okular__LineAnnotation, Smoke::cf_constructor|Smoke::cf_virtual }, 	//38
	{ "Okular::NormalizedPoint", false, 0, xcall_Okular__NormalizedPoint, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//39
	{ "Okular::NormalizedRect", false, 0, xcall_Okular__NormalizedRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//40
	{ "Okular::ObjectRect", false, 0, xcall_Okular__ObjectRect, xenum_Okular__ObjectRect, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//41
	{ "Okular::Page", false, 0, xcall_Okular__Page, xenum_Okular__Page, Smoke::cf_constructor }, 	//42
	{ "Okular::PageSize", false, 0, xcall_Okular__PageSize, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//43
	{ "Okular::PageTransition", false, 0, xcall_Okular__PageTransition, xenum_Okular__PageTransition, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//44
	{ "Okular::PixmapRequest", false, 0, xcall_Okular__PixmapRequest, 0, Smoke::cf_constructor }, 	//45
	{ "Okular::PrintInterface", false, 0, xcall_Okular__PrintInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//46
	{ "Okular::RegularAreaRect", false, 0, xcall_Okular__RegularAreaRect, 0, Smoke::cf_constructor }, 	//47
	{ "Okular::ScriptAction", false, 3, xcall_Okular__ScriptAction, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//48
	{ "Okular::Sound", false, 0, xcall_Okular__Sound, xenum_Okular__Sound, Smoke::cf_constructor }, 	//49
	{ "Okular::SoundAction", false, 3, xcall_Okular__SoundAction, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//50
	{ "Okular::SoundAnnotation", false, 5, xcall_Okular__SoundAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//51
	{ "Okular::SourceRefObjectRect", false, 1, xcall_Okular__SourceRefObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//52
	{ "Okular::SourceReference", false, 0, xcall_Okular__SourceReference, 0, Smoke::cf_constructor }, 	//53
	{ "Okular::StampAnnotation", false, 5, xcall_Okular__StampAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//54
	{ "Okular::TextAnnotation", false, 5, xcall_Okular__TextAnnotation, xenum_Okular__TextAnnotation, Smoke::cf_constructor|Smoke::cf_virtual }, 	//55
	{ "Okular::TextDocumentConverter", false, 7, xcall_Okular__TextDocumentConverter, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//56
	{ "Okular::TextDocumentGenerator", false, 15, xcall_Okular__TextDocumentGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//57
	{ "Okular::TextEntity", false, 0, xcall_Okular__TextEntity, 0, Smoke::cf_constructor }, 	//58
	{ "Okular::TextPage", false, 0, xcall_Okular__TextPage, 0, Smoke::cf_constructor }, 	//59
	{ "Okular::Utils", false, 0, xcall_Okular__Utils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//60
	{ "Okular::VisiblePageRect", false, 0, xcall_Okular__VisiblePageRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//61
	{ "QAction", true, 0, 0, 0, 0 }, 	// 62
	{ "QActionEvent", true, 0, 0, 0, 0 }, 	// 63
	{ "QByteArray", true, 0, 0, 0, 0 }, 	// 64
	{ "QChildEvent", true, 0, 0, 0, 0 }, 	// 65
	{ "QCloseEvent", true, 0, 0, 0, 0 }, 	// 66
	{ "QColor", true, 0, 0, 0, 0 }, 	// 67
	{ "QContextMenuEvent", true, 0, 0, 0, 0 }, 	// 68
	{ "QDateTime", true, 0, 0, 0, 0 }, 	// 69
	{ "QDomDocument", true, 0, 0, 0, 0 }, 	// 70
	{ "QDomElement", true, 0, 0, 0, 0 }, 	// 71
	{ "QDomNode", true, 0, 0, 0, 0 }, 	// 72
	{ "QDragEnterEvent", true, 0, 0, 0, 0 }, 	// 73
	{ "QDragLeaveEvent", true, 0, 0, 0, 0 }, 	// 74
	{ "QDragMoveEvent", true, 0, 0, 0, 0 }, 	// 75
	{ "QDropEvent", true, 0, 0, 0, 0 }, 	// 76
	{ "QEvent", true, 0, 0, 0, 0 }, 	// 77
	{ "QFocusEvent", true, 0, 0, 0, 0 }, 	// 78
	{ "QFont", true, 0, 0, 0, 0 }, 	// 79
	{ "QHideEvent", true, 0, 0, 0, 0 }, 	// 80
	{ "QImage", true, 0, 0, 0, 0 }, 	// 81
	{ "QInputMethodEvent", true, 0, 0, 0, 0 }, 	// 82
	{ "QKeyEvent", true, 0, 0, 0, 0 }, 	// 83
	{ "QLine", true, 0, 0, 0, 0 }, 	// 84
	{ "QLineF", true, 0, 0, 0, 0 }, 	// 85
	{ "QMatrix", true, 0, 0, 0, 0 }, 	// 86
	{ "QMetaObject", true, 0, 0, 0, 0 }, 	// 87
	{ "QMouseEvent", true, 0, 0, 0, 0 }, 	// 88
	{ "QMoveEvent", true, 0, 0, 0, 0 }, 	// 89
	{ "QObject", true, 0, 0, 0, 0 }, 	// 90
	{ "QPaintDevice", true, 0, 0, 0, 0 }, 	// 91
	{ "QPaintEngine", true, 0, 0, 0, 0 }, 	// 92
	{ "QPaintEngineState", true, 0, 0, 0, 0 }, 	// 93
	{ "QPaintEvent", true, 0, 0, 0, 0 }, 	// 94
	{ "QPainterPath", true, 0, 0, 0, 0 }, 	// 95
	{ "QPalette", true, 0, 0, 0, 0 }, 	// 96
	{ "QPixmap", true, 0, 0, 0, 0 }, 	// 97
	{ "QPoint", true, 0, 0, 0, 0 }, 	// 98
	{ "QPointF", true, 0, 0, 0, 0 }, 	// 99
	{ "QPolygonF", true, 0, 0, 0, 0 }, 	// 100
	{ "QPrinter", true, 0, 0, 0, 0 }, 	// 101
	{ "QRect", true, 0, 0, 0, 0 }, 	// 102
	{ "QRectF", true, 0, 0, 0, 0 }, 	// 103
	{ "QResizeEvent", true, 0, 0, 0, 0 }, 	// 104
	{ "QShowEvent", true, 0, 0, 0, 0 }, 	// 105
	{ "QSize", true, 0, 0, 0, 0 }, 	// 106
	{ "QSizeF", true, 0, 0, 0, 0 }, 	// 107
	{ "QStyle", true, 0, 0, 0, 0 }, 	// 108
	{ "QTabletEvent", true, 0, 0, 0, 0 }, 	// 109
	{ "QTextBlock", true, 0, 0, 0, 0 }, 	// 110
	{ "QTextDocument", true, 0, 0, 0, 0 }, 	// 111
	{ "QTextFormat", true, 0, 0, 0, 0 }, 	// 112
	{ "QTextObject", true, 0, 0, 0, 0 }, 	// 113
	{ "QTimerEvent", true, 0, 0, 0, 0 }, 	// 114
	{ "QUrl", true, 0, 0, 0, 0 }, 	// 115
	{ "QVariant", true, 0, 0, 0, 0 }, 	// 116
	{ "QWheelEvent", true, 0, 0, 0, 0 }, 	// 117
	{ "QWidget", true, 0, 0, 0, 0 }, 	// 118
	{ "Qt", true, 0, 0, 0, 0 }, 	// 119
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type okular_types[] = {
	{ 0, 0, 0 },	//0 (no type)
	{ "Action*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//1
	{ "Annotation*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//2
	{ "DisposeDataFunction", 0, Smoke::t_voidp | Smoke::tf_stack },	//3
	{ "DocumentInfo::Key", 0, Smoke::t_voidp | Smoke::tf_stack },	//4
	{ "KAction::ShortcutTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//5
	{ "KAction::ShortcutTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//6
	{ "KActionCollection*", 1, Smoke::t_class | Smoke::tf_ptr },	//7
	{ "KAutostart::Conditions", 0, Smoke::t_uint | Smoke::tf_stack },	//8
	{ "KAutostart::Conditions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//9
	{ "KCModule::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//10
	{ "KCModule::Buttons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//11
	{ "KCmdLineArgs::StdCmdLineArgs", 0, Smoke::t_uint | Smoke::tf_stack },	//12
	{ "KCmdLineArgs::StdCmdLineArgs&", 0, Smoke::t_voidp | Smoke::tf_ref },	//13
	{ "KComponentData", 2, Smoke::t_class | Smoke::tf_stack },	//14
	{ "KConfig::OpenFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//15
	{ "KConfig::OpenFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//16
	{ "KConfigBase::WriteConfigFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//17
	{ "KConfigBase::WriteConfigFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//18
	{ "KConfigDialog*", 3, Smoke::t_class | Smoke::tf_ptr },	//19
	{ "KCrash::CrashFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//20
	{ "KCrash::CrashFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//21
	{ "KDialog::ButtonCodes", 0, Smoke::t_uint | Smoke::tf_stack },	//22
	{ "KDialog::ButtonCodes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//23
	{ "KDialog::ButtonPopupModes", 0, Smoke::t_uint | Smoke::tf_stack },	//24
	{ "KDialog::ButtonPopupModes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//25
	{ "KDialog::CaptionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//26
	{ "KDialog::CaptionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//27
	{ "KDirLister::OpenUrlFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//28
	{ "KDirLister::OpenUrlFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//29
	{ "KDirModel::DropsAllowed", 0, Smoke::t_uint | Smoke::tf_stack },	//30
	{ "KDirModel::DropsAllowed&", 0, Smoke::t_voidp | Smoke::tf_ref },	//31
	{ "KDirWatch::WatchModes", 0, Smoke::t_uint | Smoke::tf_stack },	//32
	{ "KDirWatch::WatchModes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//33
	{ "KEditListBox::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//34
	{ "KEditListBox::Buttons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//35
	{ "KFileMetaInfo::WhatFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//36
	{ "KFileMetaInfo::WhatFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//37
	{ "KFontChooser::DisplayFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//38
	{ "KFontChooser::DisplayFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//39
	{ "KFontChooser::FontDiffFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//40
	{ "KFontChooser::FontDiffFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//41
	{ "KGlobalSettings::GraphicEffects", 0, Smoke::t_uint | Smoke::tf_stack },	//42
	{ "KGlobalSettings::GraphicEffects&", 0, Smoke::t_voidp | Smoke::tf_ref },	//43
	{ "KIO::JobFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//44
	{ "KIO::JobFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//45
	{ "KIO::NetRC::LookUpMode", 0, Smoke::t_uint | Smoke::tf_stack },	//46
	{ "KIO::NetRC::LookUpMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//47
	{ "KIO::TCPSlaveBase::SslResult", 0, Smoke::t_uint | Smoke::tf_stack },	//48
	{ "KIO::TCPSlaveBase::SslResult&", 0, Smoke::t_voidp | Smoke::tf_ref },	//49
	{ "KIcon", 4, Smoke::t_class | Smoke::tf_stack },	//50
	{ "KJob::Capabilities", 0, Smoke::t_uint | Smoke::tf_stack },	//51
	{ "KJob::Capabilities&", 0, Smoke::t_voidp | Smoke::tf_ref },	//52
	{ "KKeySequenceWidget::ShortcutTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//53
	{ "KKeySequenceWidget::ShortcutTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//54
	{ "KLocale::DateTimeFormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//55
	{ "KLocale::DateTimeFormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//56
	{ "KLockFile::LockFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//57
	{ "KLockFile::LockFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//58
	{ "KMessageBox::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//59
	{ "KMessageBox::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//60
	{ "KNTLM::AuthFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//61
	{ "KNTLM::AuthFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//62
	{ "KNotification::NotificationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//63
	{ "KNotification::NotificationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//64
	{ "KNotificationRestrictions::Services", 0, Smoke::t_uint | Smoke::tf_stack },	//65
	{ "KNotificationRestrictions::Services&", 0, Smoke::t_voidp | Smoke::tf_ref },	//66
	{ "KParts::BrowserExtension::PopupFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//67
	{ "KParts::BrowserExtension::PopupFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//68
	{ "KPasswordDialog::KPasswordDialogFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//69
	{ "KPasswordDialog::KPasswordDialogFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//70
	{ "KPlotObject::PlotTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//71
	{ "KPlotObject::PlotTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//72
	{ "KServiceGroup::EntriesOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//73
	{ "KServiceGroup::EntriesOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//74
	{ "KSharedPtr<KMimeType>", 0, Smoke::t_voidp | Smoke::tf_stack },	//75
	{ "KShell::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//76
	{ "KShell::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//77
	{ "KShortcutsEditor::ActionTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//78
	{ "KShortcutsEditor::ActionTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//79
	{ "KStandardDirs::SearchOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//80
	{ "KStandardDirs::SearchOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//81
	{ "KUniqueApplication::StartFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//82
	{ "KUniqueApplication::StartFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//83
	{ "KUrl", 5, Smoke::t_class | Smoke::tf_stack },	//84
	{ "KUrl&", 5, Smoke::t_class | Smoke::tf_ref },	//85
	{ "KUrl::CleanPathOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//86
	{ "KUrl::CleanPathOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//87
	{ "KUrl::DirectoryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//88
	{ "KUrl::DirectoryOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//89
	{ "KUrl::EncodedPathAndQueryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//90
	{ "KUrl::EncodedPathAndQueryOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//91
	{ "KUrl::EqualsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//92
	{ "KUrl::EqualsOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//93
	{ "KUrl::QueryItemsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//94
	{ "KUrl::QueryItemsOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//95
	{ "KXMLGUIClient*", 6, Smoke::t_class | Smoke::tf_ptr },	//96
	{ "KXMLGUIClient::ReverseStateChange", 6, Smoke::t_enum | Smoke::tf_stack },	//97
	{ "KXmlGuiWindow::StandardWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//98
	{ "KXmlGuiWindow::StandardWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//99
	{ "Okular::Action*", 8, Smoke::t_class | Smoke::tf_ptr },	//100
	{ "Okular::Action::ActionType", 8, Smoke::t_enum | Smoke::tf_stack },	//101
	{ "Okular::Annotation*", 9, Smoke::t_class | Smoke::tf_ptr },	//102
	{ "Okular::Annotation::Flag", 9, Smoke::t_enum | Smoke::tf_stack },	//103
	{ "Okular::Annotation::LineEffect", 9, Smoke::t_enum | Smoke::tf_stack },	//104
	{ "Okular::Annotation::LineStyle", 9, Smoke::t_enum | Smoke::tf_stack },	//105
	{ "Okular::Annotation::RevisionScope", 9, Smoke::t_enum | Smoke::tf_stack },	//106
	{ "Okular::Annotation::RevisionType", 9, Smoke::t_enum | Smoke::tf_stack },	//107
	{ "Okular::Annotation::Style&", 10, Smoke::t_class | Smoke::tf_ref },	//108
	{ "Okular::Annotation::SubType", 9, Smoke::t_enum | Smoke::tf_stack },	//109
	{ "Okular::Annotation::Window&", 11, Smoke::t_class | Smoke::tf_ref },	//110
	{ "Okular::AnnotationObjectRect*", 12, Smoke::t_class | Smoke::tf_ptr },	//111
	{ "Okular::AnnotationUtils*", 13, Smoke::t_class | Smoke::tf_ptr },	//112
	{ "Okular::BookmarkManager*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//113
	{ "Okular::BrowseAction*", 14, Smoke::t_class | Smoke::tf_ptr },	//114
	{ "Okular::CaretAnnotation*", 15, Smoke::t_class | Smoke::tf_ptr },	//115
	{ "Okular::CaretAnnotation::CaretSymbol", 15, Smoke::t_enum | Smoke::tf_stack },	//116
	{ "Okular::ConfigInterface*", 16, Smoke::t_class | Smoke::tf_ptr },	//117
	{ "Okular::Document*", 17, Smoke::t_class | Smoke::tf_ptr },	//118
	{ "Okular::Document::PixmapRequestFlag", 17, Smoke::t_enum | Smoke::tf_stack },	//119
	{ "Okular::Document::PixmapRequestFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//120
	{ "Okular::Document::PixmapRequestFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//121
	{ "Okular::Document::PrintingType", 17, Smoke::t_enum | Smoke::tf_stack },	//122
	{ "Okular::Document::SearchStatus", 17, Smoke::t_enum | Smoke::tf_stack },	//123
	{ "Okular::Document::SearchType", 17, Smoke::t_enum | Smoke::tf_stack },	//124
	{ "Okular::DocumentAction*", 18, Smoke::t_class | Smoke::tf_ptr },	//125
	{ "Okular::DocumentAction::DocumentActionType", 18, Smoke::t_enum | Smoke::tf_stack },	//126
	{ "Okular::DocumentInfo*", 19, Smoke::t_class | Smoke::tf_ptr },	//127
	{ "Okular::DocumentInfo::Key", 19, Smoke::t_enum | Smoke::tf_stack },	//128
	{ "Okular::DocumentObserver*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//129
	{ "Okular::DocumentSynopsis*", 20, Smoke::t_class | Smoke::tf_ptr },	//130
	{ "Okular::DocumentViewport", 21, Smoke::t_class | Smoke::tf_stack },	//131
	{ "Okular::DocumentViewport*", 21, Smoke::t_class | Smoke::tf_ptr },	//132
	{ "Okular::DocumentViewport::Position", 21, Smoke::t_enum | Smoke::tf_stack },	//133
	{ "Okular::EmbeddedFile*", 22, Smoke::t_class | Smoke::tf_ptr },	//134
	{ "Okular::ExecuteAction*", 23, Smoke::t_class | Smoke::tf_ptr },	//135
	{ "Okular::ExportFormat", 24, Smoke::t_class | Smoke::tf_stack },	//136
	{ "Okular::ExportFormat&", 24, Smoke::t_class | Smoke::tf_ref },	//137
	{ "Okular::ExportFormat*", 24, Smoke::t_class | Smoke::tf_ptr },	//138
	{ "Okular::ExportFormat::StandardExportFormat", 24, Smoke::t_enum | Smoke::tf_stack },	//139
	{ "Okular::FileAttachmentAnnotation*", 25, Smoke::t_class | Smoke::tf_ptr },	//140
	{ "Okular::FilePrinter*", 26, Smoke::t_class | Smoke::tf_ptr },	//141
	{ "Okular::FilePrinter::FileDeletePolicy", 26, Smoke::t_enum | Smoke::tf_stack },	//142
	{ "Okular::FilePrinter::PageSelectPolicy", 26, Smoke::t_enum | Smoke::tf_stack },	//143
	{ "Okular::FontInfo&", 27, Smoke::t_class | Smoke::tf_ref },	//144
	{ "Okular::FontInfo*", 27, Smoke::t_class | Smoke::tf_ptr },	//145
	{ "Okular::FontInfo::EmbedType", 27, Smoke::t_enum | Smoke::tf_stack },	//146
	{ "Okular::FontInfo::FontType", 27, Smoke::t_enum | Smoke::tf_stack },	//147
	{ "Okular::FormField::FieldType", 28, Smoke::t_enum | Smoke::tf_stack },	//148
	{ "Okular::FormFieldButton*", 29, Smoke::t_class | Smoke::tf_ptr },	//149
	{ "Okular::FormFieldButton::ButtonType", 29, Smoke::t_enum | Smoke::tf_stack },	//150
	{ "Okular::FormFieldChoice*", 30, Smoke::t_class | Smoke::tf_ptr },	//151
	{ "Okular::FormFieldChoice::ChoiceType", 30, Smoke::t_enum | Smoke::tf_stack },	//152
	{ "Okular::FormFieldText*", 31, Smoke::t_class | Smoke::tf_ptr },	//153
	{ "Okular::FormFieldText::TextType", 31, Smoke::t_enum | Smoke::tf_stack },	//154
	{ "Okular::Generator*", 32, Smoke::t_class | Smoke::tf_ptr },	//155
	{ "Okular::Generator::GeneratorFeature", 32, Smoke::t_enum | Smoke::tf_stack },	//156
	{ "Okular::Generator::PageSizeMetric", 32, Smoke::t_enum | Smoke::tf_stack },	//157
	{ "Okular::GeomAnnotation*", 33, Smoke::t_class | Smoke::tf_ptr },	//158
	{ "Okular::GeomAnnotation::GeomType", 33, Smoke::t_enum | Smoke::tf_stack },	//159
	{ "Okular::GotoAction*", 34, Smoke::t_class | Smoke::tf_ptr },	//160
	{ "Okular::GuiInterface*", 35, Smoke::t_class | Smoke::tf_ptr },	//161
	{ "Okular::HighlightAnnotation*", 36, Smoke::t_class | Smoke::tf_ptr },	//162
	{ "Okular::HighlightAnnotation::HighlightType", 36, Smoke::t_enum | Smoke::tf_stack },	//163
	{ "Okular::InkAnnotation*", 37, Smoke::t_class | Smoke::tf_ptr },	//164
	{ "Okular::LineAnnotation*", 38, Smoke::t_class | Smoke::tf_ptr },	//165
	{ "Okular::LineAnnotation::LineIntent", 38, Smoke::t_enum | Smoke::tf_stack },	//166
	{ "Okular::LineAnnotation::TermStyle", 38, Smoke::t_enum | Smoke::tf_stack },	//167
	{ "Okular::NormalizedPoint", 39, Smoke::t_class | Smoke::tf_stack },	//168
	{ "Okular::NormalizedPoint&", 39, Smoke::t_class | Smoke::tf_ref },	//169
	{ "Okular::NormalizedPoint*", 39, Smoke::t_class | Smoke::tf_ptr },	//170
	{ "Okular::NormalizedRect", 40, Smoke::t_class | Smoke::tf_stack },	//171
	{ "Okular::NormalizedRect&", 40, Smoke::t_class | Smoke::tf_ref },	//172
	{ "Okular::NormalizedRect*", 40, Smoke::t_class | Smoke::tf_ptr },	//173
	{ "Okular::ObjectRect*", 41, Smoke::t_class | Smoke::tf_ptr },	//174
	{ "Okular::ObjectRect::ObjectType", 41, Smoke::t_enum | Smoke::tf_stack },	//175
	{ "Okular::Page*", 42, Smoke::t_class | Smoke::tf_ptr },	//176
	{ "Okular::Page::PageAction", 42, Smoke::t_enum | Smoke::tf_stack },	//177
	{ "Okular::PageSize&", 43, Smoke::t_class | Smoke::tf_ref },	//178
	{ "Okular::PageSize*", 43, Smoke::t_class | Smoke::tf_ptr },	//179
	{ "Okular::PageTransition&", 44, Smoke::t_class | Smoke::tf_ref },	//180
	{ "Okular::PageTransition*", 44, Smoke::t_class | Smoke::tf_ptr },	//181
	{ "Okular::PageTransition::Alignment", 44, Smoke::t_enum | Smoke::tf_stack },	//182
	{ "Okular::PageTransition::Direction", 44, Smoke::t_enum | Smoke::tf_stack },	//183
	{ "Okular::PageTransition::Type", 44, Smoke::t_enum | Smoke::tf_stack },	//184
	{ "Okular::Permission", 7, Smoke::t_enum | Smoke::tf_stack },	//185
	{ "Okular::Permissions", 0, Smoke::t_uint | Smoke::tf_stack },	//186
	{ "Okular::Permissions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//187
	{ "Okular::PixmapRequest*", 45, Smoke::t_class | Smoke::tf_ptr },	//188
	{ "Okular::PrintInterface*", 46, Smoke::t_class | Smoke::tf_ptr },	//189
	{ "Okular::RegularAreaRect&", 47, Smoke::t_class | Smoke::tf_ref },	//190
	{ "Okular::RegularAreaRect*", 47, Smoke::t_class | Smoke::tf_ptr },	//191
	{ "Okular::Rotation", 7, Smoke::t_enum | Smoke::tf_stack },	//192
	{ "Okular::ScriptAction*", 48, Smoke::t_class | Smoke::tf_ptr },	//193
	{ "Okular::ScriptType", 7, Smoke::t_enum | Smoke::tf_stack },	//194
	{ "Okular::SearchDirection", 7, Smoke::t_enum | Smoke::tf_stack },	//195
	{ "Okular::Sound*", 49, Smoke::t_class | Smoke::tf_ptr },	//196
	{ "Okular::Sound::SoundEncoding", 49, Smoke::t_enum | Smoke::tf_stack },	//197
	{ "Okular::Sound::SoundType", 49, Smoke::t_enum | Smoke::tf_stack },	//198
	{ "Okular::SoundAction*", 50, Smoke::t_class | Smoke::tf_ptr },	//199
	{ "Okular::SoundAnnotation*", 51, Smoke::t_class | Smoke::tf_ptr },	//200
	{ "Okular::SourceRefObjectRect*", 52, Smoke::t_class | Smoke::tf_ptr },	//201
	{ "Okular::SourceReference*", 53, Smoke::t_class | Smoke::tf_ptr },	//202
	{ "Okular::StampAnnotation*", 54, Smoke::t_class | Smoke::tf_ptr },	//203
	{ "Okular::TextAnnotation*", 55, Smoke::t_class | Smoke::tf_ptr },	//204
	{ "Okular::TextAnnotation::InplaceIntent", 55, Smoke::t_enum | Smoke::tf_stack },	//205
	{ "Okular::TextAnnotation::TextType", 55, Smoke::t_enum | Smoke::tf_stack },	//206
	{ "Okular::TextDocumentConverter*", 56, Smoke::t_class | Smoke::tf_ptr },	//207
	{ "Okular::TextDocumentGenerator*", 57, Smoke::t_class | Smoke::tf_ptr },	//208
	{ "Okular::TextEntity*", 58, Smoke::t_class | Smoke::tf_ptr },	//209
	{ "Okular::TextPage*", 59, Smoke::t_class | Smoke::tf_ptr },	//210
	{ "Okular::TextSelection*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//211
	{ "Okular::Utils*", 60, Smoke::t_class | Smoke::tf_ptr },	//212
	{ "Okular::View*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//213
	{ "Okular::VisiblePageRect*", 61, Smoke::t_class | Smoke::tf_ptr },	//214
	{ "PageSize&", 0, Smoke::t_voidp | Smoke::tf_ref },	//215
	{ "QAbstractFileEngine::FileFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//216
	{ "QAbstractFileEngine::FileFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//217
	{ "QAbstractItemView::EditTriggers", 0, Smoke::t_uint | Smoke::tf_stack },	//218
	{ "QAbstractItemView::EditTriggers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//219
	{ "QAbstractPrintDialog::PrintDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//220
	{ "QAbstractPrintDialog::PrintDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//221
	{ "QAbstractSpinBox::StepEnabled", 0, Smoke::t_uint | Smoke::tf_stack },	//222
	{ "QAbstractSpinBox::StepEnabled&", 0, Smoke::t_voidp | Smoke::tf_ref },	//223
	{ "QAccessible::Relation", 0, Smoke::t_uint | Smoke::tf_stack },	//224
	{ "QAccessible::Relation&", 0, Smoke::t_voidp | Smoke::tf_ref },	//225
	{ "QAccessible::State", 0, Smoke::t_uint | Smoke::tf_stack },	//226
	{ "QAccessible::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//227
	{ "QAction*", 62, Smoke::t_class | Smoke::tf_ptr },	//228
	{ "QAction::ActionEvent", 62, Smoke::t_enum | Smoke::tf_stack },	//229
	{ "QAction::MenuRole", 62, Smoke::t_enum | Smoke::tf_stack },	//230
	{ "QActionEvent*", 63, Smoke::t_class | Smoke::tf_ptr },	//231
	{ "QByteArray", 64, Smoke::t_class | Smoke::tf_stack },	//232
	{ "QByteArray*", 64, Smoke::t_class | Smoke::tf_ptr },	//233
	{ "QChildEvent*", 65, Smoke::t_class | Smoke::tf_ptr },	//234
	{ "QCloseEvent*", 66, Smoke::t_class | Smoke::tf_ptr },	//235
	{ "QColor", 67, Smoke::t_class | Smoke::tf_stack },	//236
	{ "QColor::Spec", 67, Smoke::t_enum | Smoke::tf_stack },	//237
	{ "QContextMenuEvent*", 68, Smoke::t_class | Smoke::tf_ptr },	//238
	{ "QDBusConnection::RegisterOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//239
	{ "QDBusConnection::RegisterOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//240
	{ "QDateTime", 69, Smoke::t_class | Smoke::tf_stack },	//241
	{ "QDateTimeEdit::Sections", 0, Smoke::t_uint | Smoke::tf_stack },	//242
	{ "QDateTimeEdit::Sections&", 0, Smoke::t_voidp | Smoke::tf_ref },	//243
	{ "QDialogButtonBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//244
	{ "QDialogButtonBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//245
	{ "QDir::Filters", 0, Smoke::t_uint | Smoke::tf_stack },	//246
	{ "QDir::Filters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//247
	{ "QDir::SortFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//248
	{ "QDir::SortFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//249
	{ "QDirIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//250
	{ "QDirIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//251
	{ "QDockWidget::DockWidgetFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//252
	{ "QDockWidget::DockWidgetFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//253
	{ "QDomDocument", 70, Smoke::t_class | Smoke::tf_stack },	//254
	{ "QDomDocument&", 70, Smoke::t_class | Smoke::tf_ref },	//255
	{ "QDomElement", 71, Smoke::t_class | Smoke::tf_stack },	//256
	{ "QDomElement&", 71, Smoke::t_class | Smoke::tf_ref },	//257
	{ "QDomNode&", 72, Smoke::t_class | Smoke::tf_ref },	//258
	{ "QDomNode::EncodingPolicy", 72, Smoke::t_enum | Smoke::tf_stack },	//259
	{ "QDomNode::NodeType", 72, Smoke::t_enum | Smoke::tf_stack },	//260
	{ "QDragEnterEvent*", 73, Smoke::t_class | Smoke::tf_ptr },	//261
	{ "QDragLeaveEvent*", 74, Smoke::t_class | Smoke::tf_ptr },	//262
	{ "QDragMoveEvent*", 75, Smoke::t_class | Smoke::tf_ptr },	//263
	{ "QDropEvent*", 76, Smoke::t_class | Smoke::tf_ptr },	//264
	{ "QEvent*", 77, Smoke::t_class | Smoke::tf_ptr },	//265
	{ "QEventLoop::ProcessEventsFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//266
	{ "QEventLoop::ProcessEventsFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//267
	{ "QFile::Permissions", 0, Smoke::t_uint | Smoke::tf_stack },	//268
	{ "QFile::Permissions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//269
	{ "QFileDialog::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//270
	{ "QFileDialog::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//271
	{ "QFocusEvent*", 78, Smoke::t_class | Smoke::tf_ptr },	//272
	{ "QFont", 79, Smoke::t_class | Smoke::tf_stack },	//273
	{ "QFont::Capitalization", 79, Smoke::t_enum | Smoke::tf_stack },	//274
	{ "QFont::ResolveProperties", 79, Smoke::t_enum | Smoke::tf_stack },	//275
	{ "QFont::SpacingType", 79, Smoke::t_enum | Smoke::tf_stack },	//276
	{ "QFont::Stretch", 79, Smoke::t_enum | Smoke::tf_stack },	//277
	{ "QFont::Style", 79, Smoke::t_enum | Smoke::tf_stack },	//278
	{ "QFont::StyleHint", 79, Smoke::t_enum | Smoke::tf_stack },	//279
	{ "QFont::StyleStrategy", 79, Smoke::t_enum | Smoke::tf_stack },	//280
	{ "QFont::Weight", 79, Smoke::t_enum | Smoke::tf_stack },	//281
	{ "QFontComboBox::FontFilters", 0, Smoke::t_uint | Smoke::tf_stack },	//282
	{ "QFontComboBox::FontFilters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//283
	{ "QGL::FormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//284
	{ "QGL::FormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//285
	{ "QGLFormat::OpenGLVersionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//286
	{ "QGLFormat::OpenGLVersionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//287
	{ "QGraphicsItem::GraphicsItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//288
	{ "QGraphicsItem::GraphicsItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//289
	{ "QGraphicsScene::SceneLayers", 0, Smoke::t_uint | Smoke::tf_stack },	//290
	{ "QGraphicsScene::SceneLayers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//291
	{ "QGraphicsView::CacheMode", 0, Smoke::t_uint | Smoke::tf_stack },	//292
	{ "QGraphicsView::CacheMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//293
	{ "QGraphicsView::OptimizationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//294
	{ "QGraphicsView::OptimizationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//295
	{ "QHideEvent*", 80, Smoke::t_class | Smoke::tf_ptr },	//296
	{ "QIODevice::OpenMode", 0, Smoke::t_uint | Smoke::tf_stack },	//297
	{ "QIODevice::OpenMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//298
	{ "QImage", 81, Smoke::t_class | Smoke::tf_stack },	//299
	{ "QImage::Format", 81, Smoke::t_enum | Smoke::tf_stack },	//300
	{ "QImage::InvertMode", 81, Smoke::t_enum | Smoke::tf_stack },	//301
	{ "QInputMethodEvent*", 82, Smoke::t_class | Smoke::tf_ptr },	//302
	{ "QItemSelectionModel::SelectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//303
	{ "QItemSelectionModel::SelectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//304
	{ "QKeyEvent*", 83, Smoke::t_class | Smoke::tf_ptr },	//305
	{ "QLibrary::LoadHints", 0, Smoke::t_uint | Smoke::tf_stack },	//306
	{ "QLibrary::LoadHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//307
	{ "QLinkedList<Okular::Annotation*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//308
	{ "QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp | Smoke::tf_ref },	//309
	{ "QLinkedList<Okular::FormField*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//310
	{ "QLinkedList<Okular::NormalizedPoint>", 0, Smoke::t_voidp | Smoke::tf_stack },	//311
	{ "QList<Okular::ExportFormat>", 0, Smoke::t_voidp | Smoke::tf_stack },	//312
	{ "QList<Okular::FontInfo>", 0, Smoke::t_voidp | Smoke::tf_stack },	//313
	{ "QList<Okular::HighlightAnnotation::Quad>&", 0, Smoke::t_voidp | Smoke::tf_ref },	//314
	{ "QList<Okular::PageSize>", 0, Smoke::t_voidp | Smoke::tf_stack },	//315
	{ "QList<QLinkedList<Okular::NormalizedPoint> >", 0, Smoke::t_voidp | Smoke::tf_stack },	//316
	{ "QList<int>", 0, Smoke::t_voidp | Smoke::tf_stack },	//317
	{ "QLocale::NumberOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//318
	{ "QLocale::NumberOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//319
	{ "QMainWindow::DockOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//320
	{ "QMainWindow::DockOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//321
	{ "QMdiArea::AreaOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//322
	{ "QMdiArea::AreaOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//323
	{ "QMdiSubWindow::SubWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//324
	{ "QMdiSubWindow::SubWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//325
	{ "QMessageBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//326
	{ "QMessageBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//327
	{ "QMetaObject::Call", 87, Smoke::t_enum | Smoke::tf_stack },	//328
	{ "QMouseEvent*", 88, Smoke::t_class | Smoke::tf_ptr },	//329
	{ "QMoveEvent*", 89, Smoke::t_class | Smoke::tf_ptr },	//330
	{ "QMutex*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//331
	{ "QNetworkInterface::InterfaceFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//332
	{ "QNetworkInterface::InterfaceFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//333
	{ "QObject*", 90, Smoke::t_class | Smoke::tf_ptr },	//334
	{ "QPageSetupDialog::PageSetupDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//335
	{ "QPageSetupDialog::PageSetupDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//336
	{ "QPaintDevice*", 91, Smoke::t_class | Smoke::tf_ptr },	//337
	{ "QPaintDevice::PaintDeviceMetric", 91, Smoke::t_enum | Smoke::tf_stack },	//338
	{ "QPaintEngine*", 92, Smoke::t_class | Smoke::tf_ptr },	//339
	{ "QPaintEngine::DirtyFlag", 92, Smoke::t_enum | Smoke::tf_stack },	//340
	{ "QPaintEngine::DirtyFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//341
	{ "QPaintEngine::DirtyFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//342
	{ "QPaintEngine::PaintEngineFeature", 92, Smoke::t_enum | Smoke::tf_stack },	//343
	{ "QPaintEngine::PaintEngineFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//344
	{ "QPaintEngine::PaintEngineFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//345
	{ "QPaintEngine::PolygonDrawMode", 92, Smoke::t_enum | Smoke::tf_stack },	//346
	{ "QPaintEngine::Type", 92, Smoke::t_enum | Smoke::tf_stack },	//347
	{ "QPaintEvent*", 94, Smoke::t_class | Smoke::tf_ptr },	//348
	{ "QPainter::RenderHints", 0, Smoke::t_uint | Smoke::tf_stack },	//349
	{ "QPainter::RenderHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//350
	{ "QPainterPath::ElementType", 95, Smoke::t_enum | Smoke::tf_stack },	//351
	{ "QPixmap*", 97, Smoke::t_class | Smoke::tf_ptr },	//352
	{ "QPixmap::Type", 97, Smoke::t_enum | Smoke::tf_stack },	//353
	{ "QPoint", 98, Smoke::t_class | Smoke::tf_stack },	//354
	{ "QPrinter&", 101, Smoke::t_class | Smoke::tf_ref },	//355
	{ "QPrinter::ColorMode", 101, Smoke::t_enum | Smoke::tf_stack },	//356
	{ "QPrinter::DuplexMode", 101, Smoke::t_enum | Smoke::tf_stack },	//357
	{ "QPrinter::Orientation", 101, Smoke::t_enum | Smoke::tf_stack },	//358
	{ "QPrinter::OutputFormat", 101, Smoke::t_enum | Smoke::tf_stack },	//359
	{ "QPrinter::PageOrder", 101, Smoke::t_enum | Smoke::tf_stack },	//360
	{ "QPrinter::PageSize", 101, Smoke::t_enum | Smoke::tf_stack },	//361
	{ "QPrinter::PaperSource", 101, Smoke::t_enum | Smoke::tf_stack },	//362
	{ "QPrinter::PrintRange", 101, Smoke::t_enum | Smoke::tf_stack },	//363
	{ "QPrinter::PrinterMode", 101, Smoke::t_enum | Smoke::tf_stack },	//364
	{ "QPrinter::PrinterState", 101, Smoke::t_enum | Smoke::tf_stack },	//365
	{ "QPrinter::Unit", 101, Smoke::t_enum | Smoke::tf_stack },	//366
	{ "QRect", 102, Smoke::t_class | Smoke::tf_stack },	//367
	{ "QResizeEvent*", 104, Smoke::t_class | Smoke::tf_ptr },	//368
	{ "QShowEvent*", 105, Smoke::t_class | Smoke::tf_ptr },	//369
	{ "QSize", 106, Smoke::t_class | Smoke::tf_stack },	//370
	{ "QSizeF", 107, Smoke::t_class | Smoke::tf_stack },	//371
	{ "QSizePolicy::ControlTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//372
	{ "QSizePolicy::ControlTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//373
	{ "QSql::ParamType", 0, Smoke::t_uint | Smoke::tf_stack },	//374
	{ "QSql::ParamType&", 0, Smoke::t_voidp | Smoke::tf_ref },	//375
	{ "QString", 0, Smoke::t_voidp | Smoke::tf_stack },	//376
	{ "QString&", 0, Smoke::t_voidp | Smoke::tf_ref },	//377
	{ "QString::SectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//378
	{ "QString::SectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//379
	{ "QStringList", 0, Smoke::t_voidp | Smoke::tf_stack },	//380
	{ "QStyle&", 108, Smoke::t_class | Smoke::tf_ref },	//381
	{ "QStyle::State", 0, Smoke::t_uint | Smoke::tf_stack },	//382
	{ "QStyle::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//383
	{ "QStyle::SubControls", 0, Smoke::t_uint | Smoke::tf_stack },	//384
	{ "QStyle::SubControls&", 0, Smoke::t_voidp | Smoke::tf_ref },	//385
	{ "QStyleOptionButton::ButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//386
	{ "QStyleOptionButton::ButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//387
	{ "QStyleOptionFrameV2::FrameFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//388
	{ "QStyleOptionFrameV2::FrameFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//389
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//390
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//391
	{ "QStyleOptionTab::CornerWidgets", 0, Smoke::t_uint | Smoke::tf_stack },	//392
	{ "QStyleOptionTab::CornerWidgets&", 0, Smoke::t_voidp | Smoke::tf_ref },	//393
	{ "QStyleOptionToolBar::ToolBarFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//394
	{ "QStyleOptionToolBar::ToolBarFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//395
	{ "QStyleOptionToolButton::ToolButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//396
	{ "QStyleOptionToolButton::ToolButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//397
	{ "QStyleOptionViewItemV2::ViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//398
	{ "QStyleOptionViewItemV2::ViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//399
	{ "QTabletEvent*", 109, Smoke::t_class | Smoke::tf_ptr },	//400
	{ "QTextBlock&", 110, Smoke::t_class | Smoke::tf_ref },	//401
	{ "QTextBoundaryFinder::BoundaryReasons", 0, Smoke::t_uint | Smoke::tf_stack },	//402
	{ "QTextBoundaryFinder::BoundaryReasons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//403
	{ "QTextCodec::ConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//404
	{ "QTextCodec::ConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//405
	{ "QTextDocument*", 111, Smoke::t_class | Smoke::tf_ptr },	//406
	{ "QTextDocument::FindFlag", 111, Smoke::t_enum | Smoke::tf_stack },	//407
	{ "QTextDocument::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//408
	{ "QTextDocument::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//409
	{ "QTextDocument::MetaInformation", 111, Smoke::t_enum | Smoke::tf_stack },	//410
	{ "QTextDocument::ResourceType", 111, Smoke::t_enum | Smoke::tf_stack },	//411
	{ "QTextEdit::AutoFormatting", 0, Smoke::t_uint | Smoke::tf_stack },	//412
	{ "QTextEdit::AutoFormatting&", 0, Smoke::t_voidp | Smoke::tf_ref },	//413
	{ "QTextFormat::FormatType", 112, Smoke::t_enum | Smoke::tf_stack },	//414
	{ "QTextFormat::ObjectTypes", 112, Smoke::t_enum | Smoke::tf_stack },	//415
	{ "QTextFormat::PageBreakFlag", 112, Smoke::t_enum | Smoke::tf_stack },	//416
	{ "QTextFormat::PageBreakFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//417
	{ "QTextFormat::PageBreakFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//418
	{ "QTextFormat::Property", 112, Smoke::t_enum | Smoke::tf_stack },	//419
	{ "QTextItem::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//420
	{ "QTextItem::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//421
	{ "QTextObject*", 113, Smoke::t_class | Smoke::tf_ptr },	//422
	{ "QTextOption::Flags", 0, Smoke::t_uint | Smoke::tf_stack },	//423
	{ "QTextOption::Flags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//424
	{ "QTextStream::NumberFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//425
	{ "QTextStream::NumberFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//426
	{ "QTimerEvent*", 114, Smoke::t_class | Smoke::tf_ptr },	//427
	{ "QTreeWidgetItemIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//428
	{ "QTreeWidgetItemIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//429
	{ "QUdpSocket::BindMode", 0, Smoke::t_uint | Smoke::tf_stack },	//430
	{ "QUdpSocket::BindMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//431
	{ "QUrl::FormattingOption", 115, Smoke::t_enum | Smoke::tf_stack },	//432
	{ "QUrl::FormattingOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//433
	{ "QUrl::FormattingOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//434
	{ "QUrl::ParsingMode", 115, Smoke::t_enum | Smoke::tf_stack },	//435
	{ "QVariant", 116, Smoke::t_class | Smoke::tf_stack },	//436
	{ "QVariant::Type", 116, Smoke::t_enum | Smoke::tf_stack },	//437
	{ "QVector<Okular::Page*>&", 0, Smoke::t_voidp | Smoke::tf_ref },	//438
	{ "QWebPage::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//439
	{ "QWebPage::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//440
	{ "QWheelEvent*", 117, Smoke::t_class | Smoke::tf_ptr },	//441
	{ "QWidget*", 118, Smoke::t_class | Smoke::tf_ptr },	//442
	{ "QWidget::RenderFlag", 118, Smoke::t_enum | Smoke::tf_stack },	//443
	{ "QWidget::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//444
	{ "QWidget::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//445
	{ "QWizard::WizardOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//446
	{ "QWizard::WizardOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//447
	{ "Qt::Alignment", 0, Smoke::t_uint | Smoke::tf_stack },	//448
	{ "Qt::Alignment&", 0, Smoke::t_voidp | Smoke::tf_ref },	//449
	{ "Qt::AlignmentFlag", 119, Smoke::t_enum | Smoke::tf_stack },	//450
	{ "Qt::AnchorAttribute", 119, Smoke::t_enum | Smoke::tf_stack },	//451
	{ "Qt::ApplicationAttribute", 119, Smoke::t_enum | Smoke::tf_stack },	//452
	{ "Qt::ArrowType", 119, Smoke::t_enum | Smoke::tf_stack },	//453
	{ "Qt::AspectRatioMode", 119, Smoke::t_enum | Smoke::tf_stack },	//454
	{ "Qt::Axis", 119, Smoke::t_enum | Smoke::tf_stack },	//455
	{ "Qt::BGMode", 119, Smoke::t_enum | Smoke::tf_stack },	//456
	{ "Qt::BrushStyle", 119, Smoke::t_enum | Smoke::tf_stack },	//457
	{ "Qt::CaseSensitivity", 119, Smoke::t_enum | Smoke::tf_stack },	//458
	{ "Qt::CheckState", 119, Smoke::t_enum | Smoke::tf_stack },	//459
	{ "Qt::ClipOperation", 119, Smoke::t_enum | Smoke::tf_stack },	//460
	{ "Qt::ConnectionType", 119, Smoke::t_enum | Smoke::tf_stack },	//461
	{ "Qt::ContextMenuPolicy", 119, Smoke::t_enum | Smoke::tf_stack },	//462
	{ "Qt::Corner", 119, Smoke::t_enum | Smoke::tf_stack },	//463
	{ "Qt::CursorShape", 119, Smoke::t_enum | Smoke::tf_stack },	//464
	{ "Qt::DateFormat", 119, Smoke::t_enum | Smoke::tf_stack },	//465
	{ "Qt::DayOfWeek", 119, Smoke::t_enum | Smoke::tf_stack },	//466
	{ "Qt::DockWidgetArea", 119, Smoke::t_enum | Smoke::tf_stack },	//467
	{ "Qt::DockWidgetAreaSizes", 119, Smoke::t_enum | Smoke::tf_stack },	//468
	{ "Qt::DockWidgetAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//469
	{ "Qt::DockWidgetAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//470
	{ "Qt::DropAction", 119, Smoke::t_enum | Smoke::tf_stack },	//471
	{ "Qt::DropActions", 0, Smoke::t_uint | Smoke::tf_stack },	//472
	{ "Qt::DropActions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//473
	{ "Qt::EventPriority", 119, Smoke::t_enum | Smoke::tf_stack },	//474
	{ "Qt::FillRule", 119, Smoke::t_enum | Smoke::tf_stack },	//475
	{ "Qt::FocusPolicy", 119, Smoke::t_enum | Smoke::tf_stack },	//476
	{ "Qt::FocusReason", 119, Smoke::t_enum | Smoke::tf_stack },	//477
	{ "Qt::GlobalColor", 119, Smoke::t_enum | Smoke::tf_stack },	//478
	{ "Qt::HitTestAccuracy", 119, Smoke::t_enum | Smoke::tf_stack },	//479
	{ "Qt::ImageConversionFlag", 119, Smoke::t_enum | Smoke::tf_stack },	//480
	{ "Qt::ImageConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//481
	{ "Qt::ImageConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//482
	{ "Qt::InputMethodQuery", 119, Smoke::t_enum | Smoke::tf_stack },	//483
	{ "Qt::ItemDataRole", 119, Smoke::t_enum | Smoke::tf_stack },	//484
	{ "Qt::ItemFlag", 119, Smoke::t_enum | Smoke::tf_stack },	//485
	{ "Qt::ItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//486
	{ "Qt::ItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//487
	{ "Qt::ItemSelectionMode", 119, Smoke::t_enum | Smoke::tf_stack },	//488
	{ "Qt::Key", 119, Smoke::t_enum | Smoke::tf_stack },	//489
	{ "Qt::KeyboardModifier", 119, Smoke::t_enum | Smoke::tf_stack },	//490
	{ "Qt::KeyboardModifiers", 0, Smoke::t_uint | Smoke::tf_stack },	//491
	{ "Qt::KeyboardModifiers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//492
	{ "Qt::LayoutDirection", 119, Smoke::t_enum | Smoke::tf_stack },	//493
	{ "Qt::MaskMode", 119, Smoke::t_enum | Smoke::tf_stack },	//494
	{ "Qt::MatchFlag", 119, Smoke::t_enum | Smoke::tf_stack },	//495
	{ "Qt::MatchFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//496
	{ "Qt::MatchFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//497
	{ "Qt::Modifier", 119, Smoke::t_enum | Smoke::tf_stack },	//498
	{ "Qt::MouseButton", 119, Smoke::t_enum | Smoke::tf_stack },	//499
	{ "Qt::MouseButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//500
	{ "Qt::MouseButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//501
	{ "Qt::Orientation", 119, Smoke::t_enum | Smoke::tf_stack },	//502
	{ "Qt::Orientations", 0, Smoke::t_uint | Smoke::tf_stack },	//503
	{ "Qt::Orientations&", 0, Smoke::t_voidp | Smoke::tf_ref },	//504
	{ "Qt::PenCapStyle", 119, Smoke::t_enum | Smoke::tf_stack },	//505
	{ "Qt::PenJoinStyle", 119, Smoke::t_enum | Smoke::tf_stack },	//506
	{ "Qt::PenStyle", 119, Smoke::t_enum | Smoke::tf_stack },	//507
	{ "Qt::ScrollBarPolicy", 119, Smoke::t_enum | Smoke::tf_stack },	//508
	{ "Qt::ShortcutContext", 119, Smoke::t_enum | Smoke::tf_stack },	//509
	{ "Qt::SizeHint", 119, Smoke::t_enum | Smoke::tf_stack },	//510
	{ "Qt::SizeMode", 119, Smoke::t_enum | Smoke::tf_stack },	//511
	{ "Qt::SortOrder", 119, Smoke::t_enum | Smoke::tf_stack },	//512
	{ "Qt::TextElideMode", 119, Smoke::t_enum | Smoke::tf_stack },	//513
	{ "Qt::TextFlag", 119, Smoke::t_enum | Smoke::tf_stack },	//514
	{ "Qt::TextFormat", 119, Smoke::t_enum | Smoke::tf_stack },	//515
	{ "Qt::TextInteractionFlag", 119, Smoke::t_enum | Smoke::tf_stack },	//516
	{ "Qt::TextInteractionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//517
	{ "Qt::TextInteractionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//518
	{ "Qt::TimeSpec", 119, Smoke::t_enum | Smoke::tf_stack },	//519
	{ "Qt::ToolBarArea", 119, Smoke::t_enum | Smoke::tf_stack },	//520
	{ "Qt::ToolBarAreaSizes", 119, Smoke::t_enum | Smoke::tf_stack },	//521
	{ "Qt::ToolBarAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//522
	{ "Qt::ToolBarAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//523
	{ "Qt::ToolButtonStyle", 119, Smoke::t_enum | Smoke::tf_stack },	//524
	{ "Qt::TransformationMode", 119, Smoke::t_enum | Smoke::tf_stack },	//525
	{ "Qt::UIEffect", 119, Smoke::t_enum | Smoke::tf_stack },	//526
	{ "Qt::WhiteSpaceMode", 119, Smoke::t_enum | Smoke::tf_stack },	//527
	{ "Qt::WidgetAttribute", 119, Smoke::t_enum | Smoke::tf_stack },	//528
	{ "Qt::WindowFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//529
	{ "Qt::WindowFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//530
	{ "Qt::WindowFrameSection", 119, Smoke::t_enum | Smoke::tf_stack },	//531
	{ "Qt::WindowModality", 119, Smoke::t_enum | Smoke::tf_stack },	//532
	{ "Qt::WindowState", 119, Smoke::t_enum | Smoke::tf_stack },	//533
	{ "Qt::WindowStates", 0, Smoke::t_uint | Smoke::tf_stack },	//534
	{ "Qt::WindowStates&", 0, Smoke::t_voidp | Smoke::tf_ref },	//535
	{ "Qt::WindowType", 119, Smoke::t_enum | Smoke::tf_stack },	//536
	{ "bool", 0, Smoke::t_bool | Smoke::tf_stack },	//537
	{ "const Handler*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//538
	{ "const KComponentData&", 2, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//539
	{ "const KComponentData*", 2, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//540
	{ "const KIcon&", 4, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//541
	{ "const KSharedPtr<KMimeType>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//542
	{ "const KUrl&", 5, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//543
	{ "const Okular::Action*", 8, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//544
	{ "const Okular::Annotation*", 9, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//545
	{ "const Okular::Annotation::Style&", 10, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//546
	{ "const Okular::Annotation::Window&", 11, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//547
	{ "const Okular::AnnotationObjectRect&", 12, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//548
	{ "const Okular::AnnotationUtils&", 13, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//549
	{ "const Okular::ConfigInterface&", 16, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//550
	{ "const Okular::Document*", 17, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//551
	{ "const Okular::DocumentInfo&", 19, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//552
	{ "const Okular::DocumentInfo*", 19, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//553
	{ "const Okular::DocumentSynopsis&", 20, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//554
	{ "const Okular::DocumentSynopsis*", 20, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//555
	{ "const Okular::DocumentViewport&", 21, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//556
	{ "const Okular::EmbeddedFile&", 22, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//557
	{ "const Okular::ExportFormat&", 24, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//558
	{ "const Okular::FilePrinter&", 26, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//559
	{ "const Okular::FontInfo&", 27, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//560
	{ "const Okular::GuiInterface&", 35, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//561
	{ "const Okular::NormalizedPoint&", 39, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//562
	{ "const Okular::NormalizedRect&", 40, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//563
	{ "const Okular::NormalizedRect*", 40, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//564
	{ "const Okular::ObjectRect&", 41, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//565
	{ "const Okular::ObjectRect*", 41, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//566
	{ "const Okular::Page*", 42, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//567
	{ "const Okular::PageSize&", 43, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//568
	{ "const Okular::PageTransition&", 44, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//569
	{ "const Okular::PageTransition*", 44, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//570
	{ "const Okular::PrintInterface&", 46, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//571
	{ "const Okular::RegularAreaRect&", 47, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//572
	{ "const Okular::RegularAreaRect*", 47, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//573
	{ "const Okular::SourceRefObjectRect&", 52, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//574
	{ "const Okular::SourceReference*", 53, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//575
	{ "const Okular::Utils&", 60, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//576
	{ "const Okular::VisiblePageRect&", 61, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//577
	{ "const QByteArray&", 64, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//578
	{ "const QColor&", 67, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//579
	{ "const QDateTime&", 69, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//580
	{ "const QDomDocument&", 70, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//581
	{ "const QDomElement&", 71, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//582
	{ "const QDomNode&", 72, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//583
	{ "const QFont&", 79, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//584
	{ "const QImage&", 81, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//585
	{ "const QImage*", 81, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//586
	{ "const QLine*", 84, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//587
	{ "const QLineF*", 85, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//588
	{ "const QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//589
	{ "const QLinkedList<Okular::FormField*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//590
	{ "const QLinkedList<Okular::NormalizedPoint>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//591
	{ "const QLinkedList<Okular::ObjectRect*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//592
	{ "const QLinkedList<Okular::PixmapRequest*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//593
	{ "const QLinkedList<Okular::SourceRefObjectRect*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//594
	{ "const QList<Okular::Annotation*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//595
	{ "const QList<Okular::EmbeddedFile*>*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//596
	{ "const QList<Okular::TextEntity*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//597
	{ "const QList<QLinkedList<Okular::NormalizedPoint> >&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//598
	{ "const QList<QVariant>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//599
	{ "const QList<int>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//600
	{ "const QMatrix&", 86, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//601
	{ "const QMetaObject", 87, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//602
	{ "const QMetaObject*", 87, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//603
	{ "const QPaintEngineState&", 93, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//604
	{ "const QPainterPath&", 95, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//605
	{ "const QPalette&", 96, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//606
	{ "const QPixmap&", 97, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//607
	{ "const QPoint*", 98, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//608
	{ "const QPointF&", 99, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//609
	{ "const QPointF*", 99, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//610
	{ "const QPolygonF&", 100, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//611
	{ "const QRect&", 102, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//612
	{ "const QRect*", 102, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//613
	{ "const QRectF&", 103, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//614
	{ "const QRectF*", 103, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//615
	{ "const QString", 0, Smoke::t_voidp | Smoke::tf_stack | Smoke::tf_const },	//616
	{ "const QString&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//617
	{ "const QStringList", 0, Smoke::t_voidp | Smoke::tf_stack | Smoke::tf_const },	//618
	{ "const QStringList&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//619
	{ "const QTextBlock&", 110, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//620
	{ "const QTextFormat&", 112, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//621
	{ "const QUrl&", 115, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//622
	{ "const QVariant&", 116, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//623
	{ "const QVector<Okular::VisiblePageRect*>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//624
	{ "const char*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//625
	{ "const void*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//626
	{ "double", 0, Smoke::t_double | Smoke::tf_stack },	//627
	{ "int", 0, Smoke::t_int | Smoke::tf_stack },	//628
	{ "uint", 0, Smoke::t_uint | Smoke::tf_stack },	//629
	{ "void*", 0, Smoke::t_voidp | Smoke::tf_stack },	//630
	{ "void**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//631
};

static Smoke::Index okular_argumentList[] = {
	0,	//0  (void)
	100, 0,	//1  Okular::Action*  
	100, 628, 628, 0,	//3  Okular::Action*, int, int  
	102, 0,	//7  Okular::Annotation*  
	102, 628, 628, 0,	//9  Okular::Annotation*, int, int  
	116, 0,	//13  Okular::CaretAnnotation::CaretSymbol  
	126, 0,	//15  Okular::DocumentAction::DocumentActionType  
	128, 617, 0,	//17  Okular::DocumentInfo::Key, const QString&  
	129, 0,	//20  Okular::DocumentObserver*  
	134, 0,	//22  Okular::EmbeddedFile*  
	139, 0,	//24  Okular::ExportFormat::StandardExportFormat  
	146, 0,	//26  Okular::FontInfo::EmbedType  
	147, 0,	//28  Okular::FontInfo::FontType  
	156, 0,	//30  Okular::Generator::GeneratorFeature  
	156, 537, 0,	//32  Okular::Generator::GeneratorFeature, bool  
	159, 0,	//35  Okular::GeomAnnotation::GeomType  
	163, 0,	//37  Okular::HighlightAnnotation::HighlightType  
	166, 0,	//39  Okular::LineAnnotation::LineIntent  
	167, 0,	//41  Okular::LineAnnotation::TermStyle  
	171, 0,	//43  Okular::NormalizedRect  
	175, 627, 627, 627, 627, 0,	//45  Okular::ObjectRect::ObjectType, double, double, double, double  
	176, 0,	//51  Okular::Page*  
	176, 210, 0,	//53  Okular::Page*, Okular::TextPage*  
	177, 0,	//56  Okular::Page::PageAction  
	177, 100, 0,	//58  Okular::Page::PageAction, Okular::Action*  
	181, 0,	//61  Okular::PageTransition*  
	182, 0,	//63  Okular::PageTransition::Alignment  
	183, 0,	//65  Okular::PageTransition::Direction  
	184, 0,	//67  Okular::PageTransition::Type  
	185, 0,	//69  Okular::Permission  
	188, 0,	//71  Okular::PixmapRequest*  
	19, 0,	//73  KConfigDialog*  
	192, 192, 0,	//75  Okular::Rotation, Okular::Rotation  
	194, 617, 0,	//78  Okular::ScriptType, const QString&  
	196, 0,	//81  Okular::Sound*  
	197, 0,	//83  Okular::Sound::SoundEncoding  
	205, 0,	//85  Okular::TextAnnotation::InplaceIntent  
	206, 0,	//87  Okular::TextAnnotation::TextType  
	207, 334, 599, 0,	//89  Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&  
	210, 0,	//93  Okular::TextPage*  
	211, 0,	//95  Okular::TextSelection*  
	213, 0,	//97  Okular::View*  
	234, 0,	//99  QChildEvent*  
	258, 255, 0,	//101  QDomNode&, QDomDocument&  
	265, 0,	//104  QEvent*  
	3, 0,	//106  DisposeDataFunction  
	328, 628, 631, 0,	//108  QMetaObject::Call, int, void**  
	334, 265, 0,	//112  QObject*, QEvent*  
	334, 599, 0,	//115  QObject*, const QList<QVariant>&  
	355, 0,	//118  QPrinter&  
	355, 142, 143, 537, 617, 617, 0,	//120  QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&  
	355, 142, 617, 0,	//127  QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&  
	355, 143, 617, 537, 617, 0,	//131  QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&  
	355, 616, 0,	//137  QPrinter&, const QString  
	355, 616, 142, 0,	//140  QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy  
	355, 616, 142, 143, 0,	//144  QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy  
	355, 616, 142, 143, 617, 0,	//149  QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&  
	355, 617, 0,	//155  QPrinter&, const QString&  
	355, 618, 142, 143, 617, 0,	//158  QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&  
	355, 619, 0,	//164  QPrinter&, const QStringList&  
	355, 619, 142, 0,	//167  QPrinter&, const QStringList&, Okular::FilePrinter::FileDeletePolicy  
	355, 628, 600, 0,	//171  QPrinter&, int, const QList<int>&  
	406, 620, 0,	//175  QTextDocument*, const QTextBlock&  
	427, 0,	//178  QTimerEvent*  
	442, 0,	//180  QWidget*  
	537, 0,	//182  bool  
	539, 0,	//184  const KComponentData&  
	541, 617, 542, 0,	//186  const KIcon&, const QString&, const KSharedPtr<KMimeType>&  
	543, 0,	//190  const KUrl&  
	544, 0,	//192  const Okular::Action*  
	545, 257, 255, 0,	//194  const Okular::Annotation*, QDomElement&, QDomDocument&  
	545, 627, 627, 0,	//198  const Okular::Annotation*, double, double  
	548, 0,	//202  const Okular::AnnotationObjectRect&  
	549, 0,	//204  const Okular::AnnotationUtils&  
	550, 0,	//206  const Okular::ConfigInterface&  
	552, 0,	//208  const Okular::DocumentInfo&  
	554, 0,	//210  const Okular::DocumentSynopsis&  
	556, 0,	//212  const Okular::DocumentViewport&  
	556, 628, 0,	//214  const Okular::DocumentViewport&, int  
	556, 628, 537, 0,	//217  const Okular::DocumentViewport&, int, bool  
	557, 0,	//221  const Okular::EmbeddedFile&  
	558, 0,	//223  const Okular::ExportFormat&  
	559, 0,	//225  const Okular::FilePrinter&  
	560, 0,	//227  const Okular::FontInfo&  
	560, 233, 0,	//229  const Okular::FontInfo&, QByteArray*  
	561, 0,	//232  const Okular::GuiInterface&  
	562, 0,	//234  const Okular::NormalizedPoint&  
	562, 628, 0,	//236  const Okular::NormalizedPoint&, int  
	562, 630, 0,	//239  const Okular::NormalizedPoint&, void*  
	563, 0,	//242  const Okular::NormalizedRect&  
	563, 537, 175, 630, 0,	//244  const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*  
	564, 0,	//249  const Okular::NormalizedRect*  
	565, 0,	//251  const Okular::ObjectRect&  
	568, 0,	//253  const Okular::PageSize&  
	568, 568, 0,	//255  const Okular::PageSize&, const Okular::PageSize&  
	569, 0,	//258  const Okular::PageTransition&  
	571, 0,	//260  const Okular::PrintInterface&  
	572, 0,	//262  const Okular::RegularAreaRect&  
	573, 0,	//264  const Okular::RegularAreaRect*  
	574, 0,	//266  const Okular::SourceRefObjectRect&  
	575, 0,	//268  const Okular::SourceReference*  
	576, 0,	//270  const Okular::Utils&  
	577, 0,	//272  const Okular::VisiblePageRect&  
	578, 0,	//274  const QByteArray&  
	578, 438, 0,	//276  const QByteArray&, QVector<Okular::Page*>&  
	579, 0,	//279  const QColor&  
	580, 0,	//281  const QDateTime&  
	581, 0,	//283  const QDomDocument&  
	581, 537, 0,	//285  const QDomDocument&, bool  
	582, 0,	//288  const QDomElement&  
	583, 0,	//290  const QDomNode&  
	583, 617, 0,	//292  const QDomNode&, const QString&  
	584, 0,	//295  const QFont&  
	586, 0,	//297  const QImage*  
	590, 0,	//299  const QLinkedList<Okular::FormField*>&  
	591, 0,	//301  const QLinkedList<Okular::NormalizedPoint>&  
	592, 0,	//303  const QLinkedList<Okular::ObjectRect*>&  
	593, 0,	//305  const QLinkedList<Okular::PixmapRequest*>&  
	593, 120, 0,	//307  const QLinkedList<Okular::PixmapRequest*>&, Okular::Document::PixmapRequestFlags  
	594, 0,	//310  const QLinkedList<Okular::SourceRefObjectRect*>&  
	597, 0,	//312  const QList<Okular::TextEntity*>&  
	598, 0,	//314  const QList<QLinkedList<Okular::NormalizedPoint> >&  
	600, 0,	//316  const QList<int>&  
	601, 0,	//318  const QMatrix&  
	611, 175, 630, 0,	//320  const QPolygonF&, Okular::ObjectRect::ObjectType, void*  
	612, 627, 627, 0,	//324  const QRect&, double, double  
	612, 628, 628, 628, 0,	//328  const QRect&, int, int, int  
	614, 0,	//333  const QRectF&  
	617, 0,	//335  const QString&  
	617, 173, 0,	//337  const QString&, Okular::NormalizedRect*  
	617, 438, 0,	//340  const QString&, QVector<Okular::Page*>&  
	617, 537, 0,	//343  const QString&, bool  
	617, 537, 537, 0,	//346  const QString&, bool, bool  
	617, 542, 0,	//350  const QString&, const KSharedPtr<KMimeType>&  
	617, 543, 0,	//353  const QString&, const KUrl&  
	617, 543, 542, 0,	//356  const QString&, const KUrl&, const KSharedPtr<KMimeType>&  
	617, 556, 0,	//360  const QString&, const Okular::DocumentViewport&  
	617, 558, 0,	//363  const QString&, const Okular::ExportFormat&  
	617, 617, 0,	//366  const QString&, const QString&  
	617, 617, 617, 0,	//369  const QString&, const QString&, const QString&  
	617, 623, 0,	//373  const QString&, const QVariant&  
	617, 628, 0,	//376  const QString&, int  
	617, 628, 628, 0,	//379  const QString&, int, int  
	617, 97, 0,	//383  const QString&, KXMLGUIClient::ReverseStateChange  
	623, 0,	//386  const QVariant&  
	624, 0,	//388  const QVector<Okular::VisiblePageRect*>&  
	624, 628, 0,	//390  const QVector<Okular::VisiblePageRect*>&, int  
	625, 0,	//393  const char*  
	627, 0,	//395  double  
	627, 537, 537, 537, 196, 0,	//397  double, bool, bool, bool, Okular::Sound*  
	627, 627, 0,	//403  double, double  
	627, 627, 617, 0,	//406  double, double, const QString&  
	627, 627, 627, 627, 0,	//410  double, double, double, double  
	627, 627, 627, 627, 537, 175, 630, 0,	//415  double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*  
	628, 0,	//423  int  
	628, 102, 0,	//425  int, Okular::Annotation*  
	628, 123, 0,	//428  int, Okular::Document::SearchStatus  
	628, 124, 0,	//431  int, Okular::Document::SearchType  
	628, 191, 579, 0,	//434  int, Okular::RegularAreaRect*, const QColor&  
	628, 352, 0,	//438  int, QPixmap*  
	628, 563, 0,	//441  int, const Okular::NormalizedRect&  
	628, 595, 0,	//444  int, const QList<Okular::Annotation*>&  
	628, 617, 195, 458, 0,	//447  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity  
	628, 617, 195, 458, 573, 0,	//452  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*  
	628, 617, 537, 458, 124, 537, 579, 0,	//458  int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&  
	628, 617, 537, 458, 124, 537, 579, 537, 0,	//466  int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&, bool  
	628, 617, 620, 0,	//475  int, const QString&, const QTextBlock&  
	628, 628, 0,	//479  int, int  
	628, 628, 537, 0,	//482  int, int, bool  
	628, 628, 628, 0,	//486  int, int, int  
	628, 628, 628, 628, 0,	//490  int, int, int, int  
	628, 628, 628, 628, 628, 537, 0,	//495  int, int, int, int, int, bool  
	629, 0,	//502  uint  
	629, 627, 627, 192, 0,	//504  uint, double, double, Okular::Rotation  
};

// Raw list of all methods, using munged names
static const char *okular_methodNames[] = {
    "",	//0
    "ACaret",	//1
    "AFileAttachment",	//2
    "AGeom",	//3
    "AHighlight",	//4
    "AInk",	//5
    "ALaw",	//6
    "ALine",	//7
    "AMovie",	//8
    "ASound",	//9
    "AStamp",	//10
    "AText",	//11
    "A_BASE",	//12
    "Accepted",	//13
    "Action",	//14
    "AllDocument",	//15
    "AnnotationObjectRect",	//16
    "AnnotationObjectRect#",	//17
    "AnnotationUtils",	//18
    "AnnotationUtils#",	//19
    "ApplicationDeletesFiles",	//20
    "ApplicationSelectsPages",	//21
    "Arrow",	//22
    "Author",	//23
    "Beveled",	//24
    "Blinds",	//25
    "Box",	//26
    "Browse",	//27
    "BrowseAction",	//28
    "BrowseAction$",	//29
    "Butt",	//30
    "CIDTrueType",	//31
    "CIDTrueTypeOT",	//32
    "CIDType0",	//33
    "CIDType0C",	//34
    "CIDType0COT",	//35
    "Callout",	//36
    "Cancelled",	//37
    "CaretAnnotation",	//38
    "CaretAnnotation#",	//39
    "Category",	//40
    "Center",	//41
    "CheckBox",	//42
    "Circle",	//43
    "Close",	//44
    "ClosedArrow",	//45
    "Closing",	//46
    "Cloudy",	//47
    "ComboBox",	//48
    "Completed",	//49
    "ConfigInterface",	//50
    "ConfigInterface#",	//51
    "Copyright",	//52
    "Cover",	//53
    "CreationDate",	//54
    "Creator",	//55
    "Dashed",	//56
    "Delete",	//57
    "DenyDelete",	//58
    "DenyPrint",	//59
    "DenyWrite",	//60
    "Description",	//61
    "Diamond",	//62
    "Dimension",	//63
    "Dissolve",	//64
    "DocAction",	//65
    "Document",	//66
    "Document#",	//67
    "DocumentAction",	//68
    "DocumentAction$",	//69
    "DocumentInfo",	//70
    "DocumentInfo#",	//71
    "DocumentSynopsis",	//72
    "DocumentSynopsis#",	//73
    "DocumentViewport",	//74
    "DocumentViewport#",	//75
    "DocumentViewport$",	//76
    "Embedded",	//77
    "EmbeddedFile",	//78
    "EmbeddedFile#",	//79
    "EmbeddedSubset",	//80
    "EndPresentation",	//81
    "Execute",	//82
    "ExecuteAction",	//83
    "ExecuteAction$$",	//84
    "ExportFormat",	//85
    "ExportFormat#",	//86
    "ExportFormat#$?",	//87
    "ExportFormat$?",	//88
    "External",	//89
    "Fade",	//90
    "FileAttachmentAnnotation",	//91
    "FileAttachmentAnnotation#",	//92
    "FilePrinter",	//93
    "FilePrinter#",	//94
    "FileSelect",	//95
    "Find",	//96
    "FixedRotation",	//97
    "FixedSize",	//98
    "Fly",	//99
    "FontInfo",	//100
    "FontInfo#",	//101
    "FormButton",	//102
    "FormChoice",	//103
    "FormFieldButton",	//104
    "FormFieldChoice",	//105
    "FormFieldText",	//106
    "FormSignature",	//107
    "FormText",	//108
    "FullyEmbedded",	//109
    "Generator",	//110
    "Generator#?",	//111
    "GeomAnnotation",	//112
    "GeomAnnotation#",	//113
    "Glitter",	//114
    "GoToPage",	//115
    "GoogleAll",	//116
    "GoogleAny",	//117
    "Goto",	//118
    "GotoAction",	//119
    "GotoAction$#",	//120
    "Group",	//121
    "GuiInterface",	//122
    "GuiInterface#",	//123
    "HTML",	//124
    "Hidden",	//125
    "Highlight",	//126
    "HighlightAnnotation",	//127
    "HighlightAnnotation#",	//128
    "HistoryBack",	//129
    "HistoryForward",	//130
    "Horizontal",	//131
    "Image",	//132
    "InPlace",	//133
    "InkAnnotation",	//134
    "InkAnnotation#",	//135
    "InscribedCircle",	//136
    "InscribedSquare",	//137
    "Inset",	//138
    "Inward",	//139
    "Keywords",	//140
    "LineAnnotation",	//141
    "LineAnnotation#",	//142
    "Linked",	//143
    "ListBox",	//144
    "Marked",	//145
    "MatchFound",	//146
    "MimeType",	//147
    "ModificationDate",	//148
    "Movie",	//149
    "Multiline",	//150
    "NativePrinting",	//151
    "NextMatch",	//152
    "NoEffect",	//153
    "NoMatchFound",	//154
    "NoOption",	//155
    "NoPrinting",	//156
    "None",	//157
    "Normal",	//158
    "NormalizedPoint",	//159
    "NormalizedPoint#",	//160
    "NormalizedPoint$$",	//161
    "NormalizedPoint$$$$",	//162
    "NormalizedRect",	//163
    "NormalizedRect#",	//164
    "NormalizedRect#$$",	//165
    "NormalizedRect$$$$",	//166
    "NotEmbedded",	//167
    "OAnnotation",	//168
    "ObjectRect",	//169
    "ObjectRect#",	//170
    "ObjectRect#$$",	//171
    "ObjectRect#$$$",	//172
    "ObjectRect$$$$$$$",	//173
    "OpenArrow",	//174
    "OpenDocumentText",	//175
    "Opening",	//176
    "Outward",	//177
    "P",	//178
    "PDF",	//179
    "Page",	//180
    "Page$$$$",	//181
    "PageFirst",	//182
    "PageLast",	//183
    "PageNext",	//184
    "PagePrev",	//185
    "PageSize",	//186
    "PageSize#",	//187
    "PageSize$$$",	//188
    "PageSizes",	//189
    "PageTransition",	//190
    "PageTransition#",	//191
    "PageTransition$",	//192
    "Pages",	//193
    "PixmapRequest",	//194
    "PixmapRequest$$$$$$",	//195
    "PlainText",	//196
    "Points",	//197
    "PolygonCloud",	//198
    "PostscriptPrinting",	//199
    "Presentation",	//200
    "PreviousMatch",	//201
    "PrintInterface",	//202
    "PrintInterface#",	//203
    "PrintNative",	//204
    "PrintPostscript",	//205
    "PrintToFile",	//206
    "Producer",	//207
    "Push",	//208
    "Quit",	//209
    "RClosedArrow",	//210
    "ROpenArrow",	//211
    "Radio",	//212
    "Raw",	//213
    "ReadRawData",	//214
    "RegularAreaRect",	//215
    "RegularAreaRect#",	//216
    "Rejected",	//217
    "RemoveAllPrevious",	//218
    "Replace",	//219
    "Reply",	//220
    "Script",	//221
    "ScriptAction",	//222
    "ScriptAction$$",	//223
    "SearchCancelled",	//224
    "Signed",	//225
    "Slash",	//226
    "Solid",	//227
    "Sound",	//228
    "Sound#",	//229
    "Sound$",	//230
    "SoundAction",	//231
    "SoundAction$$$$#",	//232
    "SoundAnnotation",	//233
    "SoundAnnotation#",	//234
    "SourceRef",	//235
    "SourceRefObjectRect",	//236
    "SourceRefObjectRect#",	//237
    "SourceRefObjectRect#$",	//238
    "SourceReference",	//239
    "SourceReference$$",	//240
    "SourceReference$$$",	//241
    "Split",	//242
    "Square",	//243
    "Squiggly",	//244
    "StampAnnotation",	//245
    "StampAnnotation#",	//246
    "StrikeOut",	//247
    "Subject",	//248
    "SystemDeletesFiles",	//249
    "SystemSelectsPages",	//250
    "TextAnnotation",	//251
    "TextAnnotation#",	//252
    "TextDocumentConverter",	//253
    "TextDocumentGenerator",	//254
    "TextDocumentGenerator##?",	//255
    "TextEntity",	//256
    "TextEntity$#",	//257
    "TextExtraction",	//258
    "TextPage",	//259
    "TextPage?",	//260
    "Threaded",	//261
    "Title",	//262
    "ToggleHidingOnMouse",	//263
    "TopLeft",	//264
    "TrueType",	//265
    "TrueTypeOT",	//266
    "Type1",	//267
    "Type1C",	//268
    "Type1COT",	//269
    "Type3",	//270
    "TypeWriter",	//271
    "Uncover",	//272
    "Underline",	//273
    "Unknown",	//274
    "Unmarked",	//275
    "Utils",	//276
    "Utils#",	//277
    "Vertical",	//278
    "VisiblePageRect",	//279
    "VisiblePageRect#",	//280
    "VisiblePageRect$",	//281
    "VisiblePageRect$#",	//282
    "Wipe",	//283
    "action",	//284
    "action#",	//285
    "actionCollection",	//286
    "actionTip",	//287
    "actionType",	//288
    "activationAction",	//289
    "addAction",	//290
    "addAction#$$",	//291
    "addAnnotation",	//292
    "addAnnotation#",	//293
    "addAnnotation#$$",	//294
    "addMetaData",	//295
    "addMetaData$$",	//296
    "addMetaData$$$",	//297
    "addObserver",	//298
    "addObserver?",	//299
    "addPageAnnotation",	//300
    "addPageAnnotation$#",	//301
    "addPages",	//302
    "addPages#",	//303
    "addTitle",	//304
    "addTitle$$#",	//305
    "alignment",	//306
    "allPagesSize",	//307
    "angle",	//308
    "annotation",	//309
    "annotationGeometry",	//310
    "annotationGeometry#$$",	//311
    "annotations",	//312
    "append",	//313
    "append$#",	//314
    "area",	//315
    "asynchronous",	//316
    "author",	//317
    "bitsPerSample",	//318
    "bookmarkManager",	//319
    "bookmarkedPageList",	//320
    "bookmarkedPageRange",	//321
    "bottom",	//322
    "boundingBox",	//323
    "boundingRect",	//324
    "boundingRect$$",	//325
    "boundingRectangle",	//326
    "buttonType",	//327
    "calculateViewport",	//328
    "calculateViewport##",	//329
    "canBeExtracted",	//330
    "canBeMoved",	//331
    "canBeSpellChecked",	//332
    "canConfigurePrinter",	//333
    "canExportToText",	//334
    "canGeneratePixmap",	//335
    "canGenerateTextPage",	//336
    "canProvideFontInformation",	//337
    "canSaveChanges",	//338
    "cancelSearch",	//339
    "caption",	//340
    "caretSymbol",	//341
    "channels",	//342
    "childEvent",	//343
    "childEvent#",	//344
    "choiceType",	//345
    "choices",	//346
    "close",	//347
    "closeDocument",	//348
    "column",	//349
    "componentData",	//350
    "configurableGenerators",	//351
    "connectNotify",	//352
    "connectNotify$",	//353
    "contains",	//354
    "contains$$",	//355
    "contains$$$$",	//356
    "contents",	//357
    "continueSearch",	//358
    "continueSearch$",	//359
    "continueSearch$$",	//360
    "convert",	//361
    "convert$",	//362
    "copies",	//363
    "copies#$",	//364
    "createAnnotation",	//365
    "createAnnotation#",	//366
    "creationDate",	//367
    "cupsAvailable",	//368
    "cupsOptions",	//369
    "cupsOptions#",	//370
    "currentChoices",	//371
    "currentDocument",	//372
    "currentPage",	//373
    "customEvent",	//374
    "customEvent#",	//375
    "data",	//376
    "deleteAnnotations",	//377
    "deleteFile",	//378
    "deleteFile#$$",	//379
    "deletePixmap",	//380
    "deletePixmap$",	//381
    "deletePixmaps",	//382
    "deleteRects",	//383
    "deleteSourceReferences",	//384
    "description",	//385
    "destViewport",	//386
    "destination",	//387
    "destination#$",	//388
    "detectCupsConfig",	//389
    "detectCupsService",	//390
    "direction",	//391
    "disconnectNotify",	//392
    "disconnectNotify$",	//393
    "doCloseDocument",	//394
    "doPrintFiles",	//395
    "doPrintFiles#?$$$",	//396
    "document",	//397
    "documentActionType",	//398
    "documentInfo",	//399
    "documentMetaData",	//400
    "documentMetaData$",	//401
    "documentMetaData$#",	//402
    "documentSynopsis",	//403
    "domDocument",	//404
    "dpiX",	//405
    "dpiY",	//406
    "duration",	//407
    "embedType",	//408
    "embeddedFile",	//409
    "embeddedFiles",	//410
    "error",	//411
    "error$$",	//412
    "event",	//413
    "event#",	//414
    "eventFilter",	//415
    "eventFilter##",	//416
    "exportFormats",	//417
    "exportTo",	//418
    "exportTo$#",	//419
    "exportToText",	//420
    "exportToText$",	//421
    "file",	//422
    "fileIconName",	//423
    "fileName",	//424
    "fillConfigDialog",	//425
    "fillConfigDialog#",	//426
    "findChildElement",	//427
    "findChildElement#$",	//428
    "findText",	//429
    "findText$$$$",	//430
    "findText$$$$#",	//431
    "flags",	//432
    "fontData",	//433
    "fontData#",	//434
    "fontReadingEnded",	//435
    "fontReadingProgress",	//436
    "fontReadingProgress$",	//437
    "fontsForPage",	//438
    "fontsForPage$",	//439
    "formFields",	//440
    "fromQRectF",	//441
    "fromQRectF#",	//442
    "generateDocumentInfo",	//443
    "generateDocumentSynopsis",	//444
    "generatePixmap",	//445
    "generatePixmap#",	//446
    "generateTextPage",	//447
    "generateTextPage#",	//448
    "generator",	//449
    "geometricalInnerColor",	//450
    "geometricalType",	//451
    "geometry",	//452
    "geometry$$",	//453
    "get",	//454
    "get$",	//455
    "gotFont",	//456
    "gotFont#",	//457
    "guiClient",	//458
    "hasAnnotations",	//459
    "hasFeature",	//460
    "hasFeature$",	//461
    "hasHighlights",	//462
    "hasHighlights$",	//463
    "hasObjectRect",	//464
    "hasObjectRect$$$$",	//465
    "hasPixmap",	//466
    "hasPixmap$",	//467
    "hasPixmap$$",	//468
    "hasPixmap$$$",	//469
    "hasTextPage",	//470
    "hasTransition",	//471
    "height",	//472
    "highlightQuads",	//473
    "highlightType",	//474
    "historyAtBegin",	//475
    "historyAtEnd",	//476
    "icon",	//477
    "id",	//478
    "image",	//479
    "image#",	//480
    "imageBoundingBox",	//481
    "imageBoundingBox#",	//482
    "inkPaths",	//483
    "inplaceAlignment",	//484
    "inplaceCallout",	//485
    "inplaceCallout$",	//486
    "inplaceIntent",	//487
    "inplaceText",	//488
    "intersects",	//489
    "intersects#",	//490
    "intersects$$$$",	//491
    "isAllowed",	//492
    "isAllowed$",	//493
    "isBoundingBoxKnown",	//494
    "isEditable",	//495
    "isExternal",	//496
    "isNull",	//497
    "isOpened",	//498
    "isPassword",	//499
    "isReadOnly",	//500
    "isRectangular",	//501
    "isRichText",	//502
    "isValid",	//503
    "isVisible",	//504
    "jobname",	//505
    "jobname#$",	//506
    "label",	//507
    "left",	//508
    "lineClosed",	//509
    "lineEndStyle",	//510
    "lineInnerColor",	//511
    "lineIntent",	//512
    "lineLeadingBackwardPoint",	//513
    "lineLeadingForwardPoint",	//514
    "linePoints",	//515
    "lineStartStyle",	//516
    "linkEndPresentation",	//517
    "linkFind",	//518
    "linkGoToPage",	//519
    "linkPresentation",	//520
    "loadDocument",	//521
    "loadDocument$?",	//522
    "loadDocumentFromData",	//523
    "loadDocumentFromData#?",	//524
    "localXMLFile",	//525
    "maximumLength",	//526
    "mediaPageSize",	//527
    "mediaPageSize#",	//528
    "mediaPaperSource",	//529
    "mediaPaperSource#",	//530
    "metaData",	//531
    "metaData$",	//532
    "metaData$#",	//533
    "metaObject",	//534
    "mimeType",	//535
    "mix",	//536
    "modificationDate",	//537
    "modifyPageAnnotation",	//538
    "modifyPageAnnotation$#",	//539
    "muLaw",	//540
    "multiSelect",	//541
    "name",	//542
    "nativeId",	//543
    "notice",	//544
    "notice$$",	//545
    "number",	//546
    "object",	//547
    "objectRect",	//548
    "objectRect$$$$$",	//549
    "objectType",	//550
    "openDocument",	//551
    "openDocument$#?",	//552
    "openDocumentArchive",	//553
    "openDocumentArchive$#",	//554
    "openUrl",	//555
    "openUrl#",	//556
    "operator!=",	//557
    "operator!=#",	//558
    "operator&",	//559
    "operator&#",	//560
    "operator=",	//561
    "operator=#",	//562
    "operator==",	//563
    "operator==#",	//564
    "operator|",	//565
    "operator|#",	//566
    "operator|=",	//567
    "operator|=#",	//568
    "optionCollateCopies",	//569
    "optionCollateCopies#",	//570
    "optionCupsProperties",	//571
    "optionCupsProperties#",	//572
    "optionDoubleSidedPrinting",	//573
    "optionDoubleSidedPrinting#",	//574
    "optionMedia",	//575
    "optionMedia#",	//576
    "optionOrientation",	//577
    "optionOrientation#",	//578
    "optionPageMargins",	//579
    "optionPageMargins#",	//580
    "optionPageOrder",	//581
    "optionPageOrder#",	//582
    "orientation",	//583
    "page",	//584
    "page$",	//585
    "pageAction",	//586
    "pageAction$",	//587
    "pageList",	//588
    "pageList#$?",	//589
    "pageListToPageRange",	//590
    "pageListToPageRange?",	//591
    "pageNumber",	//592
    "pageRange",	//593
    "pageRange#$?",	//594
    "pageSizeChanged",	//595
    "pageSizeChanged##",	//596
    "pageSizeString",	//597
    "pageSizeString$",	//598
    "pageSizes",	//599
    "pages",	//600
    "pages#$$$$",	//601
    "pagesSizeMetric",	//602
    "parameters",	//603
    "pdf2psAvailable",	//604
    "print",	//605
    "print#",	//606
    "printArguments",	//607
    "printArguments#$$$$$",	//608
    "printConfigurationWidget",	//609
    "printFile",	//610
    "printFile#$",	//611
    "printFile#$$",	//612
    "printFile#$$$",	//613
    "printFile#$$$$",	//614
    "printFiles",	//615
    "printFiles#?",	//616
    "printFiles#?$",	//617
    "printingSupport",	//618
    "priority",	//619
    "processAction",	//620
    "processAction#",	//621
    "processSourceReference",	//622
    "processSourceReference#",	//623
    "ps2pdfAvailable",	//624
    "psPaperSize",	//625
    "psPaperSize#",	//626
    "qt_metacall",	//627
    "qt_metacall$$?",	//628
    "quit",	//629
    "ratio",	//630
    "rect",	//631
    "region",	//632
    "registerView",	//633
    "registerView?",	//634
    "removeAnnotation",	//635
    "removeAnnotation#",	//636
    "removeObserver",	//637
    "removeObserver?",	//638
    "removePageAnnotation",	//639
    "removePageAnnotation$#",	//640
    "removePageAnnotations",	//641
    "removePageAnnotations$?",	//642
    "reparseConfig",	//643
    "repeat",	//644
    "requestFontData",	//645
    "requestFontData##",	//646
    "requestPixmaps",	//647
    "requestPixmaps?",	//648
    "requestPixmaps?$",	//649
    "requestTextPage",	//650
    "requestTextPage$",	//651
    "resetSearch",	//652
    "resetSearch$",	//653
    "revisions",	//654
    "right",	//655
    "rotateRect",	//656
    "rotateRect#$$$",	//657
    "rotation",	//658
    "rotationChanged",	//659
    "rotationChanged$$",	//660
    "row",	//661
    "samplingRate",	//662
    "saveChanges",	//663
    "saveChanges$",	//664
    "saveDocumentArchive",	//665
    "saveDocumentArchive$",	//666
    "scale",	//667
    "script",	//668
    "scriptType",	//669
    "searchFinished",	//670
    "searchFinished$$",	//671
    "searchText",	//672
    "searchText$$$$$$#",	//673
    "searchText$$$$$$#$",	//674
    "set",	//675
    "set$$",	//676
    "set$$$",	//677
    "setActivationAction",	//678
    "setActivationAction#",	//679
    "setAlignment",	//680
    "setAlignment$",	//681
    "setAngle",	//682
    "setAngle$",	//683
    "setAuthor",	//684
    "setAuthor$",	//685
    "setBitsPerSample",	//686
    "setBitsPerSample$",	//687
    "setBottom",	//688
    "setBottom$",	//689
    "setBoundingBox",	//690
    "setBoundingBox#",	//691
    "setBoundingRectangle",	//692
    "setBoundingRectangle#",	//693
    "setCanBeExtracted",	//694
    "setCanBeExtracted$",	//695
    "setCaretSymbol",	//696
    "setCaretSymbol$",	//697
    "setChannels",	//698
    "setChannels$",	//699
    "setComponentData",	//700
    "setComponentData#",	//701
    "setContents",	//702
    "setContents$",	//703
    "setCreationDate",	//704
    "setCreationDate#",	//705
    "setCurrentChoices",	//706
    "setCurrentChoices?",	//707
    "setDOMDocument",	//708
    "setDOMDocument#",	//709
    "setDOMDocument#$",	//710
    "setDirection",	//711
    "setDirection$",	//712
    "setDisposeDataFunction",	//713
    "setDisposeDataFunction?",	//714
    "setDuration",	//715
    "setDuration$",	//716
    "setEmbedType",	//717
    "setEmbedType$",	//718
    "setEmbeddedFile",	//719
    "setEmbeddedFile#",	//720
    "setFeature",	//721
    "setFeature$",	//722
    "setFeature$$",	//723
    "setFile",	//724
    "setFile$",	//725
    "setFileIconName",	//726
    "setFileIconName$",	//727
    "setFlags",	//728
    "setFlags$",	//729
    "setFormFields",	//730
    "setFormFields?",	//731
    "setGeometricalInnerColor",	//732
    "setGeometricalInnerColor#",	//733
    "setGeometricalType",	//734
    "setGeometricalType$",	//735
    "setHighlightType",	//736
    "setHighlightType$",	//737
    "setInkPaths",	//738
    "setInkPaths?",	//739
    "setInplaceAlignment",	//740
    "setInplaceAlignment$",	//741
    "setInplaceCallout",	//742
    "setInplaceCallout#$",	//743
    "setInplaceIntent",	//744
    "setInplaceIntent$",	//745
    "setInplaceText",	//746
    "setInplaceText$",	//747
    "setIsRectangular",	//748
    "setIsRectangular$",	//749
    "setLabel",	//750
    "setLabel$",	//751
    "setLeft",	//752
    "setLeft$",	//753
    "setLineClosed",	//754
    "setLineClosed$",	//755
    "setLineEndStyle",	//756
    "setLineEndStyle$",	//757
    "setLineInnerColor",	//758
    "setLineInnerColor#",	//759
    "setLineIntent",	//760
    "setLineIntent$",	//761
    "setLineLeadingBackwardPoint",	//762
    "setLineLeadingBackwardPoint$",	//763
    "setLineLeadingForwardPoint",	//764
    "setLineLeadingForwardPoint$",	//765
    "setLinePoints",	//766
    "setLinePoints?",	//767
    "setLineStartStyle",	//768
    "setLineStartStyle$",	//769
    "setLocalXMLFile",	//770
    "setLocalXMLFile$",	//771
    "setModificationDate",	//772
    "setModificationDate#",	//773
    "setName",	//774
    "setName$",	//775
    "setNativeId",	//776
    "setNativeId#",	//777
    "setNextDocumentViewport",	//778
    "setNextDocumentViewport#",	//779
    "setNextViewport",	//780
    "setObjectRects",	//781
    "setObjectRects?",	//782
    "setPageAction",	//783
    "setPageAction$#",	//784
    "setPageNumber",	//785
    "setPageNumber$",	//786
    "setPageSize",	//787
    "setPageSize#",	//788
    "setPageTextSelection",	//789
    "setPageTextSelection$##",	//790
    "setPixmap",	//791
    "setPixmap$#",	//792
    "setPrevViewport",	//793
    "setRect",	//794
    "setRect#",	//795
    "setRight",	//796
    "setRight$",	//797
    "setRotation",	//798
    "setRotation$",	//799
    "setSamplingRate",	//800
    "setSamplingRate$",	//801
    "setScale",	//802
    "setScale$",	//803
    "setShowCaption",	//804
    "setShowCaption$",	//805
    "setSound",	//806
    "setSound#",	//807
    "setSoundEncoding",	//808
    "setSoundEncoding$",	//809
    "setSoundIconName",	//810
    "setSoundIconName$",	//811
    "setSourceReferences",	//812
    "setSourceReferences?",	//813
    "setStampIconName",	//814
    "setStampIconName$",	//815
    "setState",	//816
    "setState$",	//817
    "setText",	//818
    "setText$",	//819
    "setTextFont",	//820
    "setTextFont#",	//821
    "setTextIcon",	//822
    "setTextIcon$",	//823
    "setTextPage",	//824
    "setTextPage#",	//825
    "setTextType",	//826
    "setTextType$",	//827
    "setTop",	//828
    "setTop$",	//829
    "setTransition",	//830
    "setTransition#",	//831
    "setType",	//832
    "setType$",	//833
    "setUniqueName",	//834
    "setUniqueName$",	//835
    "setViewport",	//836
    "setViewport#",	//837
    "setViewport#$",	//838
    "setViewport#$$",	//839
    "setViewportPage",	//840
    "setViewportPage$",	//841
    "setViewportPage$$",	//842
    "setViewportPage$$$",	//843
    "setVisiblePageRects",	//844
    "setVisiblePageRects?",	//845
    "setVisiblePageRects?$",	//846
    "setX",	//847
    "setX$",	//848
    "setXML",	//849
    "setXML$",	//850
    "setXML$$",	//851
    "setXMLFile",	//852
    "setXMLFile$",	//853
    "setXMLFile$$",	//854
    "setXMLFile$$$",	//855
    "setY",	//856
    "setY$",	//857
    "setZoom",	//858
    "setZoom$",	//859
    "setZoom$$",	//860
    "showCaption",	//861
    "siblings",	//862
    "signalPixmapRequestDone",	//863
    "signalPixmapRequestDone#",	//864
    "signalTextGenerationDone",	//865
    "signalTextGenerationDone##",	//866
    "size",	//867
    "sound",	//868
    "soundEncoding",	//869
    "soundIconName",	//870
    "soundType",	//871
    "stampIconName",	//872
    "standardFormat",	//873
    "standardFormat$",	//874
    "startFontReading",	//875
    "state",	//876
    "stateChanged",	//877
    "stateChanged$",	//878
    "stateChanged$$",	//879
    "staticMetaObject",	//880
    "stopFontReading",	//881
    "store",	//882
    "store##",	//883
    "storeAnnotation",	//884
    "storeAnnotation###",	//885
    "style",	//886
    "subType",	//887
    "supportedMimeTypes",	//888
    "supportsPageSizes",	//889
    "supportsPrintToFile",	//890
    "supportsSearching",	//891
    "synchronous",	//892
    "text",	//893
    "text#",	//894
    "textAlignment",	//895
    "textArea",	//896
    "textArea?",	//897
    "textFont",	//898
    "textIcon",	//899
    "textPage",	//900
    "textPage#",	//901
    "textSelection",	//902
    "textSelectionColor",	//903
    "textType",	//904
    "timerEvent",	//905
    "timerEvent#",	//906
    "toString",	//907
    "top",	//908
    "totalOrientation",	//909
    "transform",	//910
    "transform#",	//911
    "transformedArea",	//912
    "transformedArea#",	//913
    "transformedBoundingRectangle",	//914
    "transformedInkPaths",	//915
    "transformedInplaceCallout",	//916
    "transformedInplaceCallout$",	//917
    "transformedLinePoints",	//918
    "transition",	//919
    "translate",	//920
    "translate#",	//921
    "type",	//922
    "uiName",	//923
    "uniqueName",	//924
    "unregisterView",	//925
    "unregisterView?",	//926
    "updatePageBoundingBox",	//927
    "updatePageBoundingBox$#",	//928
    "url",	//929
    "userMutex",	//930
    "viewport",	//931
    "visiblePageRects",	//932
    "volume",	//933
    "warning",	//934
    "warning$$",	//935
    "widget",	//936
    "width",	//937
    "window",	//938
    "x",	//939
    "xmlFile",	//940
    "y",	//941
    "~Action",	//942
    "~Annotation",	//943
    "~AnnotationObjectRect",	//944
    "~AnnotationUtils",	//945
    "~BrowseAction",	//946
    "~CaretAnnotation",	//947
    "~ConfigInterface",	//948
    "~Document",	//949
    "~DocumentAction",	//950
    "~DocumentInfo",	//951
    "~DocumentSynopsis",	//952
    "~DocumentViewport",	//953
    "~EmbeddedFile",	//954
    "~ExecuteAction",	//955
    "~ExportFormat",	//956
    "~FileAttachmentAnnotation",	//957
    "~FilePrinter",	//958
    "~FontInfo",	//959
    "~FormField",	//960
    "~FormFieldButton",	//961
    "~FormFieldChoice",	//962
    "~FormFieldText",	//963
    "~Generator",	//964
    "~GeomAnnotation",	//965
    "~GotoAction",	//966
    "~GuiInterface",	//967
    "~HighlightAnnotation",	//968
    "~InkAnnotation",	//969
    "~LineAnnotation",	//970
    "~NormalizedPoint",	//971
    "~NormalizedRect",	//972
    "~ObjectRect",	//973
    "~Page",	//974
    "~PageSize",	//975
    "~PageTransition",	//976
    "~PixmapRequest",	//977
    "~PrintInterface",	//978
    "~RegularAreaRect",	//979
    "~ScriptAction",	//980
    "~Sound",	//981
    "~SoundAction",	//982
    "~SoundAnnotation",	//983
    "~SourceRefObjectRect",	//984
    "~SourceReference",	//985
    "~StampAnnotation",	//986
    "~TextAnnotation",	//987
    "~TextDocumentConverter",	//988
    "~TextDocumentGenerator",	//989
    "~TextEntity",	//990
    "~TextPage",	//991
    "~Utils",	//992
    "~VisiblePageRect",	//993
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method okular_methods[] = {
	{6, 284, 288, 1, Smoke::mf_const, 228, 6},	//0 KXMLGUIClient::action(const QDomElement&) const
	{6, 286, 0, 0, Smoke::mf_const, 7, 7},	//1 KXMLGUIClient::actionCollection() const
	{6, 350, 0, 0, Smoke::mf_const, 14, 8},	//2 KXMLGUIClient::componentData() const
	{6, 404, 0, 0, Smoke::mf_const, 254, 9},	//3 KXMLGUIClient::domDocument() const
	{6, 940, 0, 0, Smoke::mf_const, 376, 10},	//4 KXMLGUIClient::xmlFile() const
	{6, 525, 0, 0, Smoke::mf_const, 376, 11},	//5 KXMLGUIClient::localXMLFile() const
	{6, 700, 184, 1, Smoke::mf_protected, 0, 33},	//6 KXMLGUIClient::setComponentData(const KComponentData&)
	{6, 852, 346, 3, Smoke::mf_protected, 0, 34},	//7 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
	{6, 852, 343, 2, Smoke::mf_protected, 0, 35},	//8 KXMLGUIClient::setXMLFile(const QString&, bool)
	{6, 852, 335, 1, Smoke::mf_protected, 0, 36},	//9 KXMLGUIClient::setXMLFile(const QString&)
	{6, 770, 335, 1, Smoke::mf_protected, 0, 37},	//10 KXMLGUIClient::setLocalXMLFile(const QString&)
	{6, 849, 343, 2, Smoke::mf_protected, 0, 38},	//11 KXMLGUIClient::setXML(const QString&, bool)
	{6, 849, 335, 1, Smoke::mf_protected, 0, 39},	//12 KXMLGUIClient::setXML(const QString&)
	{6, 708, 285, 2, Smoke::mf_protected, 0, 40},	//13 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
	{6, 708, 283, 1, Smoke::mf_protected, 0, 41},	//14 KXMLGUIClient::setDOMDocument(const QDomDocument&)
	{6, 877, 383, 2, Smoke::mf_protected, 0, 42},	//15 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
	{6, 877, 335, 1, Smoke::mf_protected, 0, 43},	//16 KXMLGUIClient::stateChanged(const QString&)
	{8, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 1},	//17 Okular::Action::Goto (enum)
	{8, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 2},	//18 Okular::Action::Execute (enum)
	{8, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 3},	//19 Okular::Action::Browse (enum)
	{8, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 4},	//20 Okular::Action::DocAction (enum)
	{8, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 5},	//21 Okular::Action::Sound (enum)
	{8, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 6},	//22 Okular::Action::Movie (enum)
	{8, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 7},	//23 Okular::Action::Script (enum)
	{8, 942, 0, 0, Smoke::mf_dtor, 0, 10},	//24 Okular::Action::~Action()
	{8, 288, 0, 0, Smoke::mf_const, 101, 8},	//25 Okular::Action::actionType() const [pure virtual]
	{8, 287, 0, 0, Smoke::mf_const, 376, 9},	//26 Okular::Action::actionTip() const
	{9, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 1},	//27 Okular::Annotation::AText (enum)
	{9, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 2},	//28 Okular::Annotation::ALine (enum)
	{9, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 3},	//29 Okular::Annotation::AGeom (enum)
	{9, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 4},	//30 Okular::Annotation::AHighlight (enum)
	{9, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 5},	//31 Okular::Annotation::AStamp (enum)
	{9, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 6},	//32 Okular::Annotation::AInk (enum)
	{9, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 7},	//33 Okular::Annotation::ACaret (enum)
	{9, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 8},	//34 Okular::Annotation::AFileAttachment (enum)
	{9, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 9},	//35 Okular::Annotation::ASound (enum)
	{9, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 10},	//36 Okular::Annotation::AMovie (enum)
	{9, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 11},	//37 Okular::Annotation::A_BASE (enum)
	{9, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 12},	//38 Okular::Annotation::Hidden (enum)
	{9, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 13},	//39 Okular::Annotation::FixedSize (enum)
	{9, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 14},	//40 Okular::Annotation::FixedRotation (enum)
	{9, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 15},	//41 Okular::Annotation::DenyPrint (enum)
	{9, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 16},	//42 Okular::Annotation::DenyWrite (enum)
	{9, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 17},	//43 Okular::Annotation::DenyDelete (enum)
	{9, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 18},	//44 Okular::Annotation::ToggleHidingOnMouse (enum)
	{9, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 19},	//45 Okular::Annotation::External (enum)
	{9, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 20},	//46 Okular::Annotation::Solid (enum)
	{9, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 21},	//47 Okular::Annotation::Dashed (enum)
	{9, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 22},	//48 Okular::Annotation::Beveled (enum)
	{9, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 23},	//49 Okular::Annotation::Inset (enum)
	{9, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 24},	//50 Okular::Annotation::Underline (enum)
	{9, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 25},	//51 Okular::Annotation::NoEffect (enum)
	{9, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 26},	//52 Okular::Annotation::Cloudy (enum)
	{9, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 27},	//53 Okular::Annotation::Reply (enum)
	{9, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 28},	//54 Okular::Annotation::Group (enum)
	{9, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 29},	//55 Okular::Annotation::Delete (enum)
	{9, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 30},	//56 Okular::Annotation::None (enum)
	{9, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 31},	//57 Okular::Annotation::Marked (enum)
	{9, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 32},	//58 Okular::Annotation::Unmarked (enum)
	{9, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 33},	//59 Okular::Annotation::Accepted (enum)
	{9, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 34},	//60 Okular::Annotation::Rejected (enum)
	{9, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 35},	//61 Okular::Annotation::Cancelled (enum)
	{9, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 36},	//62 Okular::Annotation::Completed (enum)
	{9, 943, 0, 0, Smoke::mf_dtor, 0, 62},	//63 Okular::Annotation::~Annotation()
	{9, 684, 335, 1, 0, 0, 37},	//64 Okular::Annotation::setAuthor(const QString&)
	{9, 317, 0, 0, Smoke::mf_const, 376, 38},	//65 Okular::Annotation::author() const
	{9, 702, 335, 1, 0, 0, 39},	//66 Okular::Annotation::setContents(const QString&)
	{9, 357, 0, 0, Smoke::mf_const, 376, 40},	//67 Okular::Annotation::contents() const
	{9, 834, 335, 1, 0, 0, 41},	//68 Okular::Annotation::setUniqueName(const QString&)
	{9, 924, 0, 0, Smoke::mf_const, 376, 42},	//69 Okular::Annotation::uniqueName() const
	{9, 772, 281, 1, 0, 0, 43},	//70 Okular::Annotation::setModificationDate(const QDateTime&)
	{9, 537, 0, 0, Smoke::mf_const, 241, 44},	//71 Okular::Annotation::modificationDate() const
	{9, 704, 281, 1, 0, 0, 45},	//72 Okular::Annotation::setCreationDate(const QDateTime&)
	{9, 367, 0, 0, Smoke::mf_const, 241, 46},	//73 Okular::Annotation::creationDate() const
	{9, 728, 423, 1, 0, 0, 47},	//74 Okular::Annotation::setFlags(int)
	{9, 432, 0, 0, Smoke::mf_const, 628, 48},	//75 Okular::Annotation::flags() const
	{9, 692, 242, 1, 0, 0, 49},	//76 Okular::Annotation::setBoundingRectangle(const Okular::NormalizedRect&)
	{9, 326, 0, 0, Smoke::mf_const, 171, 50},	//77 Okular::Annotation::boundingRectangle() const
	{9, 914, 0, 0, Smoke::mf_const, 171, 51},	//78 Okular::Annotation::transformedBoundingRectangle() const
	{9, 920, 234, 1, 0, 0, 52},	//79 Okular::Annotation::translate(const Okular::NormalizedPoint&)
	{9, 886, 0, 0, 0, 108, 53},	//80 Okular::Annotation::style()
	{9, 938, 0, 0, 0, 110, 54},	//81 Okular::Annotation::window()
	{9, 654, 0, 0, 0, 309, 55},	//82 Okular::Annotation::revisions()
	{9, 776, 386, 1, 0, 0, 56},	//83 Okular::Annotation::setNativeId(const QVariant&)
	{9, 543, 0, 0, Smoke::mf_const, 436, 57},	//84 Okular::Annotation::nativeId() const
	{9, 713, 106, 1, 0, 0, 58},	//85 Okular::Annotation::setDisposeDataFunction(DisposeDataFunction)
	{9, 331, 0, 0, Smoke::mf_const, 537, 59},	//86 Okular::Annotation::canBeMoved() const
	{9, 887, 0, 0, Smoke::mf_const, 109, 60},	//87 Okular::Annotation::subType() const [pure virtual]
	{9, 882, 101, 2, Smoke::mf_const, 0, 61},	//88 Okular::Annotation::store(QDomNode&, QDomDocument&) const
	{12, 16, 7, 1, Smoke::mf_ctor, 111, 1},	//89 Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
	{12, 944, 0, 0, Smoke::mf_dtor, 0, 7},	//90 Okular::AnnotationObjectRect::~AnnotationObjectRect()
	{12, 309, 0, 0, Smoke::mf_const, 102, 2},	//91 Okular::AnnotationObjectRect::annotation() const
	{12, 324, 403, 2, Smoke::mf_const, 367, 3},	//92 Okular::AnnotationObjectRect::boundingRect(double, double) const
	{12, 354, 410, 4, Smoke::mf_const, 537, 4},	//93 Okular::AnnotationObjectRect::contains(double, double, double, double) const
	{12, 910, 318, 1, 0, 0, 5},	//94 Okular::AnnotationObjectRect::transform(const QMatrix&)
	{12, 16, 202, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 111, 6},	//95 Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
	{13, 18, 0, 0, Smoke::mf_ctor, 112, 1},	//96 Okular::AnnotationUtils::AnnotationUtils()
	{13, 945, 0, 0, Smoke::mf_dtor, 0, 7},	//97 Okular::AnnotationUtils::~AnnotationUtils()
	{13, 18, 204, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 112, 2},	//98 Okular::AnnotationUtils::AnnotationUtils(const Okular::AnnotationUtils&)
	{13, 365, 288, 1, Smoke::mf_static, 102, 3},	//99 Okular::AnnotationUtils::createAnnotation(const QDomElement&)
	{13, 884, 194, 3, Smoke::mf_static, 0, 4},	//100 Okular::AnnotationUtils::storeAnnotation(const Okular::Annotation*, QDomElement&, QDomDocument&)
	{13, 427, 292, 2, Smoke::mf_static, 256, 5},	//101 Okular::AnnotationUtils::findChildElement(const QDomNode&, const QString&)
	{13, 310, 198, 3, Smoke::mf_static, 367, 6},	//102 Okular::AnnotationUtils::annotationGeometry(const Okular::Annotation*, double, double)
	{14, 28, 335, 1, Smoke::mf_ctor, 114, 1},	//103 Okular::BrowseAction::BrowseAction(const QString&)
	{14, 946, 0, 0, Smoke::mf_dtor, 0, 5},	//104 Okular::BrowseAction::~BrowseAction()
	{14, 288, 0, 0, Smoke::mf_const, 101, 2},	//105 Okular::BrowseAction::actionType() const
	{14, 287, 0, 0, Smoke::mf_const, 376, 3},	//106 Okular::BrowseAction::actionTip() const
	{14, 929, 0, 0, Smoke::mf_const, 376, 4},	//107 Okular::BrowseAction::url() const
	{15, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 1},	//108 Okular::CaretAnnotation::None (enum)
	{15, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 2},	//109 Okular::CaretAnnotation::P (enum)
	{15, 38, 0, 0, Smoke::mf_ctor, 115, 3},	//110 Okular::CaretAnnotation::CaretAnnotation()
	{15, 38, 290, 1, Smoke::mf_ctor, 115, 4},	//111 Okular::CaretAnnotation::CaretAnnotation(const QDomNode&)
	{15, 947, 0, 0, Smoke::mf_dtor, 0, 9},	//112 Okular::CaretAnnotation::~CaretAnnotation()
	{15, 696, 13, 1, 0, 0, 5},	//113 Okular::CaretAnnotation::setCaretSymbol(Okular::CaretAnnotation::CaretSymbol)
	{15, 341, 0, 0, Smoke::mf_const, 116, 6},	//114 Okular::CaretAnnotation::caretSymbol() const
	{15, 887, 0, 0, Smoke::mf_const, 109, 7},	//115 Okular::CaretAnnotation::subType() const
	{15, 882, 101, 2, Smoke::mf_const, 0, 8},	//116 Okular::CaretAnnotation::store(QDomNode&, QDomDocument&) const
	{16, 948, 0, 0, Smoke::mf_dtor, 0, 5},	//117 Okular::ConfigInterface::~ConfigInterface()
	{16, 643, 0, 0, 0, 537, 1},	//118 Okular::ConfigInterface::reparseConfig() [pure virtual]
	{16, 302, 73, 1, 0, 0, 2},	//119 Okular::ConfigInterface::addPages(KConfigDialog*) [pure virtual]
	{16, 50, 0, 0, Smoke::mf_ctor, 117, 3},	//120 Okular::ConfigInterface::ConfigInterface()
	{16, 50, 206, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 117, 4},	//121 Okular::ConfigInterface::ConfigInterface(const Okular::ConfigInterface&)
	{17, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 1},	//122 Okular::Document::NoOption (enum)
	{17, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 2},	//123 Okular::Document::RemoveAllPrevious (enum)
	{17, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 3},	//124 Okular::Document::NextMatch (enum)
	{17, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 4},	//125 Okular::Document::PreviousMatch (enum)
	{17, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 5},	//126 Okular::Document::AllDocument (enum)
	{17, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 6},	//127 Okular::Document::GoogleAll (enum)
	{17, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 7},	//128 Okular::Document::GoogleAny (enum)
	{17, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 8},	//129 Okular::Document::MatchFound (enum)
	{17, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 9},	//130 Okular::Document::NoMatchFound (enum)
	{17, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 10},	//131 Okular::Document::SearchCancelled (enum)
	{17, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 11},	//132 Okular::Document::NoPrinting (enum)
	{17, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 12},	//133 Okular::Document::NativePrinting (enum)
	{17, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 13},	//134 Okular::Document::PostscriptPrinting (enum)
	{17, 534, 0, 0, Smoke::mf_const, 603, 15},	//135 Okular::Document::metaObject() const
	{17, 627, 108, 3, 0, 628, 16},	//136 Okular::Document::qt_metacall(QMetaObject::Call, int, void**)
	{17, 66, 180, 1, Smoke::mf_ctor, 118, 17},	//137 Okular::Document::Document(QWidget*)
	{17, 949, 0, 0, Smoke::mf_dtor, 0, 117},	//138 Okular::Document::~Document()
	{17, 551, 356, 3, 0, 537, 18},	//139 Okular::Document::openDocument(const QString&, const KUrl&, const KSharedPtr<KMimeType>&)
	{17, 348, 0, 0, 0, 0, 19},	//140 Okular::Document::closeDocument()
	{17, 298, 20, 1, 0, 0, 20},	//141 Okular::Document::addObserver(Okular::DocumentObserver*)
	{17, 637, 20, 1, 0, 0, 21},	//142 Okular::Document::removeObserver(Okular::DocumentObserver*)
	{17, 643, 0, 0, 0, 0, 22},	//143 Okular::Document::reparseConfig()
	{17, 936, 0, 0, Smoke::mf_const, 442, 23},	//144 Okular::Document::widget() const
	{17, 498, 0, 0, Smoke::mf_const, 537, 24},	//145 Okular::Document::isOpened() const
	{17, 399, 0, 0, Smoke::mf_const, 553, 25},	//146 Okular::Document::documentInfo() const
	{17, 403, 0, 0, Smoke::mf_const, 555, 26},	//147 Okular::Document::documentSynopsis() const
	{17, 875, 0, 0, 0, 0, 27},	//148 Okular::Document::startFontReading()
	{17, 881, 0, 0, 0, 0, 28},	//149 Okular::Document::stopFontReading()
	{17, 337, 0, 0, Smoke::mf_const, 537, 29},	//150 Okular::Document::canProvideFontInformation() const
	{17, 410, 0, 0, Smoke::mf_const, 596, 30},	//151 Okular::Document::embeddedFiles() const
	{17, 584, 423, 1, Smoke::mf_const, 567, 31},	//152 Okular::Document::page(int) const
	{17, 931, 0, 0, Smoke::mf_const, 556, 32},	//153 Okular::Document::viewport() const
	{17, 844, 390, 2, 0, 0, 33},	//154 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&, int)
	{17, 844, 388, 1, 0, 0, 34},	//155 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&)
	{17, 932, 0, 0, Smoke::mf_const, 624, 35},	//156 Okular::Document::visiblePageRects() const
	{17, 373, 0, 0, Smoke::mf_const, 629, 36},	//157 Okular::Document::currentPage() const
	{17, 600, 0, 0, Smoke::mf_const, 629, 37},	//158 Okular::Document::pages() const
	{17, 372, 0, 0, Smoke::mf_const, 84, 38},	//159 Okular::Document::currentDocument() const
	{17, 492, 69, 1, Smoke::mf_const, 537, 39},	//160 Okular::Document::isAllowed(Okular::Permission) const
	{17, 891, 0, 0, Smoke::mf_const, 537, 40},	//161 Okular::Document::supportsSearching() const
	{17, 889, 0, 0, Smoke::mf_const, 537, 41},	//162 Okular::Document::supportsPageSizes() const
	{17, 599, 0, 0, Smoke::mf_const, 315, 42},	//163 Okular::Document::pageSizes() const
	{17, 334, 0, 0, Smoke::mf_const, 537, 43},	//164 Okular::Document::canExportToText() const
	{17, 420, 335, 1, Smoke::mf_const, 537, 44},	//165 Okular::Document::exportToText(const QString&) const
	{17, 417, 0, 0, Smoke::mf_const, 312, 45},	//166 Okular::Document::exportFormats() const
	{17, 418, 363, 2, Smoke::mf_const, 537, 46},	//167 Okular::Document::exportTo(const QString&, const Okular::ExportFormat&) const
	{17, 475, 0, 0, Smoke::mf_const, 537, 47},	//168 Okular::Document::historyAtBegin() const
	{17, 476, 0, 0, Smoke::mf_const, 537, 48},	//169 Okular::Document::historyAtEnd() const
	{17, 531, 373, 2, Smoke::mf_const, 436, 49},	//170 Okular::Document::metaData(const QString&, const QVariant&) const
	{17, 531, 335, 1, Smoke::mf_const, 436, 50},	//171 Okular::Document::metaData(const QString&) const
	{17, 658, 0, 0, Smoke::mf_const, 192, 51},	//172 Okular::Document::rotation() const
	{17, 307, 0, 0, Smoke::mf_const, 371, 52},	//173 Okular::Document::allPagesSize() const
	{17, 597, 423, 1, Smoke::mf_const, 376, 53},	//174 Okular::Document::pageSizeString(int) const
	{17, 458, 0, 0, 0, 96, 54},	//175 Okular::Document::guiClient()
	{17, 840, 482, 3, 0, 0, 55},	//176 Okular::Document::setViewportPage(int, int, bool)
	{17, 840, 479, 2, 0, 0, 56},	//177 Okular::Document::setViewportPage(int, int)
	{17, 840, 423, 1, 0, 0, 57},	//178 Okular::Document::setViewportPage(int)
	{17, 836, 217, 3, 0, 0, 58},	//179 Okular::Document::setViewport(const Okular::DocumentViewport&, int, bool)
	{17, 836, 214, 2, 0, 0, 59},	//180 Okular::Document::setViewport(const Okular::DocumentViewport&, int)
	{17, 836, 212, 1, 0, 0, 60},	//181 Okular::Document::setViewport(const Okular::DocumentViewport&)
	{17, 793, 0, 0, 0, 0, 61},	//182 Okular::Document::setPrevViewport()
	{17, 780, 0, 0, 0, 0, 62},	//183 Okular::Document::setNextViewport()
	{17, 778, 212, 1, 0, 0, 63},	//184 Okular::Document::setNextDocumentViewport(const Okular::DocumentViewport&)
	{17, 858, 479, 2, 0, 0, 64},	//185 Okular::Document::setZoom(int, int)
	{17, 858, 423, 1, 0, 0, 65},	//186 Okular::Document::setZoom(int)
	{17, 647, 305, 1, 0, 0, 66},	//187 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&)
	{17, 647, 307, 2, 0, 0, 67},	//188 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&, Okular::Document::PixmapRequestFlags)
	{17, 650, 502, 1, 0, 0, 68},	//189 Okular::Document::requestTextPage(uint)
	{17, 300, 425, 2, 0, 0, 69},	//190 Okular::Document::addPageAnnotation(int, Okular::Annotation*)
	{17, 538, 425, 2, 0, 0, 70},	//191 Okular::Document::modifyPageAnnotation(int, Okular::Annotation*)
	{17, 639, 425, 2, 0, 0, 71},	//192 Okular::Document::removePageAnnotation(int, Okular::Annotation*)
	{17, 641, 444, 2, 0, 0, 72},	//193 Okular::Document::removePageAnnotations(int, const QList<Okular::Annotation*>&)
	{17, 789, 434, 3, 0, 0, 73},	//194 Okular::Document::setPageTextSelection(int, Okular::RegularAreaRect*, const QColor&)
	{17, 672, 466, 8, 0, 0, 74},	//195 Okular::Document::searchText(int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&, bool)
	{17, 672, 458, 7, 0, 0, 75},	//196 Okular::Document::searchText(int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&)
	{17, 358, 423, 1, 0, 0, 76},	//197 Okular::Document::continueSearch(int)
	{17, 358, 431, 2, 0, 0, 77},	//198 Okular::Document::continueSearch(int, Okular::Document::SearchType)
	{17, 652, 423, 1, 0, 0, 78},	//199 Okular::Document::resetSearch(int)
	{17, 319, 0, 0, Smoke::mf_const, 113, 79},	//200 Okular::Document::bookmarkManager() const
	{17, 620, 192, 1, 0, 0, 80},	//201 Okular::Document::processAction(const Okular::Action*)
	{17, 320, 0, 0, Smoke::mf_const, 317, 81},	//202 Okular::Document::bookmarkedPageList() const
	{17, 321, 0, 0, Smoke::mf_const, 376, 82},	//203 Okular::Document::bookmarkedPageRange() const
	{17, 622, 268, 1, 0, 0, 83},	//204 Okular::Document::processSourceReference(const Okular::SourceReference*)
	{17, 333, 0, 0, Smoke::mf_const, 537, 84},	//205 Okular::Document::canConfigurePrinter() const
	{17, 618, 0, 0, Smoke::mf_const, 122, 85},	//206 Okular::Document::printingSupport() const
	{17, 890, 0, 0, Smoke::mf_const, 537, 86},	//207 Okular::Document::supportsPrintToFile() const
	{17, 605, 118, 1, 0, 537, 87},	//208 Okular::Document::print(QPrinter&)
	{17, 609, 0, 0, Smoke::mf_const, 442, 88},	//209 Okular::Document::printConfigurationWidget() const
	{17, 425, 73, 1, 0, 0, 89},	//210 Okular::Document::fillConfigDialog(KConfigDialog*)
	{17, 351, 0, 0, Smoke::mf_const, 628, 90},	//211 Okular::Document::configurableGenerators() const
	{17, 888, 0, 0, Smoke::mf_const, 380, 91},	//212 Okular::Document::supportedMimeTypes() const
	{17, 350, 0, 0, Smoke::mf_const, 540, 92},	//213 Okular::Document::componentData() const
	{17, 338, 0, 0, Smoke::mf_const, 537, 93},	//214 Okular::Document::canSaveChanges() const
	{17, 663, 335, 1, 0, 537, 94},	//215 Okular::Document::saveChanges(const QString&)
	{17, 633, 97, 1, 0, 0, 95},	//216 Okular::Document::registerView(Okular::View*)
	{17, 925, 97, 1, 0, 0, 96},	//217 Okular::Document::unregisterView(Okular::View*)
	{17, 433, 227, 1, Smoke::mf_const, 232, 97},	//218 Okular::Document::fontData(const Okular::FontInfo&) const
	{17, 553, 353, 2, 0, 537, 98},	//219 Okular::Document::openDocumentArchive(const QString&, const KUrl&)
	{17, 665, 335, 1, 0, 537, 99},	//220 Okular::Document::saveDocumentArchive(const QString&)
	{17, 798, 423, 1, 0, 0, 100},	//221 Okular::Document::setRotation(int)
	{17, 787, 253, 1, 0, 0, 101},	//222 Okular::Document::setPageSize(const Okular::PageSize&)
	{17, 339, 0, 0, 0, 0, 102},	//223 Okular::Document::cancelSearch()
	{17, 347, 0, 0, 0, 0, 103},	//224 Okular::Document::close()
	{17, 629, 0, 0, 0, 0, 104},	//225 Okular::Document::quit()
	{17, 518, 0, 0, 0, 0, 105},	//226 Okular::Document::linkFind()
	{17, 519, 0, 0, 0, 0, 106},	//227 Okular::Document::linkGoToPage()
	{17, 520, 0, 0, 0, 0, 107},	//228 Okular::Document::linkPresentation()
	{17, 517, 0, 0, 0, 0, 108},	//229 Okular::Document::linkEndPresentation()
	{17, 555, 190, 1, 0, 0, 109},	//230 Okular::Document::openUrl(const KUrl&)
	{17, 411, 376, 2, 0, 0, 110},	//231 Okular::Document::error(const QString&, int)
	{17, 934, 376, 2, 0, 0, 111},	//232 Okular::Document::warning(const QString&, int)
	{17, 544, 376, 2, 0, 0, 112},	//233 Okular::Document::notice(const QString&, int)
	{17, 456, 227, 1, 0, 0, 113},	//234 Okular::Document::gotFont(const Okular::FontInfo&)
	{17, 436, 423, 1, 0, 0, 114},	//235 Okular::Document::fontReadingProgress(int)
	{17, 435, 0, 0, 0, 0, 115},	//236 Okular::Document::fontReadingEnded()
	{17, 670, 428, 2, 0, 0, 116},	//237 Okular::Document::searchFinished(int, Okular::Document::SearchStatus)
	{17, 880, 0, 0, Smoke::mf_static, 602, 14},	//238 Okular::Document::staticMetaObject (static var)
	{18, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 1},	//239 Okular::DocumentAction::PageFirst (enum)
	{18, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 2},	//240 Okular::DocumentAction::PagePrev (enum)
	{18, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 3},	//241 Okular::DocumentAction::PageNext (enum)
	{18, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 4},	//242 Okular::DocumentAction::PageLast (enum)
	{18, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 5},	//243 Okular::DocumentAction::HistoryBack (enum)
	{18, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 6},	//244 Okular::DocumentAction::HistoryForward (enum)
	{18, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 7},	//245 Okular::DocumentAction::Quit (enum)
	{18, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 8},	//246 Okular::DocumentAction::Presentation (enum)
	{18, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 9},	//247 Okular::DocumentAction::EndPresentation (enum)
	{18, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 10},	//248 Okular::DocumentAction::Find (enum)
	{18, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 11},	//249 Okular::DocumentAction::GoToPage (enum)
	{18, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 12},	//250 Okular::DocumentAction::Close (enum)
	{18, 68, 15, 1, Smoke::mf_ctor, 125, 13},	//251 Okular::DocumentAction::DocumentAction(Okular::DocumentAction::DocumentActionType)
	{18, 950, 0, 0, Smoke::mf_dtor, 0, 17},	//252 Okular::DocumentAction::~DocumentAction()
	{18, 288, 0, 0, Smoke::mf_const, 101, 14},	//253 Okular::DocumentAction::actionType() const
	{18, 287, 0, 0, Smoke::mf_const, 376, 15},	//254 Okular::DocumentAction::actionTip() const
	{18, 398, 0, 0, Smoke::mf_const, 126, 16},	//255 Okular::DocumentAction::documentActionType() const
	{19, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 1},	//256 Okular::DocumentInfo::Title (enum)
	{19, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 2},	//257 Okular::DocumentInfo::Subject (enum)
	{19, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 3},	//258 Okular::DocumentInfo::Description (enum)
	{19, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 4},	//259 Okular::DocumentInfo::Author (enum)
	{19, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 5},	//260 Okular::DocumentInfo::Creator (enum)
	{19, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 6},	//261 Okular::DocumentInfo::Producer (enum)
	{19, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 7},	//262 Okular::DocumentInfo::Copyright (enum)
	{19, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 8},	//263 Okular::DocumentInfo::Pages (enum)
	{19, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 9},	//264 Okular::DocumentInfo::CreationDate (enum)
	{19, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 10},	//265 Okular::DocumentInfo::ModificationDate (enum)
	{19, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 11},	//266 Okular::DocumentInfo::MimeType (enum)
	{19, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 12},	//267 Okular::DocumentInfo::Category (enum)
	{19, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 13},	//268 Okular::DocumentInfo::Keywords (enum)
	{19, 70, 0, 0, Smoke::mf_ctor, 127, 14},	//269 Okular::DocumentInfo::DocumentInfo()
	{19, 675, 369, 3, 0, 0, 15},	//270 Okular::DocumentInfo::set(const QString&, const QString&, const QString&)
	{19, 675, 366, 2, 0, 0, 16},	//271 Okular::DocumentInfo::set(const QString&, const QString&)
	{19, 675, 17, 2, 0, 0, 17},	//272 Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
	{19, 454, 335, 1, Smoke::mf_const, 376, 18},	//273 Okular::DocumentInfo::get(const QString&) const
	{19, 951, 0, 0, Smoke::mf_dtor, 0, 20},	//274 Okular::DocumentInfo::~DocumentInfo()
	{19, 70, 208, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 127, 19},	//275 Okular::DocumentInfo::DocumentInfo(const Okular::DocumentInfo&)
	{20, 72, 0, 0, Smoke::mf_ctor, 130, 1},	//276 Okular::DocumentSynopsis::DocumentSynopsis()
	{20, 72, 283, 1, Smoke::mf_ctor, 130, 2},	//277 Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
	{20, 952, 0, 0, Smoke::mf_dtor, 0, 4},	//278 Okular::DocumentSynopsis::~DocumentSynopsis()
	{20, 72, 210, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 130, 3},	//279 Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
	{21, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 1},	//280 Okular::DocumentViewport::Center (enum)
	{21, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 2},	//281 Okular::DocumentViewport::TopLeft (enum)
	{21, 74, 423, 1, Smoke::mf_ctor, 132, 4},	//282 Okular::DocumentViewport::DocumentViewport(int)
	{21, 74, 0, 0, Smoke::mf_ctor, 132, 5},	//283 Okular::DocumentViewport::DocumentViewport()
	{21, 74, 335, 1, Smoke::mf_ctor, 132, 6},	//284 Okular::DocumentViewport::DocumentViewport(const QString&)
	{21, 907, 0, 0, Smoke::mf_const, 376, 7},	//285 Okular::DocumentViewport::toString() const
	{21, 503, 0, 0, Smoke::mf_const, 537, 8},	//286 Okular::DocumentViewport::isValid() const
	{21, 563, 212, 1, Smoke::mf_const, 537, 9},	//287 Okular::DocumentViewport::operator==(const Okular::DocumentViewport&) const
	{21, 785, 423, 1, 0, 0, 10},	//288 Okular::DocumentViewport::setPageNumber(int)
	{21, 953, 0, 0, Smoke::mf_dtor, 0, 12},	//289 Okular::DocumentViewport::~DocumentViewport()
	{21, 74, 212, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 132, 11},	//290 Okular::DocumentViewport::DocumentViewport(const Okular::DocumentViewport&)
	{21, 592, 0, 0, 0, 628, 3},	//291 Okular::DocumentViewport::pageNumber (var)
	{22, 78, 0, 0, Smoke::mf_ctor, 134, 1},	//292 Okular::EmbeddedFile::EmbeddedFile()
	{22, 954, 0, 0, Smoke::mf_dtor, 0, 9},	//293 Okular::EmbeddedFile::~EmbeddedFile()
	{22, 542, 0, 0, Smoke::mf_const, 376, 2},	//294 Okular::EmbeddedFile::name() const [pure virtual]
	{22, 385, 0, 0, Smoke::mf_const, 376, 3},	//295 Okular::EmbeddedFile::description() const [pure virtual]
	{22, 376, 0, 0, Smoke::mf_const, 232, 4},	//296 Okular::EmbeddedFile::data() const [pure virtual]
	{22, 867, 0, 0, Smoke::mf_const, 628, 5},	//297 Okular::EmbeddedFile::size() const [pure virtual]
	{22, 537, 0, 0, Smoke::mf_const, 241, 6},	//298 Okular::EmbeddedFile::modificationDate() const [pure virtual]
	{22, 367, 0, 0, Smoke::mf_const, 241, 7},	//299 Okular::EmbeddedFile::creationDate() const [pure virtual]
	{22, 78, 221, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 134, 8},	//300 Okular::EmbeddedFile::EmbeddedFile(const Okular::EmbeddedFile&)
	{23, 83, 366, 2, Smoke::mf_ctor, 135, 1},	//301 Okular::ExecuteAction::ExecuteAction(const QString&, const QString&)
	{23, 955, 0, 0, Smoke::mf_dtor, 0, 6},	//302 Okular::ExecuteAction::~ExecuteAction()
	{23, 288, 0, 0, Smoke::mf_const, 101, 2},	//303 Okular::ExecuteAction::actionType() const
	{23, 287, 0, 0, Smoke::mf_const, 376, 3},	//304 Okular::ExecuteAction::actionTip() const
	{23, 424, 0, 0, Smoke::mf_const, 376, 4},	//305 Okular::ExecuteAction::fileName() const
	{23, 603, 0, 0, Smoke::mf_const, 376, 5},	//306 Okular::ExecuteAction::parameters() const
	{24, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 1},	//307 Okular::ExportFormat::PlainText (enum)
	{24, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 2},	//308 Okular::ExportFormat::PDF (enum)
	{24, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 3},	//309 Okular::ExportFormat::OpenDocumentText (enum)
	{24, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 4},	//310 Okular::ExportFormat::HTML (enum)
	{24, 85, 0, 0, Smoke::mf_ctor, 138, 5},	//311 Okular::ExportFormat::ExportFormat()
	{24, 85, 350, 2, Smoke::mf_ctor, 138, 6},	//312 Okular::ExportFormat::ExportFormat(const QString&, const KSharedPtr<KMimeType>&)
	{24, 85, 186, 3, Smoke::mf_ctor, 138, 7},	//313 Okular::ExportFormat::ExportFormat(const KIcon&, const QString&, const KSharedPtr<KMimeType>&)
	{24, 956, 0, 0, Smoke::mf_dtor, 0, 17},	//314 Okular::ExportFormat::~ExportFormat()
	{24, 85, 223, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 138, 8},	//315 Okular::ExportFormat::ExportFormat(const Okular::ExportFormat&)
	{24, 561, 223, 1, 0, 137, 9},	//316 Okular::ExportFormat::operator=(const Okular::ExportFormat&)
	{24, 385, 0, 0, Smoke::mf_const, 376, 10},	//317 Okular::ExportFormat::description() const
	{24, 535, 0, 0, Smoke::mf_const, 75, 11},	//318 Okular::ExportFormat::mimeType() const
	{24, 477, 0, 0, Smoke::mf_const, 50, 12},	//319 Okular::ExportFormat::icon() const
	{24, 497, 0, 0, Smoke::mf_const, 537, 13},	//320 Okular::ExportFormat::isNull() const
	{24, 563, 223, 1, Smoke::mf_const, 537, 14},	//321 Okular::ExportFormat::operator==(const Okular::ExportFormat&) const
	{24, 557, 223, 1, Smoke::mf_const, 537, 15},	//322 Okular::ExportFormat::operator!=(const Okular::ExportFormat&) const
	{24, 873, 24, 1, Smoke::mf_static, 136, 16},	//323 Okular::ExportFormat::standardFormat(Okular::ExportFormat::StandardExportFormat)
	{25, 91, 0, 0, Smoke::mf_ctor, 140, 1},	//324 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation()
	{25, 91, 290, 1, Smoke::mf_ctor, 140, 2},	//325 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation(const QDomNode&)
	{25, 957, 0, 0, Smoke::mf_dtor, 0, 9},	//326 Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation()
	{25, 423, 0, 0, Smoke::mf_const, 376, 3},	//327 Okular::FileAttachmentAnnotation::fileIconName() const
	{25, 726, 335, 1, 0, 0, 4},	//328 Okular::FileAttachmentAnnotation::setFileIconName(const QString&)
	{25, 409, 0, 0, Smoke::mf_const, 134, 5},	//329 Okular::FileAttachmentAnnotation::embeddedFile() const
	{25, 719, 22, 1, 0, 0, 6},	//330 Okular::FileAttachmentAnnotation::setEmbeddedFile(Okular::EmbeddedFile*)
	{25, 887, 0, 0, Smoke::mf_const, 109, 7},	//331 Okular::FileAttachmentAnnotation::subType() const
	{25, 882, 101, 2, Smoke::mf_const, 0, 8},	//332 Okular::FileAttachmentAnnotation::store(QDomNode&, QDomDocument&) const
	{26, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 1},	//333 Okular::FilePrinter::ApplicationDeletesFiles (enum)
	{26, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 2},	//334 Okular::FilePrinter::SystemDeletesFiles (enum)
	{26, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 3},	//335 Okular::FilePrinter::ApplicationSelectsPages (enum)
	{26, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 4},	//336 Okular::FilePrinter::SystemSelectsPages (enum)
	{26, 93, 0, 0, Smoke::mf_ctor, 141, 5},	//337 Okular::FilePrinter::FilePrinter()
	{26, 958, 0, 0, Smoke::mf_dtor, 0, 39},	//338 Okular::FilePrinter::~FilePrinter()
	{26, 93, 225, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 141, 6},	//339 Okular::FilePrinter::FilePrinter(const Okular::FilePrinter&)
	{26, 610, 149, 5, Smoke::mf_static, 628, 7},	//340 Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&)
	{26, 610, 144, 4, Smoke::mf_static, 628, 8},	//341 Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy)
	{26, 610, 140, 3, Smoke::mf_static, 628, 9},	//342 Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy)
	{26, 610, 137, 2, Smoke::mf_static, 628, 10},	//343 Okular::FilePrinter::printFile(QPrinter&, const QString)
	{26, 615, 167, 3, Smoke::mf_static, 628, 11},	//344 Okular::FilePrinter::printFiles(QPrinter&, const QStringList&, Okular::FilePrinter::FileDeletePolicy)
	{26, 615, 164, 2, Smoke::mf_static, 628, 12},	//345 Okular::FilePrinter::printFiles(QPrinter&, const QStringList&)
	{26, 588, 171, 3, Smoke::mf_static, 317, 13},	//346 Okular::FilePrinter::pageList(QPrinter&, int, const QList<int>&)
	{26, 593, 171, 3, Smoke::mf_static, 376, 14},	//347 Okular::FilePrinter::pageRange(QPrinter&, int, const QList<int>&)
	{26, 590, 316, 1, Smoke::mf_static, 376, 15},	//348 Okular::FilePrinter::pageListToPageRange(const QList<int>&)
	{26, 624, 0, 0, Smoke::mf_static, 537, 16},	//349 Okular::FilePrinter::ps2pdfAvailable()
	{26, 604, 0, 0, Smoke::mf_static, 537, 17},	//350 Okular::FilePrinter::pdf2psAvailable()
	{26, 368, 0, 0, Smoke::mf_static, 537, 18},	//351 Okular::FilePrinter::cupsAvailable()
	{26, 625, 118, 1, Smoke::mf_static, 370, 19},	//352 Okular::FilePrinter::psPaperSize(QPrinter&)
	{26, 390, 0, 0, Smoke::mf_protected, 537, 20},	//353 Okular::FilePrinter::detectCupsService()
	{26, 389, 0, 0, Smoke::mf_protected, 537, 21},	//354 Okular::FilePrinter::detectCupsConfig()
	{26, 395, 158, 5, Smoke::mf_protected, 628, 22},	//355 Okular::FilePrinter::doPrintFiles(QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&)
	{26, 607, 120, 6, Smoke::mf_protected, 380, 23},	//356 Okular::FilePrinter::printArguments(QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&)
	{26, 387, 155, 2, Smoke::mf_protected, 380, 24},	//357 Okular::FilePrinter::destination(QPrinter&, const QString&)
	{26, 363, 155, 2, Smoke::mf_protected, 380, 25},	//358 Okular::FilePrinter::copies(QPrinter&, const QString&)
	{26, 505, 155, 2, Smoke::mf_protected, 380, 26},	//359 Okular::FilePrinter::jobname(QPrinter&, const QString&)
	{26, 378, 127, 3, Smoke::mf_protected, 380, 27},	//360 Okular::FilePrinter::deleteFile(QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&)
	{26, 600, 131, 5, Smoke::mf_protected, 380, 28},	//361 Okular::FilePrinter::pages(QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&)
	{26, 369, 118, 1, Smoke::mf_protected, 380, 29},	//362 Okular::FilePrinter::cupsOptions(QPrinter&)
	{26, 575, 118, 1, Smoke::mf_protected, 380, 30},	//363 Okular::FilePrinter::optionMedia(QPrinter&)
	{26, 527, 118, 1, Smoke::mf_protected, 376, 31},	//364 Okular::FilePrinter::mediaPageSize(QPrinter&)
	{26, 529, 118, 1, Smoke::mf_protected, 376, 32},	//365 Okular::FilePrinter::mediaPaperSource(QPrinter&)
	{26, 577, 118, 1, Smoke::mf_protected, 380, 33},	//366 Okular::FilePrinter::optionOrientation(QPrinter&)
	{26, 573, 118, 1, Smoke::mf_protected, 380, 34},	//367 Okular::FilePrinter::optionDoubleSidedPrinting(QPrinter&)
	{26, 581, 118, 1, Smoke::mf_protected, 380, 35},	//368 Okular::FilePrinter::optionPageOrder(QPrinter&)
	{26, 569, 118, 1, Smoke::mf_protected, 380, 36},	//369 Okular::FilePrinter::optionCollateCopies(QPrinter&)
	{26, 579, 118, 1, Smoke::mf_protected, 380, 37},	//370 Okular::FilePrinter::optionPageMargins(QPrinter&)
	{26, 571, 118, 1, Smoke::mf_protected, 380, 38},	//371 Okular::FilePrinter::optionCupsProperties(QPrinter&)
	{27, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 1},	//372 Okular::FontInfo::Unknown (enum)
	{27, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 2},	//373 Okular::FontInfo::Type1 (enum)
	{27, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 3},	//374 Okular::FontInfo::Type1C (enum)
	{27, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 4},	//375 Okular::FontInfo::Type1COT (enum)
	{27, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 5},	//376 Okular::FontInfo::Type3 (enum)
	{27, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 6},	//377 Okular::FontInfo::TrueType (enum)
	{27, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 7},	//378 Okular::FontInfo::TrueTypeOT (enum)
	{27, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 8},	//379 Okular::FontInfo::CIDType0 (enum)
	{27, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 9},	//380 Okular::FontInfo::CIDType0C (enum)
	{27, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 10},	//381 Okular::FontInfo::CIDType0COT (enum)
	{27, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 11},	//382 Okular::FontInfo::CIDTrueType (enum)
	{27, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 12},	//383 Okular::FontInfo::CIDTrueTypeOT (enum)
	{27, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 13},	//384 Okular::FontInfo::NotEmbedded (enum)
	{27, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 14},	//385 Okular::FontInfo::EmbeddedSubset (enum)
	{27, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 15},	//386 Okular::FontInfo::FullyEmbedded (enum)
	{27, 100, 0, 0, Smoke::mf_ctor, 145, 16},	//387 Okular::FontInfo::FontInfo()
	{27, 100, 227, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 145, 17},	//388 Okular::FontInfo::FontInfo(const Okular::FontInfo&)
	{27, 959, 0, 0, Smoke::mf_dtor, 0, 33},	//389 Okular::FontInfo::~FontInfo()
	{27, 542, 0, 0, Smoke::mf_const, 376, 18},	//390 Okular::FontInfo::name() const
	{27, 774, 335, 1, 0, 0, 19},	//391 Okular::FontInfo::setName(const QString&)
	{27, 922, 0, 0, Smoke::mf_const, 147, 20},	//392 Okular::FontInfo::type() const
	{27, 832, 28, 1, 0, 0, 21},	//393 Okular::FontInfo::setType(Okular::FontInfo::FontType)
	{27, 408, 0, 0, Smoke::mf_const, 146, 22},	//394 Okular::FontInfo::embedType() const
	{27, 717, 26, 1, 0, 0, 23},	//395 Okular::FontInfo::setEmbedType(Okular::FontInfo::EmbedType)
	{27, 422, 0, 0, Smoke::mf_const, 376, 24},	//396 Okular::FontInfo::file() const
	{27, 724, 335, 1, 0, 0, 25},	//397 Okular::FontInfo::setFile(const QString&)
	{27, 330, 0, 0, Smoke::mf_const, 537, 26},	//398 Okular::FontInfo::canBeExtracted() const
	{27, 694, 182, 1, 0, 0, 27},	//399 Okular::FontInfo::setCanBeExtracted(bool)
	{27, 776, 386, 1, 0, 0, 28},	//400 Okular::FontInfo::setNativeId(const QVariant&)
	{27, 543, 0, 0, Smoke::mf_const, 436, 29},	//401 Okular::FontInfo::nativeId() const
	{27, 561, 227, 1, 0, 144, 30},	//402 Okular::FontInfo::operator=(const Okular::FontInfo&)
	{27, 563, 227, 1, Smoke::mf_const, 537, 31},	//403 Okular::FontInfo::operator==(const Okular::FontInfo&) const
	{27, 557, 227, 1, Smoke::mf_const, 537, 32},	//404 Okular::FontInfo::operator!=(const Okular::FontInfo&) const
	{28, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 1},	//405 Okular::FormField::FormButton (enum)
	{28, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 2},	//406 Okular::FormField::FormText (enum)
	{28, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 3},	//407 Okular::FormField::FormChoice (enum)
	{28, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 4},	//408 Okular::FormField::FormSignature (enum)
	{28, 960, 0, 0, Smoke::mf_dtor, 0, 14},	//409 Okular::FormField::~FormField()
	{28, 922, 0, 0, Smoke::mf_const, 148, 5},	//410 Okular::FormField::type() const
	{28, 631, 0, 0, Smoke::mf_const, 171, 6},	//411 Okular::FormField::rect() const [pure virtual]
	{28, 478, 0, 0, Smoke::mf_const, 628, 7},	//412 Okular::FormField::id() const [pure virtual]
	{28, 542, 0, 0, Smoke::mf_const, 376, 8},	//413 Okular::FormField::name() const [pure virtual]
	{28, 923, 0, 0, Smoke::mf_const, 376, 9},	//414 Okular::FormField::uiName() const [pure virtual]
	{28, 500, 0, 0, Smoke::mf_const, 537, 10},	//415 Okular::FormField::isReadOnly() const
	{28, 504, 0, 0, Smoke::mf_const, 537, 11},	//416 Okular::FormField::isVisible() const
	{28, 289, 0, 0, Smoke::mf_const, 100, 12},	//417 Okular::FormField::activationAction() const
	{28, 678, 1, 1, Smoke::mf_protected, 0, 13},	//418 Okular::FormField::setActivationAction(Okular::Action*)
	{29, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 1},	//419 Okular::FormFieldButton::Push (enum)
	{29, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 2},	//420 Okular::FormFieldButton::CheckBox (enum)
	{29, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 3},	//421 Okular::FormFieldButton::Radio (enum)
	{29, 961, 0, 0, Smoke::mf_dtor, 0, 10},	//422 Okular::FormFieldButton::~FormFieldButton()
	{29, 327, 0, 0, Smoke::mf_const, 150, 4},	//423 Okular::FormFieldButton::buttonType() const [pure virtual]
	{29, 340, 0, 0, Smoke::mf_const, 376, 5},	//424 Okular::FormFieldButton::caption() const [pure virtual]
	{29, 876, 0, 0, Smoke::mf_const, 537, 6},	//425 Okular::FormFieldButton::state() const [pure virtual]
	{29, 816, 182, 1, 0, 0, 7},	//426 Okular::FormFieldButton::setState(bool)
	{29, 862, 0, 0, Smoke::mf_const, 317, 8},	//427 Okular::FormFieldButton::siblings() const [pure virtual]
	{29, 104, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 149, 9},	//428 Okular::FormFieldButton::FormFieldButton()
	{30, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 1},	//429 Okular::FormFieldChoice::ComboBox (enum)
	{30, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 2},	//430 Okular::FormFieldChoice::ListBox (enum)
	{30, 962, 0, 0, Smoke::mf_dtor, 0, 12},	//431 Okular::FormFieldChoice::~FormFieldChoice()
	{30, 345, 0, 0, Smoke::mf_const, 152, 3},	//432 Okular::FormFieldChoice::choiceType() const [pure virtual]
	{30, 346, 0, 0, Smoke::mf_const, 380, 4},	//433 Okular::FormFieldChoice::choices() const [pure virtual]
	{30, 495, 0, 0, Smoke::mf_const, 537, 5},	//434 Okular::FormFieldChoice::isEditable() const
	{30, 541, 0, 0, Smoke::mf_const, 537, 6},	//435 Okular::FormFieldChoice::multiSelect() const
	{30, 371, 0, 0, Smoke::mf_const, 317, 7},	//436 Okular::FormFieldChoice::currentChoices() const [pure virtual]
	{30, 706, 316, 1, 0, 0, 8},	//437 Okular::FormFieldChoice::setCurrentChoices(const QList<int>&)
	{30, 895, 0, 0, Smoke::mf_const, 448, 9},	//438 Okular::FormFieldChoice::textAlignment() const
	{30, 332, 0, 0, Smoke::mf_const, 537, 10},	//439 Okular::FormFieldChoice::canBeSpellChecked() const
	{30, 105, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 151, 11},	//440 Okular::FormFieldChoice::FormFieldChoice()
	{31, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 1},	//441 Okular::FormFieldText::Normal (enum)
	{31, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 2},	//442 Okular::FormFieldText::Multiline (enum)
	{31, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 3},	//443 Okular::FormFieldText::FileSelect (enum)
	{31, 963, 0, 0, Smoke::mf_dtor, 0, 13},	//444 Okular::FormFieldText::~FormFieldText()
	{31, 904, 0, 0, Smoke::mf_const, 154, 4},	//445 Okular::FormFieldText::textType() const [pure virtual]
	{31, 893, 0, 0, Smoke::mf_const, 376, 5},	//446 Okular::FormFieldText::text() const [pure virtual]
	{31, 818, 335, 1, 0, 0, 6},	//447 Okular::FormFieldText::setText(const QString&)
	{31, 499, 0, 0, Smoke::mf_const, 537, 7},	//448 Okular::FormFieldText::isPassword() const
	{31, 502, 0, 0, Smoke::mf_const, 537, 8},	//449 Okular::FormFieldText::isRichText() const
	{31, 526, 0, 0, Smoke::mf_const, 628, 9},	//450 Okular::FormFieldText::maximumLength() const
	{31, 895, 0, 0, Smoke::mf_const, 448, 10},	//451 Okular::FormFieldText::textAlignment() const
	{31, 332, 0, 0, Smoke::mf_const, 537, 11},	//452 Okular::FormFieldText::canBeSpellChecked() const
	{31, 106, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 153, 12},	//453 Okular::FormFieldText::FormFieldText()
	{32, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 1},	//454 Okular::Generator::Threaded (enum)
	{32, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 2},	//455 Okular::Generator::TextExtraction (enum)
	{32, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 3},	//456 Okular::Generator::ReadRawData (enum)
	{32, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 4},	//457 Okular::Generator::FontInfo (enum)
	{32, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 5},	//458 Okular::Generator::PageSizes (enum)
	{32, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 6},	//459 Okular::Generator::PrintNative (enum)
	{32, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 7},	//460 Okular::Generator::PrintPostscript (enum)
	{32, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 8},	//461 Okular::Generator::PrintToFile (enum)
	{32, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 9},	//462 Okular::Generator::None (enum)
	{32, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 10},	//463 Okular::Generator::Points (enum)
	{32, 534, 0, 0, Smoke::mf_const, 603, 12},	//464 Okular::Generator::metaObject() const
	{32, 627, 108, 3, 0, 628, 13},	//465 Okular::Generator::qt_metacall(QMetaObject::Call, int, void**)
	{32, 110, 115, 2, Smoke::mf_ctor, 155, 14},	//466 Okular::Generator::Generator(QObject*, const QList<QVariant>&)
	{32, 964, 0, 0, Smoke::mf_dtor, 0, 52},	//467 Okular::Generator::~Generator()
	{32, 521, 340, 2, 0, 537, 15},	//468 Okular::Generator::loadDocument(const QString&, QVector<Okular::Page*>&) [pure virtual]
	{32, 523, 276, 2, 0, 537, 16},	//469 Okular::Generator::loadDocumentFromData(const QByteArray&, QVector<Okular::Page*>&)
	{32, 348, 0, 0, 0, 537, 17},	//470 Okular::Generator::closeDocument()
	{32, 335, 0, 0, Smoke::mf_const, 537, 18},	//471 Okular::Generator::canGeneratePixmap() const
	{32, 445, 71, 1, 0, 0, 19},	//472 Okular::Generator::generatePixmap(Okular::PixmapRequest*)
	{32, 336, 0, 0, Smoke::mf_const, 537, 20},	//473 Okular::Generator::canGenerateTextPage() const
	{32, 447, 51, 1, 0, 0, 21},	//474 Okular::Generator::generateTextPage(Okular::Page*)
	{32, 443, 0, 0, 0, 553, 22},	//475 Okular::Generator::generateDocumentInfo()
	{32, 444, 0, 0, 0, 555, 23},	//476 Okular::Generator::generateDocumentSynopsis()
	{32, 438, 423, 1, 0, 313, 24},	//477 Okular::Generator::fontsForPage(int)
	{32, 410, 0, 0, Smoke::mf_const, 596, 25},	//478 Okular::Generator::embeddedFiles() const
	{32, 602, 0, 0, Smoke::mf_const, 157, 26},	//479 Okular::Generator::pagesSizeMetric() const
	{32, 492, 69, 1, Smoke::mf_const, 537, 27},	//480 Okular::Generator::isAllowed(Okular::Permission) const
	{32, 659, 75, 2, 0, 0, 28},	//481 Okular::Generator::rotationChanged(Okular::Rotation, Okular::Rotation)
	{32, 599, 0, 0, Smoke::mf_const, 315, 29},	//482 Okular::Generator::pageSizes() const
	{32, 595, 255, 2, 0, 0, 30},	//483 Okular::Generator::pageSizeChanged(const Okular::PageSize&, const Okular::PageSize&)
	{32, 605, 118, 1, 0, 537, 31},	//484 Okular::Generator::print(QPrinter&)
	{32, 531, 373, 2, Smoke::mf_const, 436, 32},	//485 Okular::Generator::metaData(const QString&, const QVariant&) const
	{32, 417, 0, 0, Smoke::mf_const, 312, 33},	//486 Okular::Generator::exportFormats() const
	{32, 418, 363, 2, 0, 537, 34},	//487 Okular::Generator::exportTo(const QString&, const Okular::ExportFormat&)
	{32, 460, 30, 1, Smoke::mf_const, 537, 35},	//488 Okular::Generator::hasFeature(Okular::Generator::GeneratorFeature) const
	{32, 411, 376, 2, 0, 0, 36},	//489 Okular::Generator::error(const QString&, int)
	{32, 934, 376, 2, 0, 0, 37},	//490 Okular::Generator::warning(const QString&, int)
	{32, 544, 376, 2, 0, 0, 38},	//491 Okular::Generator::notice(const QString&, int)
	{32, 880, 0, 0, Smoke::mf_static, 602, 11},	//492 Okular::Generator::staticMetaObject (static var)
	{32, 863, 71, 1, Smoke::mf_protected, 0, 39},	//493 Okular::Generator::signalPixmapRequestDone(Okular::PixmapRequest*)
	{32, 865, 53, 2, Smoke::mf_protected, 0, 40},	//494 Okular::Generator::signalTextGenerationDone(Okular::Page*, Okular::TextPage*)
	{32, 394, 0, 0, Smoke::mf_protected, 537, 41},	//495 Okular::Generator::doCloseDocument() [pure virtual]
	{32, 479, 71, 1, Smoke::mf_protected, 299, 42},	//496 Okular::Generator::image(Okular::PixmapRequest*)
	{32, 900, 51, 1, Smoke::mf_protected, 210, 43},	//497 Okular::Generator::textPage(Okular::Page*)
	{32, 397, 0, 0, Smoke::mf_const|Smoke::mf_protected, 551, 44},	//498 Okular::Generator::document() const
	{32, 721, 32, 2, Smoke::mf_protected, 0, 45},	//499 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature, bool)
	{32, 721, 30, 1, Smoke::mf_protected, 0, 46},	//500 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature)
	{32, 400, 373, 2, Smoke::mf_const|Smoke::mf_protected, 436, 47},	//501 Okular::Generator::documentMetaData(const QString&, const QVariant&) const
	{32, 400, 335, 1, Smoke::mf_const|Smoke::mf_protected, 436, 48},	//502 Okular::Generator::documentMetaData(const QString&) const
	{32, 930, 0, 0, Smoke::mf_const|Smoke::mf_protected, 331, 49},	//503 Okular::Generator::userMutex() const
	{32, 927, 441, 2, Smoke::mf_protected, 0, 50},	//504 Okular::Generator::updatePageBoundingBox(int, const Okular::NormalizedRect&)
	{32, 645, 229, 2, Smoke::mf_protected, 0, 51},	//505 Okular::Generator::requestFontData(const Okular::FontInfo&, QByteArray*)
	{33, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 1},	//506 Okular::GeomAnnotation::InscribedSquare (enum)
	{33, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 2},	//507 Okular::GeomAnnotation::InscribedCircle (enum)
	{33, 112, 0, 0, Smoke::mf_ctor, 158, 3},	//508 Okular::GeomAnnotation::GeomAnnotation()
	{33, 112, 290, 1, Smoke::mf_ctor, 158, 4},	//509 Okular::GeomAnnotation::GeomAnnotation(const QDomNode&)
	{33, 965, 0, 0, Smoke::mf_dtor, 0, 11},	//510 Okular::GeomAnnotation::~GeomAnnotation()
	{33, 734, 35, 1, 0, 0, 5},	//511 Okular::GeomAnnotation::setGeometricalType(Okular::GeomAnnotation::GeomType)
	{33, 451, 0, 0, Smoke::mf_const, 159, 6},	//512 Okular::GeomAnnotation::geometricalType() const
	{33, 732, 279, 1, 0, 0, 7},	//513 Okular::GeomAnnotation::setGeometricalInnerColor(const QColor&)
	{33, 450, 0, 0, Smoke::mf_const, 236, 8},	//514 Okular::GeomAnnotation::geometricalInnerColor() const
	{33, 887, 0, 0, Smoke::mf_const, 109, 9},	//515 Okular::GeomAnnotation::subType() const
	{33, 882, 101, 2, Smoke::mf_const, 0, 10},	//516 Okular::GeomAnnotation::store(QDomNode&, QDomDocument&) const
	{34, 119, 360, 2, Smoke::mf_ctor, 160, 1},	//517 Okular::GotoAction::GotoAction(const QString&, const Okular::DocumentViewport&)
	{34, 966, 0, 0, Smoke::mf_dtor, 0, 7},	//518 Okular::GotoAction::~GotoAction()
	{34, 288, 0, 0, Smoke::mf_const, 101, 2},	//519 Okular::GotoAction::actionType() const
	{34, 287, 0, 0, Smoke::mf_const, 376, 3},	//520 Okular::GotoAction::actionTip() const
	{34, 496, 0, 0, Smoke::mf_const, 537, 4},	//521 Okular::GotoAction::isExternal() const
	{34, 424, 0, 0, Smoke::mf_const, 376, 5},	//522 Okular::GotoAction::fileName() const
	{34, 386, 0, 0, Smoke::mf_const, 131, 6},	//523 Okular::GotoAction::destViewport() const
	{35, 967, 0, 0, Smoke::mf_dtor, 0, 4},	//524 Okular::GuiInterface::~GuiInterface()
	{35, 458, 0, 0, 0, 96, 1},	//525 Okular::GuiInterface::guiClient()
	{35, 122, 0, 0, Smoke::mf_ctor, 161, 2},	//526 Okular::GuiInterface::GuiInterface()
	{35, 122, 232, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 161, 3},	//527 Okular::GuiInterface::GuiInterface(const Okular::GuiInterface&)
	{36, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 1},	//528 Okular::HighlightAnnotation::Highlight (enum)
	{36, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 2},	//529 Okular::HighlightAnnotation::Squiggly (enum)
	{36, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 3},	//530 Okular::HighlightAnnotation::Underline (enum)
	{36, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 4},	//531 Okular::HighlightAnnotation::StrikeOut (enum)
	{36, 127, 0, 0, Smoke::mf_ctor, 162, 5},	//532 Okular::HighlightAnnotation::HighlightAnnotation()
	{36, 127, 290, 1, Smoke::mf_ctor, 162, 6},	//533 Okular::HighlightAnnotation::HighlightAnnotation(const QDomNode&)
	{36, 968, 0, 0, Smoke::mf_dtor, 0, 12},	//534 Okular::HighlightAnnotation::~HighlightAnnotation()
	{36, 736, 37, 1, 0, 0, 7},	//535 Okular::HighlightAnnotation::setHighlightType(Okular::HighlightAnnotation::HighlightType)
	{36, 474, 0, 0, Smoke::mf_const, 163, 8},	//536 Okular::HighlightAnnotation::highlightType() const
	{36, 473, 0, 0, 0, 314, 9},	//537 Okular::HighlightAnnotation::highlightQuads()
	{36, 887, 0, 0, Smoke::mf_const, 109, 10},	//538 Okular::HighlightAnnotation::subType() const
	{36, 882, 101, 2, Smoke::mf_const, 0, 11},	//539 Okular::HighlightAnnotation::store(QDomNode&, QDomDocument&) const
	{37, 134, 0, 0, Smoke::mf_ctor, 164, 1},	//540 Okular::InkAnnotation::InkAnnotation()
	{37, 134, 290, 1, Smoke::mf_ctor, 164, 2},	//541 Okular::InkAnnotation::InkAnnotation(const QDomNode&)
	{37, 969, 0, 0, Smoke::mf_dtor, 0, 8},	//542 Okular::InkAnnotation::~InkAnnotation()
	{37, 738, 314, 1, 0, 0, 3},	//543 Okular::InkAnnotation::setInkPaths(const QList<QLinkedList<Okular::NormalizedPoint> >&)
	{37, 483, 0, 0, Smoke::mf_const, 316, 4},	//544 Okular::InkAnnotation::inkPaths() const
	{37, 915, 0, 0, Smoke::mf_const, 316, 5},	//545 Okular::InkAnnotation::transformedInkPaths() const
	{37, 887, 0, 0, Smoke::mf_const, 109, 6},	//546 Okular::InkAnnotation::subType() const
	{37, 882, 101, 2, Smoke::mf_const, 0, 7},	//547 Okular::InkAnnotation::store(QDomNode&, QDomDocument&) const
	{38, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 1},	//548 Okular::LineAnnotation::Square (enum)
	{38, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 2},	//549 Okular::LineAnnotation::Circle (enum)
	{38, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 3},	//550 Okular::LineAnnotation::Diamond (enum)
	{38, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 4},	//551 Okular::LineAnnotation::OpenArrow (enum)
	{38, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 5},	//552 Okular::LineAnnotation::ClosedArrow (enum)
	{38, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 6},	//553 Okular::LineAnnotation::None (enum)
	{38, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 7},	//554 Okular::LineAnnotation::Butt (enum)
	{38, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 8},	//555 Okular::LineAnnotation::ROpenArrow (enum)
	{38, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 9},	//556 Okular::LineAnnotation::RClosedArrow (enum)
	{38, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 10},	//557 Okular::LineAnnotation::Slash (enum)
	{38, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 11},	//558 Okular::LineAnnotation::Unknown (enum)
	{38, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 12},	//559 Okular::LineAnnotation::Arrow (enum)
	{38, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 13},	//560 Okular::LineAnnotation::Dimension (enum)
	{38, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 14},	//561 Okular::LineAnnotation::PolygonCloud (enum)
	{38, 141, 0, 0, Smoke::mf_ctor, 165, 15},	//562 Okular::LineAnnotation::LineAnnotation()
	{38, 141, 290, 1, Smoke::mf_ctor, 165, 16},	//563 Okular::LineAnnotation::LineAnnotation(const QDomNode&)
	{38, 970, 0, 0, Smoke::mf_dtor, 0, 38},	//564 Okular::LineAnnotation::~LineAnnotation()
	{38, 766, 301, 1, 0, 0, 17},	//565 Okular::LineAnnotation::setLinePoints(const QLinkedList<Okular::NormalizedPoint>&)
	{38, 515, 0, 0, Smoke::mf_const, 311, 18},	//566 Okular::LineAnnotation::linePoints() const
	{38, 918, 0, 0, Smoke::mf_const, 311, 19},	//567 Okular::LineAnnotation::transformedLinePoints() const
	{38, 768, 41, 1, 0, 0, 20},	//568 Okular::LineAnnotation::setLineStartStyle(Okular::LineAnnotation::TermStyle)
	{38, 516, 0, 0, Smoke::mf_const, 167, 21},	//569 Okular::LineAnnotation::lineStartStyle() const
	{38, 756, 41, 1, 0, 0, 22},	//570 Okular::LineAnnotation::setLineEndStyle(Okular::LineAnnotation::TermStyle)
	{38, 510, 0, 0, Smoke::mf_const, 167, 23},	//571 Okular::LineAnnotation::lineEndStyle() const
	{38, 754, 182, 1, 0, 0, 24},	//572 Okular::LineAnnotation::setLineClosed(bool)
	{38, 509, 0, 0, Smoke::mf_const, 537, 25},	//573 Okular::LineAnnotation::lineClosed() const
	{38, 758, 279, 1, 0, 0, 26},	//574 Okular::LineAnnotation::setLineInnerColor(const QColor&)
	{38, 511, 0, 0, Smoke::mf_const, 236, 27},	//575 Okular::LineAnnotation::lineInnerColor() const
	{38, 764, 395, 1, 0, 0, 28},	//576 Okular::LineAnnotation::setLineLeadingForwardPoint(double)
	{38, 514, 0, 0, Smoke::mf_const, 627, 29},	//577 Okular::LineAnnotation::lineLeadingForwardPoint() const
	{38, 762, 395, 1, 0, 0, 30},	//578 Okular::LineAnnotation::setLineLeadingBackwardPoint(double)
	{38, 513, 0, 0, Smoke::mf_const, 627, 31},	//579 Okular::LineAnnotation::lineLeadingBackwardPoint() const
	{38, 804, 182, 1, 0, 0, 32},	//580 Okular::LineAnnotation::setShowCaption(bool)
	{38, 861, 0, 0, Smoke::mf_const, 537, 33},	//581 Okular::LineAnnotation::showCaption() const
	{38, 760, 39, 1, 0, 0, 34},	//582 Okular::LineAnnotation::setLineIntent(Okular::LineAnnotation::LineIntent)
	{38, 512, 0, 0, Smoke::mf_const, 166, 35},	//583 Okular::LineAnnotation::lineIntent() const
	{38, 887, 0, 0, Smoke::mf_const, 109, 36},	//584 Okular::LineAnnotation::subType() const
	{38, 882, 101, 2, Smoke::mf_const, 0, 37},	//585 Okular::LineAnnotation::store(QDomNode&, QDomDocument&) const
	{39, 159, 0, 0, Smoke::mf_ctor, 170, 3},	//586 Okular::NormalizedPoint::NormalizedPoint()
	{39, 159, 403, 2, Smoke::mf_ctor, 170, 4},	//587 Okular::NormalizedPoint::NormalizedPoint(double, double)
	{39, 159, 490, 4, Smoke::mf_ctor, 170, 5},	//588 Okular::NormalizedPoint::NormalizedPoint(int, int, int, int)
	{39, 561, 234, 1, 0, 169, 6},	//589 Okular::NormalizedPoint::operator=(const Okular::NormalizedPoint&)
	{39, 910, 318, 1, 0, 0, 7},	//590 Okular::NormalizedPoint::transform(const QMatrix&)
	{39, 847, 395, 1, 0, 0, 8},	//591 Okular::NormalizedPoint::setX(double)
	{39, 856, 395, 1, 0, 0, 9},	//592 Okular::NormalizedPoint::setY(double)
	{39, 971, 0, 0, Smoke::mf_dtor, 0, 11},	//593 Okular::NormalizedPoint::~NormalizedPoint()
	{39, 159, 234, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 170, 10},	//594 Okular::NormalizedPoint::NormalizedPoint(const Okular::NormalizedPoint&)
	{39, 939, 0, 0, 0, 627, 1},	//595 Okular::NormalizedPoint::x (var)
	{39, 941, 0, 0, 0, 627, 2},	//596 Okular::NormalizedPoint::y (var)
	{40, 163, 0, 0, Smoke::mf_ctor, 173, 5},	//597 Okular::NormalizedRect::NormalizedRect()
	{40, 163, 410, 4, Smoke::mf_ctor, 173, 6},	//598 Okular::NormalizedRect::NormalizedRect(double, double, double, double)
	{40, 163, 324, 3, Smoke::mf_ctor, 173, 7},	//599 Okular::NormalizedRect::NormalizedRect(const QRect&, double, double)
	{40, 163, 242, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 173, 8},	//600 Okular::NormalizedRect::NormalizedRect(const Okular::NormalizedRect&)
	{40, 561, 242, 1, 0, 172, 9},	//601 Okular::NormalizedRect::operator=(const Okular::NormalizedRect&)
	{40, 497, 0, 0, Smoke::mf_const, 537, 10},	//602 Okular::NormalizedRect::isNull() const
	{40, 354, 403, 2, Smoke::mf_const, 537, 11},	//603 Okular::NormalizedRect::contains(double, double) const
	{40, 489, 242, 1, Smoke::mf_const, 537, 12},	//604 Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
	{40, 489, 249, 1, Smoke::mf_const, 537, 13},	//605 Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
	{40, 489, 410, 4, Smoke::mf_const, 537, 14},	//606 Okular::NormalizedRect::intersects(double, double, double, double) const
	{40, 452, 479, 2, Smoke::mf_const, 367, 15},	//607 Okular::NormalizedRect::geometry(int, int) const
	{40, 565, 242, 1, Smoke::mf_const, 171, 16},	//608 Okular::NormalizedRect::operator|(const Okular::NormalizedRect&) const
	{40, 567, 242, 1, 0, 172, 17},	//609 Okular::NormalizedRect::operator|=(const Okular::NormalizedRect&)
	{40, 559, 242, 1, Smoke::mf_const, 171, 18},	//610 Okular::NormalizedRect::operator&(const Okular::NormalizedRect&) const
	{40, 563, 242, 1, Smoke::mf_const, 537, 19},	//611 Okular::NormalizedRect::operator==(const Okular::NormalizedRect&) const
	{40, 910, 318, 1, 0, 0, 20},	//612 Okular::NormalizedRect::transform(const QMatrix&)
	{40, 752, 395, 1, 0, 0, 21},	//613 Okular::NormalizedRect::setLeft(double)
	{40, 828, 395, 1, 0, 0, 22},	//614 Okular::NormalizedRect::setTop(double)
	{40, 796, 395, 1, 0, 0, 23},	//615 Okular::NormalizedRect::setRight(double)
	{40, 688, 395, 1, 0, 0, 24},	//616 Okular::NormalizedRect::setBottom(double)
	{40, 972, 0, 0, Smoke::mf_dtor, 0, 26},	//617 Okular::NormalizedRect::~NormalizedRect()
	{40, 441, 333, 1, Smoke::mf_static, 171, 25},	//618 Okular::NormalizedRect::fromQRectF(const QRectF&)
	{40, 508, 0, 0, 0, 627, 1},	//619 Okular::NormalizedRect::left (var)
	{40, 908, 0, 0, 0, 627, 2},	//620 Okular::NormalizedRect::top (var)
	{40, 655, 0, 0, 0, 627, 3},	//621 Okular::NormalizedRect::right (var)
	{40, 322, 0, 0, 0, 627, 4},	//622 Okular::NormalizedRect::bottom (var)
	{41, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 1},	//623 Okular::ObjectRect::Action (enum)
	{41, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 2},	//624 Okular::ObjectRect::Image (enum)
	{41, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 3},	//625 Okular::ObjectRect::OAnnotation (enum)
	{41, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 4},	//626 Okular::ObjectRect::SourceRef (enum)
	{41, 169, 415, 7, Smoke::mf_ctor, 174, 5},	//627 Okular::ObjectRect::ObjectRect(double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*)
	{41, 169, 244, 4, Smoke::mf_ctor, 174, 6},	//628 Okular::ObjectRect::ObjectRect(const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*)
	{41, 169, 320, 3, Smoke::mf_ctor, 174, 7},	//629 Okular::ObjectRect::ObjectRect(const QPolygonF&, Okular::ObjectRect::ObjectType, void*)
	{41, 973, 0, 0, Smoke::mf_dtor, 0, 15},	//630 Okular::ObjectRect::~ObjectRect()
	{41, 550, 0, 0, Smoke::mf_const, 175, 8},	//631 Okular::ObjectRect::objectType() const
	{41, 547, 0, 0, Smoke::mf_const, 626, 9},	//632 Okular::ObjectRect::object() const
	{41, 632, 0, 0, Smoke::mf_const, 605, 10},	//633 Okular::ObjectRect::region() const
	{41, 324, 403, 2, Smoke::mf_const, 367, 11},	//634 Okular::ObjectRect::boundingRect(double, double) const
	{41, 354, 410, 4, Smoke::mf_const, 537, 12},	//635 Okular::ObjectRect::contains(double, double, double, double) const
	{41, 910, 318, 1, 0, 0, 13},	//636 Okular::ObjectRect::transform(const QMatrix&)
	{41, 169, 251, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 174, 14},	//637 Okular::ObjectRect::ObjectRect(const Okular::ObjectRect&)
	{42, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 1},	//638 Okular::Page::Opening (enum)
	{42, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 2},	//639 Okular::Page::Closing (enum)
	{42, 180, 504, 4, Smoke::mf_ctor, 176, 3},	//640 Okular::Page::Page(uint, double, double, Okular::Rotation)
	{42, 974, 0, 0, Smoke::mf_dtor, 0, 53},	//641 Okular::Page::~Page()
	{42, 546, 0, 0, Smoke::mf_const, 628, 4},	//642 Okular::Page::number() const
	{42, 583, 0, 0, Smoke::mf_const, 192, 5},	//643 Okular::Page::orientation() const
	{42, 658, 0, 0, Smoke::mf_const, 192, 6},	//644 Okular::Page::rotation() const
	{42, 909, 0, 0, Smoke::mf_const, 192, 7},	//645 Okular::Page::totalOrientation() const
	{42, 937, 0, 0, Smoke::mf_const, 627, 8},	//646 Okular::Page::width() const
	{42, 472, 0, 0, Smoke::mf_const, 627, 9},	//647 Okular::Page::height() const
	{42, 630, 0, 0, Smoke::mf_const, 627, 10},	//648 Okular::Page::ratio() const
	{42, 323, 0, 0, Smoke::mf_const, 171, 11},	//649 Okular::Page::boundingBox() const
	{42, 494, 0, 0, Smoke::mf_const, 537, 12},	//650 Okular::Page::isBoundingBoxKnown() const
	{42, 690, 242, 1, 0, 0, 13},	//651 Okular::Page::setBoundingBox(const Okular::NormalizedRect&)
	{42, 466, 486, 3, Smoke::mf_const, 537, 14},	//652 Okular::Page::hasPixmap(int, int, int) const
	{42, 466, 479, 2, Smoke::mf_const, 537, 15},	//653 Okular::Page::hasPixmap(int, int) const
	{42, 466, 423, 1, Smoke::mf_const, 537, 16},	//654 Okular::Page::hasPixmap(int) const
	{42, 470, 0, 0, Smoke::mf_const, 537, 17},	//655 Okular::Page::hasTextPage() const
	{42, 464, 410, 4, Smoke::mf_const, 537, 18},	//656 Okular::Page::hasObjectRect(double, double, double, double) const
	{42, 462, 423, 1, Smoke::mf_const, 537, 19},	//657 Okular::Page::hasHighlights(int) const
	{42, 462, 0, 0, Smoke::mf_const, 537, 20},	//658 Okular::Page::hasHighlights() const
	{42, 471, 0, 0, Smoke::mf_const, 537, 21},	//659 Okular::Page::hasTransition() const
	{42, 459, 0, 0, Smoke::mf_const, 537, 22},	//660 Okular::Page::hasAnnotations() const
	{42, 429, 452, 5, Smoke::mf_const, 191, 23},	//661 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*) const
	{42, 429, 447, 4, Smoke::mf_const, 191, 24},	//662 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity) const
	{42, 893, 264, 1, Smoke::mf_const, 376, 25},	//663 Okular::Page::text(const Okular::RegularAreaRect*) const
	{42, 893, 0, 0, Smoke::mf_const, 376, 26},	//664 Okular::Page::text() const
	{42, 896, 95, 1, Smoke::mf_const, 191, 27},	//665 Okular::Page::textArea(Okular::TextSelection*) const
	{42, 548, 45, 5, Smoke::mf_const, 566, 28},	//666 Okular::Page::objectRect(Okular::ObjectRect::ObjectType, double, double, double, double) const
	{42, 919, 0, 0, Smoke::mf_const, 570, 29},	//667 Okular::Page::transition() const
	{42, 312, 0, 0, Smoke::mf_const, 308, 30},	//668 Okular::Page::annotations() const
	{42, 586, 56, 1, Smoke::mf_const, 544, 31},	//669 Okular::Page::pageAction(Okular::Page::PageAction) const
	{42, 440, 0, 0, Smoke::mf_const, 310, 32},	//670 Okular::Page::formFields() const
	{42, 791, 438, 2, 0, 0, 33},	//671 Okular::Page::setPixmap(int, QPixmap*)
	{42, 824, 93, 1, 0, 0, 34},	//672 Okular::Page::setTextPage(Okular::TextPage*)
	{42, 781, 303, 1, 0, 0, 35},	//673 Okular::Page::setObjectRects(const QLinkedList<Okular::ObjectRect*>&)
	{42, 812, 310, 1, 0, 0, 36},	//674 Okular::Page::setSourceReferences(const QLinkedList<Okular::SourceRefObjectRect*>&)
	{42, 715, 395, 1, 0, 0, 37},	//675 Okular::Page::setDuration(double)
	{42, 407, 0, 0, Smoke::mf_const, 627, 38},	//676 Okular::Page::duration() const
	{42, 750, 335, 1, 0, 0, 39},	//677 Okular::Page::setLabel(const QString&)
	{42, 507, 0, 0, Smoke::mf_const, 376, 40},	//678 Okular::Page::label() const
	{42, 902, 0, 0, Smoke::mf_const, 573, 41},	//679 Okular::Page::textSelection() const
	{42, 903, 0, 0, Smoke::mf_const, 236, 42},	//680 Okular::Page::textSelectionColor() const
	{42, 292, 7, 1, 0, 0, 43},	//681 Okular::Page::addAnnotation(Okular::Annotation*)
	{42, 635, 7, 1, 0, 537, 44},	//682 Okular::Page::removeAnnotation(Okular::Annotation*)
	{42, 830, 61, 1, 0, 0, 45},	//683 Okular::Page::setTransition(Okular::PageTransition*)
	{42, 783, 58, 2, 0, 0, 46},	//684 Okular::Page::setPageAction(Okular::Page::PageAction, Okular::Action*)
	{42, 730, 299, 1, 0, 0, 47},	//685 Okular::Page::setFormFields(const QLinkedList<Okular::FormField*>&)
	{42, 380, 423, 1, 0, 0, 48},	//686 Okular::Page::deletePixmap(int)
	{42, 382, 0, 0, 0, 0, 49},	//687 Okular::Page::deletePixmaps()
	{42, 383, 0, 0, 0, 0, 50},	//688 Okular::Page::deleteRects()
	{42, 384, 0, 0, 0, 0, 51},	//689 Okular::Page::deleteSourceReferences()
	{42, 377, 0, 0, 0, 0, 52},	//690 Okular::Page::deleteAnnotations()
	{43, 186, 0, 0, Smoke::mf_ctor, 179, 1},	//691 Okular::PageSize::PageSize()
	{43, 186, 406, 3, Smoke::mf_ctor, 179, 2},	//692 Okular::PageSize::PageSize(double, double, const QString&)
	{43, 186, 253, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 179, 3},	//693 Okular::PageSize::PageSize(const Okular::PageSize&)
	{43, 975, 0, 0, Smoke::mf_dtor, 0, 11},	//694 Okular::PageSize::~PageSize()
	{43, 937, 0, 0, Smoke::mf_const, 627, 4},	//695 Okular::PageSize::width() const
	{43, 472, 0, 0, Smoke::mf_const, 627, 5},	//696 Okular::PageSize::height() const
	{43, 542, 0, 0, Smoke::mf_const, 376, 6},	//697 Okular::PageSize::name() const
	{43, 497, 0, 0, Smoke::mf_const, 537, 7},	//698 Okular::PageSize::isNull() const
	{43, 561, 253, 1, 0, 178, 8},	//699 Okular::PageSize::operator=(const Okular::PageSize&)
	{43, 563, 253, 1, Smoke::mf_const, 537, 9},	//700 Okular::PageSize::operator==(const Okular::PageSize&) const
	{43, 557, 253, 1, Smoke::mf_const, 537, 10},	//701 Okular::PageSize::operator!=(const Okular::PageSize&) const
	{44, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 1},	//702 Okular::PageTransition::Replace (enum)
	{44, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 2},	//703 Okular::PageTransition::Split (enum)
	{44, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 3},	//704 Okular::PageTransition::Blinds (enum)
	{44, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 4},	//705 Okular::PageTransition::Box (enum)
	{44, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 5},	//706 Okular::PageTransition::Wipe (enum)
	{44, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 6},	//707 Okular::PageTransition::Dissolve (enum)
	{44, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 7},	//708 Okular::PageTransition::Glitter (enum)
	{44, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 8},	//709 Okular::PageTransition::Fly (enum)
	{44, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 9},	//710 Okular::PageTransition::Push (enum)
	{44, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 10},	//711 Okular::PageTransition::Cover (enum)
	{44, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 11},	//712 Okular::PageTransition::Uncover (enum)
	{44, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 12},	//713 Okular::PageTransition::Fade (enum)
	{44, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 13},	//714 Okular::PageTransition::Horizontal (enum)
	{44, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 14},	//715 Okular::PageTransition::Vertical (enum)
	{44, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 15},	//716 Okular::PageTransition::Inward (enum)
	{44, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 16},	//717 Okular::PageTransition::Outward (enum)
	{44, 190, 67, 1, Smoke::mf_ctor, 181, 17},	//718 Okular::PageTransition::PageTransition(Okular::PageTransition::Type)
	{44, 190, 0, 0, Smoke::mf_ctor, 181, 18},	//719 Okular::PageTransition::PageTransition()
	{44, 190, 258, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 181, 19},	//720 Okular::PageTransition::PageTransition(const Okular::PageTransition&)
	{44, 561, 258, 1, 0, 180, 20},	//721 Okular::PageTransition::operator=(const Okular::PageTransition&)
	{44, 976, 0, 0, Smoke::mf_dtor, 0, 35},	//722 Okular::PageTransition::~PageTransition()
	{44, 922, 0, 0, Smoke::mf_const, 184, 21},	//723 Okular::PageTransition::type() const
	{44, 407, 0, 0, Smoke::mf_const, 628, 22},	//724 Okular::PageTransition::duration() const
	{44, 306, 0, 0, Smoke::mf_const, 182, 23},	//725 Okular::PageTransition::alignment() const
	{44, 391, 0, 0, Smoke::mf_const, 183, 24},	//726 Okular::PageTransition::direction() const
	{44, 308, 0, 0, Smoke::mf_const, 628, 25},	//727 Okular::PageTransition::angle() const
	{44, 667, 0, 0, Smoke::mf_const, 627, 26},	//728 Okular::PageTransition::scale() const
	{44, 501, 0, 0, Smoke::mf_const, 537, 27},	//729 Okular::PageTransition::isRectangular() const
	{44, 832, 67, 1, 0, 0, 28},	//730 Okular::PageTransition::setType(Okular::PageTransition::Type)
	{44, 715, 423, 1, 0, 0, 29},	//731 Okular::PageTransition::setDuration(int)
	{44, 680, 63, 1, 0, 0, 30},	//732 Okular::PageTransition::setAlignment(Okular::PageTransition::Alignment)
	{44, 711, 65, 1, 0, 0, 31},	//733 Okular::PageTransition::setDirection(Okular::PageTransition::Direction)
	{44, 682, 423, 1, 0, 0, 32},	//734 Okular::PageTransition::setAngle(int)
	{44, 802, 395, 1, 0, 0, 33},	//735 Okular::PageTransition::setScale(double)
	{44, 748, 182, 1, 0, 0, 34},	//736 Okular::PageTransition::setIsRectangular(bool)
	{45, 194, 495, 6, Smoke::mf_ctor, 188, 1},	//737 Okular::PixmapRequest::PixmapRequest(int, int, int, int, int, bool)
	{45, 977, 0, 0, Smoke::mf_dtor, 0, 9},	//738 Okular::PixmapRequest::~PixmapRequest()
	{45, 478, 0, 0, Smoke::mf_const, 628, 2},	//739 Okular::PixmapRequest::id() const
	{45, 592, 0, 0, Smoke::mf_const, 628, 3},	//740 Okular::PixmapRequest::pageNumber() const
	{45, 937, 0, 0, Smoke::mf_const, 628, 4},	//741 Okular::PixmapRequest::width() const
	{45, 472, 0, 0, Smoke::mf_const, 628, 5},	//742 Okular::PixmapRequest::height() const
	{45, 619, 0, 0, Smoke::mf_const, 628, 6},	//743 Okular::PixmapRequest::priority() const
	{45, 316, 0, 0, Smoke::mf_const, 537, 7},	//744 Okular::PixmapRequest::asynchronous() const
	{45, 584, 0, 0, Smoke::mf_const, 176, 8},	//745 Okular::PixmapRequest::page() const
	{46, 978, 0, 0, Smoke::mf_dtor, 0, 4},	//746 Okular::PrintInterface::~PrintInterface()
	{46, 609, 0, 0, Smoke::mf_const, 442, 1},	//747 Okular::PrintInterface::printConfigurationWidget() const [pure virtual]
	{46, 202, 0, 0, Smoke::mf_ctor, 189, 2},	//748 Okular::PrintInterface::PrintInterface()
	{46, 202, 260, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 189, 3},	//749 Okular::PrintInterface::PrintInterface(const Okular::PrintInterface&)
	{47, 215, 0, 0, Smoke::mf_ctor, 191, 1},	//750 Okular::RegularAreaRect::RegularAreaRect()
	{47, 215, 262, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 191, 2},	//751 Okular::RegularAreaRect::RegularAreaRect(const Okular::RegularAreaRect&)
	{47, 979, 0, 0, Smoke::mf_dtor, 0, 4},	//752 Okular::RegularAreaRect::~RegularAreaRect()
	{47, 561, 262, 1, 0, 190, 3},	//753 Okular::RegularAreaRect::operator=(const Okular::RegularAreaRect&)
	{48, 222, 78, 2, Smoke::mf_ctor, 193, 1},	//754 Okular::ScriptAction::ScriptAction(Okular::ScriptType, const QString&)
	{48, 980, 0, 0, Smoke::mf_dtor, 0, 6},	//755 Okular::ScriptAction::~ScriptAction()
	{48, 288, 0, 0, Smoke::mf_const, 101, 2},	//756 Okular::ScriptAction::actionType() const
	{48, 287, 0, 0, Smoke::mf_const, 376, 3},	//757 Okular::ScriptAction::actionTip() const
	{48, 669, 0, 0, Smoke::mf_const, 194, 4},	//758 Okular::ScriptAction::scriptType() const
	{48, 668, 0, 0, Smoke::mf_const, 376, 5},	//759 Okular::ScriptAction::script() const
	{49, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 1},	//760 Okular::Sound::External (enum)
	{49, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 2},	//761 Okular::Sound::Embedded (enum)
	{49, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 3},	//762 Okular::Sound::Raw (enum)
	{49, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 4},	//763 Okular::Sound::Signed (enum)
	{49, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 5},	//764 Okular::Sound::muLaw (enum)
	{49, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 6},	//765 Okular::Sound::ALaw (enum)
	{49, 228, 274, 1, Smoke::mf_ctor, 196, 7},	//766 Okular::Sound::Sound(const QByteArray&)
	{49, 228, 335, 1, Smoke::mf_ctor, 196, 8},	//767 Okular::Sound::Sound(const QString&)
	{49, 981, 0, 0, Smoke::mf_dtor, 0, 20},	//768 Okular::Sound::~Sound()
	{49, 871, 0, 0, Smoke::mf_const, 198, 9},	//769 Okular::Sound::soundType() const
	{49, 929, 0, 0, Smoke::mf_const, 376, 10},	//770 Okular::Sound::url() const
	{49, 376, 0, 0, Smoke::mf_const, 232, 11},	//771 Okular::Sound::data() const
	{49, 800, 395, 1, 0, 0, 12},	//772 Okular::Sound::setSamplingRate(double)
	{49, 662, 0, 0, Smoke::mf_const, 627, 13},	//773 Okular::Sound::samplingRate() const
	{49, 698, 423, 1, 0, 0, 14},	//774 Okular::Sound::setChannels(int)
	{49, 342, 0, 0, Smoke::mf_const, 628, 15},	//775 Okular::Sound::channels() const
	{49, 686, 423, 1, 0, 0, 16},	//776 Okular::Sound::setBitsPerSample(int)
	{49, 318, 0, 0, Smoke::mf_const, 628, 17},	//777 Okular::Sound::bitsPerSample() const
	{49, 808, 83, 1, 0, 0, 18},	//778 Okular::Sound::setSoundEncoding(Okular::Sound::SoundEncoding)
	{49, 869, 0, 0, Smoke::mf_const, 197, 19},	//779 Okular::Sound::soundEncoding() const
	{50, 231, 397, 5, Smoke::mf_ctor, 199, 1},	//780 Okular::SoundAction::SoundAction(double, bool, bool, bool, Okular::Sound*)
	{50, 982, 0, 0, Smoke::mf_dtor, 0, 9},	//781 Okular::SoundAction::~SoundAction()
	{50, 288, 0, 0, Smoke::mf_const, 101, 2},	//782 Okular::SoundAction::actionType() const
	{50, 287, 0, 0, Smoke::mf_const, 376, 3},	//783 Okular::SoundAction::actionTip() const
	{50, 933, 0, 0, Smoke::mf_const, 627, 4},	//784 Okular::SoundAction::volume() const
	{50, 892, 0, 0, Smoke::mf_const, 537, 5},	//785 Okular::SoundAction::synchronous() const
	{50, 644, 0, 0, Smoke::mf_const, 537, 6},	//786 Okular::SoundAction::repeat() const
	{50, 536, 0, 0, Smoke::mf_const, 537, 7},	//787 Okular::SoundAction::mix() const
	{50, 868, 0, 0, Smoke::mf_const, 196, 8},	//788 Okular::SoundAction::sound() const
	{51, 233, 0, 0, Smoke::mf_ctor, 200, 1},	//789 Okular::SoundAnnotation::SoundAnnotation()
	{51, 233, 290, 1, Smoke::mf_ctor, 200, 2},	//790 Okular::SoundAnnotation::SoundAnnotation(const QDomNode&)
	{51, 983, 0, 0, Smoke::mf_dtor, 0, 9},	//791 Okular::SoundAnnotation::~SoundAnnotation()
	{51, 870, 0, 0, Smoke::mf_const, 376, 3},	//792 Okular::SoundAnnotation::soundIconName() const
	{51, 810, 335, 1, 0, 0, 4},	//793 Okular::SoundAnnotation::setSoundIconName(const QString&)
	{51, 868, 0, 0, Smoke::mf_const, 196, 5},	//794 Okular::SoundAnnotation::sound() const
	{51, 806, 81, 1, 0, 0, 6},	//795 Okular::SoundAnnotation::setSound(Okular::Sound*)
	{51, 887, 0, 0, Smoke::mf_const, 109, 7},	//796 Okular::SoundAnnotation::subType() const
	{51, 882, 101, 2, Smoke::mf_const, 0, 8},	//797 Okular::SoundAnnotation::store(QDomNode&, QDomDocument&) const
	{52, 236, 239, 2, Smoke::mf_ctor, 201, 1},	//798 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::NormalizedPoint&, void*)
	{52, 324, 403, 2, Smoke::mf_const, 367, 2},	//799 Okular::SourceRefObjectRect::boundingRect(double, double) const
	{52, 354, 410, 4, Smoke::mf_const, 537, 3},	//800 Okular::SourceRefObjectRect::contains(double, double, double, double) const
	{52, 984, 0, 0, Smoke::mf_dtor, 0, 5},	//801 Okular::SourceRefObjectRect::~SourceRefObjectRect()
	{52, 236, 266, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 201, 4},	//802 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::SourceRefObjectRect&)
	{53, 239, 379, 3, Smoke::mf_ctor, 202, 1},	//803 Okular::SourceReference::SourceReference(const QString&, int, int)
	{53, 239, 376, 2, Smoke::mf_ctor, 202, 2},	//804 Okular::SourceReference::SourceReference(const QString&, int)
	{53, 985, 0, 0, Smoke::mf_dtor, 0, 6},	//805 Okular::SourceReference::~SourceReference()
	{53, 424, 0, 0, Smoke::mf_const, 376, 3},	//806 Okular::SourceReference::fileName() const
	{53, 661, 0, 0, Smoke::mf_const, 628, 4},	//807 Okular::SourceReference::row() const
	{53, 349, 0, 0, Smoke::mf_const, 628, 5},	//808 Okular::SourceReference::column() const
	{54, 245, 0, 0, Smoke::mf_ctor, 203, 1},	//809 Okular::StampAnnotation::StampAnnotation()
	{54, 245, 290, 1, Smoke::mf_ctor, 203, 2},	//810 Okular::StampAnnotation::StampAnnotation(const QDomNode&)
	{54, 986, 0, 0, Smoke::mf_dtor, 0, 7},	//811 Okular::StampAnnotation::~StampAnnotation()
	{54, 814, 335, 1, 0, 0, 3},	//812 Okular::StampAnnotation::setStampIconName(const QString&)
	{54, 872, 0, 0, Smoke::mf_const, 376, 4},	//813 Okular::StampAnnotation::stampIconName() const
	{54, 887, 0, 0, Smoke::mf_const, 109, 5},	//814 Okular::StampAnnotation::subType() const
	{54, 882, 101, 2, Smoke::mf_const, 0, 6},	//815 Okular::StampAnnotation::store(QDomNode&, QDomDocument&) const
	{55, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 1},	//816 Okular::TextAnnotation::Linked (enum)
	{55, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 2},	//817 Okular::TextAnnotation::InPlace (enum)
	{55, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 3},	//818 Okular::TextAnnotation::Unknown (enum)
	{55, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 4},	//819 Okular::TextAnnotation::Callout (enum)
	{55, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 5},	//820 Okular::TextAnnotation::TypeWriter (enum)
	{55, 251, 0, 0, Smoke::mf_ctor, 204, 6},	//821 Okular::TextAnnotation::TextAnnotation()
	{55, 251, 290, 1, Smoke::mf_ctor, 204, 7},	//822 Okular::TextAnnotation::TextAnnotation(const QDomNode&)
	{55, 987, 0, 0, Smoke::mf_dtor, 0, 25},	//823 Okular::TextAnnotation::~TextAnnotation()
	{55, 826, 87, 1, 0, 0, 8},	//824 Okular::TextAnnotation::setTextType(Okular::TextAnnotation::TextType)
	{55, 904, 0, 0, Smoke::mf_const, 206, 9},	//825 Okular::TextAnnotation::textType() const
	{55, 822, 335, 1, 0, 0, 10},	//826 Okular::TextAnnotation::setTextIcon(const QString&)
	{55, 899, 0, 0, Smoke::mf_const, 376, 11},	//827 Okular::TextAnnotation::textIcon() const
	{55, 820, 295, 1, 0, 0, 12},	//828 Okular::TextAnnotation::setTextFont(const QFont&)
	{55, 898, 0, 0, Smoke::mf_const, 273, 13},	//829 Okular::TextAnnotation::textFont() const
	{55, 740, 423, 1, 0, 0, 14},	//830 Okular::TextAnnotation::setInplaceAlignment(int)
	{55, 484, 0, 0, Smoke::mf_const, 628, 15},	//831 Okular::TextAnnotation::inplaceAlignment() const
	{55, 746, 335, 1, 0, 0, 16},	//832 Okular::TextAnnotation::setInplaceText(const QString&)
	{55, 488, 0, 0, Smoke::mf_const, 376, 17},	//833 Okular::TextAnnotation::inplaceText() const
	{55, 742, 236, 2, 0, 0, 18},	//834 Okular::TextAnnotation::setInplaceCallout(const Okular::NormalizedPoint&, int)
	{55, 485, 423, 1, Smoke::mf_const, 168, 19},	//835 Okular::TextAnnotation::inplaceCallout(int) const
	{55, 916, 423, 1, Smoke::mf_const, 168, 20},	//836 Okular::TextAnnotation::transformedInplaceCallout(int) const
	{55, 744, 85, 1, 0, 0, 21},	//837 Okular::TextAnnotation::setInplaceIntent(Okular::TextAnnotation::InplaceIntent)
	{55, 487, 0, 0, Smoke::mf_const, 205, 22},	//838 Okular::TextAnnotation::inplaceIntent() const
	{55, 887, 0, 0, Smoke::mf_const, 109, 23},	//839 Okular::TextAnnotation::subType() const
	{55, 882, 101, 2, Smoke::mf_const, 0, 24},	//840 Okular::TextAnnotation::store(QDomNode&, QDomDocument&) const
	{56, 534, 0, 0, Smoke::mf_const, 603, 2},	//841 Okular::TextDocumentConverter::metaObject() const
	{56, 627, 108, 3, 0, 628, 3},	//842 Okular::TextDocumentConverter::qt_metacall(QMetaObject::Call, int, void**)
	{56, 253, 0, 0, Smoke::mf_ctor, 207, 4},	//843 Okular::TextDocumentConverter::TextDocumentConverter()
	{56, 988, 0, 0, Smoke::mf_dtor, 0, 16},	//844 Okular::TextDocumentConverter::~TextDocumentConverter()
	{56, 361, 335, 1, 0, 406, 5},	//845 Okular::TextDocumentConverter::convert(const QString&) [pure virtual]
	{56, 290, 3, 3, 0, 0, 6},	//846 Okular::TextDocumentConverter::addAction(Okular::Action*, int, int)
	{56, 292, 9, 3, 0, 0, 7},	//847 Okular::TextDocumentConverter::addAnnotation(Okular::Annotation*, int, int)
	{56, 304, 475, 3, 0, 0, 8},	//848 Okular::TextDocumentConverter::addTitle(int, const QString&, const QTextBlock&)
	{56, 295, 369, 3, 0, 0, 9},	//849 Okular::TextDocumentConverter::addMetaData(const QString&, const QString&, const QString&)
	{56, 295, 17, 2, 0, 0, 10},	//850 Okular::TextDocumentConverter::addMetaData(Okular::DocumentInfo::Key, const QString&)
	{56, 411, 376, 2, 0, 0, 11},	//851 Okular::TextDocumentConverter::error(const QString&, int)
	{56, 934, 376, 2, 0, 0, 12},	//852 Okular::TextDocumentConverter::warning(const QString&, int)
	{56, 544, 376, 2, 0, 0, 13},	//853 Okular::TextDocumentConverter::notice(const QString&, int)
	{56, 880, 0, 0, Smoke::mf_static, 602, 1},	//854 Okular::TextDocumentConverter::staticMetaObject (static var)
	{56, 328, 175, 2, Smoke::mf_protected, 131, 14},	//855 Okular::TextDocumentConverter::calculateViewport(QTextDocument*, const QTextBlock&)
	{56, 449, 0, 0, Smoke::mf_const|Smoke::mf_protected, 208, 15},	//856 Okular::TextDocumentConverter::generator() const
	{57, 534, 0, 0, Smoke::mf_const, 603, 2},	//857 Okular::TextDocumentGenerator::metaObject() const
	{57, 627, 108, 3, 0, 628, 3},	//858 Okular::TextDocumentGenerator::qt_metacall(QMetaObject::Call, int, void**)
	{57, 254, 89, 3, Smoke::mf_ctor, 208, 4},	//859 Okular::TextDocumentGenerator::TextDocumentGenerator(Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&)
	{57, 989, 0, 0, Smoke::mf_dtor, 0, 15},	//860 Okular::TextDocumentGenerator::~TextDocumentGenerator()
	{57, 521, 340, 2, 0, 537, 5},	//861 Okular::TextDocumentGenerator::loadDocument(const QString&, QVector<Okular::Page*>&)
	{57, 335, 0, 0, Smoke::mf_const, 537, 6},	//862 Okular::TextDocumentGenerator::canGeneratePixmap() const
	{57, 445, 71, 1, 0, 0, 7},	//863 Okular::TextDocumentGenerator::generatePixmap(Okular::PixmapRequest*)
	{57, 605, 118, 1, 0, 537, 8},	//864 Okular::TextDocumentGenerator::print(QPrinter&)
	{57, 417, 0, 0, Smoke::mf_const, 312, 9},	//865 Okular::TextDocumentGenerator::exportFormats() const
	{57, 418, 363, 2, 0, 537, 10},	//866 Okular::TextDocumentGenerator::exportTo(const QString&, const Okular::ExportFormat&)
	{57, 443, 0, 0, 0, 553, 11},	//867 Okular::TextDocumentGenerator::generateDocumentInfo()
	{57, 444, 0, 0, 0, 555, 12},	//868 Okular::TextDocumentGenerator::generateDocumentSynopsis()
	{57, 880, 0, 0, Smoke::mf_static, 602, 1},	//869 Okular::TextDocumentGenerator::staticMetaObject (static var)
	{57, 394, 0, 0, Smoke::mf_protected, 537, 13},	//870 Okular::TextDocumentGenerator::doCloseDocument()
	{57, 900, 51, 1, Smoke::mf_protected, 210, 14},	//871 Okular::TextDocumentGenerator::textPage(Okular::Page*)
	{58, 256, 337, 2, Smoke::mf_ctor, 209, 1},	//872 Okular::TextEntity::TextEntity(const QString&, Okular::NormalizedRect*)
	{58, 990, 0, 0, Smoke::mf_dtor, 0, 5},	//873 Okular::TextEntity::~TextEntity()
	{58, 893, 0, 0, Smoke::mf_const, 376, 2},	//874 Okular::TextEntity::text() const
	{58, 315, 0, 0, Smoke::mf_const, 173, 3},	//875 Okular::TextEntity::area() const
	{58, 912, 318, 1, Smoke::mf_const, 171, 4},	//876 Okular::TextEntity::transformedArea(const QMatrix&) const
	{59, 259, 0, 0, Smoke::mf_ctor, 210, 1},	//877 Okular::TextPage::TextPage()
	{59, 259, 312, 1, Smoke::mf_ctor, 210, 2},	//878 Okular::TextPage::TextPage(const QList<Okular::TextEntity*>&)
	{59, 991, 0, 0, Smoke::mf_dtor, 0, 8},	//879 Okular::TextPage::~TextPage()
	{59, 313, 337, 2, 0, 0, 3},	//880 Okular::TextPage::append(const QString&, Okular::NormalizedRect*)
	{59, 429, 452, 5, 0, 191, 4},	//881 Okular::TextPage::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*)
	{59, 893, 264, 1, Smoke::mf_const, 376, 5},	//882 Okular::TextPage::text(const Okular::RegularAreaRect*) const
	{59, 893, 0, 0, Smoke::mf_const, 376, 6},	//883 Okular::TextPage::text() const
	{59, 896, 95, 1, Smoke::mf_const, 191, 7},	//884 Okular::TextPage::textArea(Okular::TextSelection*) const
	{60, 276, 0, 0, Smoke::mf_ctor, 212, 1},	//885 Okular::Utils::Utils()
	{60, 992, 0, 0, Smoke::mf_dtor, 0, 7},	//886 Okular::Utils::~Utils()
	{60, 276, 270, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 212, 2},	//887 Okular::Utils::Utils(const Okular::Utils&)
	{60, 656, 328, 4, Smoke::mf_static, 367, 3},	//888 Okular::Utils::rotateRect(const QRect&, int, int, int)
	{60, 405, 0, 0, Smoke::mf_static, 627, 4},	//889 Okular::Utils::dpiX()
	{60, 406, 0, 0, Smoke::mf_static, 627, 5},	//890 Okular::Utils::dpiY()
	{60, 481, 297, 1, Smoke::mf_static, 171, 6},	//891 Okular::Utils::imageBoundingBox(const QImage*)
	{61, 279, 441, 2, Smoke::mf_ctor, 214, 3},	//892 Okular::VisiblePageRect::VisiblePageRect(int, const Okular::NormalizedRect&)
	{61, 279, 423, 1, Smoke::mf_ctor, 214, 4},	//893 Okular::VisiblePageRect::VisiblePageRect(int)
	{61, 279, 0, 0, Smoke::mf_ctor, 214, 5},	//894 Okular::VisiblePageRect::VisiblePageRect()
	{61, 785, 423, 1, 0, 0, 6},	//895 Okular::VisiblePageRect::setPageNumber(int)
	{61, 794, 43, 1, 0, 0, 7},	//896 Okular::VisiblePageRect::setRect(Okular::NormalizedRect)
	{61, 993, 0, 0, Smoke::mf_dtor, 0, 9},	//897 Okular::VisiblePageRect::~VisiblePageRect()
	{61, 279, 272, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 214, 8},	//898 Okular::VisiblePageRect::VisiblePageRect(const Okular::VisiblePageRect&)
	{61, 592, 0, 0, 0, 628, 1},	//899 Okular::VisiblePageRect::pageNumber (var)
	{61, 631, 0, 0, 0, 171, 2},	//900 Okular::VisiblePageRect::rect (var)
	{90, 534, 0, 0, Smoke::mf_const, 603, 2},	//901 QObject::metaObject() const
	{90, 627, 108, 3, 0, 628, 3},	//902 QObject::qt_metacall(QMetaObject::Call, int, void**)
	{90, 413, 104, 1, 0, 537, 6},	//903 QObject::event(QEvent*)
	{90, 415, 112, 2, 0, 537, 7},	//904 QObject::eventFilter(QObject*, QEvent*)
	{90, 905, 178, 1, Smoke::mf_protected, 0, 49},	//905 QObject::timerEvent(QTimerEvent*)
	{90, 343, 99, 1, Smoke::mf_protected, 0, 50},	//906 QObject::childEvent(QChildEvent*)
	{90, 374, 104, 1, Smoke::mf_protected, 0, 51},	//907 QObject::customEvent(QEvent*)
	{90, 352, 393, 1, Smoke::mf_protected, 0, 52},	//908 QObject::connectNotify(const char*)
	{90, 392, 393, 1, Smoke::mf_protected, 0, 53},	//909 QObject::disconnectNotify(const char*)
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap okular_methodMaps[] = {
	{ 0, 0, 0 },	//0 (no method)
	{8, 27, 19},	//1 Okular::Action::Browse
	{8, 65, 20},	//2 Okular::Action::DocAction
	{8, 82, 18},	//3 Okular::Action::Execute
	{8, 118, 17},	//4 Okular::Action::Goto
	{8, 149, 22},	//5 Okular::Action::Movie
	{8, 221, 23},	//6 Okular::Action::Script
	{8, 228, 21},	//7 Okular::Action::Sound
	{8, 287, 26},	//8 Okular::Action::actionTip
	{8, 288, 25},	//9 Okular::Action::actionType
	{8, 942, 24},	//10 Okular::Action::~Action
	{9, 1, 33},	//11 Okular::Annotation::ACaret
	{9, 2, 34},	//12 Okular::Annotation::AFileAttachment
	{9, 3, 29},	//13 Okular::Annotation::AGeom
	{9, 4, 30},	//14 Okular::Annotation::AHighlight
	{9, 5, 32},	//15 Okular::Annotation::AInk
	{9, 7, 28},	//16 Okular::Annotation::ALine
	{9, 8, 36},	//17 Okular::Annotation::AMovie
	{9, 9, 35},	//18 Okular::Annotation::ASound
	{9, 10, 31},	//19 Okular::Annotation::AStamp
	{9, 11, 27},	//20 Okular::Annotation::AText
	{9, 12, 37},	//21 Okular::Annotation::A_BASE
	{9, 13, 59},	//22 Okular::Annotation::Accepted
	{9, 24, 48},	//23 Okular::Annotation::Beveled
	{9, 37, 61},	//24 Okular::Annotation::Cancelled
	{9, 47, 52},	//25 Okular::Annotation::Cloudy
	{9, 49, 62},	//26 Okular::Annotation::Completed
	{9, 56, 47},	//27 Okular::Annotation::Dashed
	{9, 57, 55},	//28 Okular::Annotation::Delete
	{9, 58, 43},	//29 Okular::Annotation::DenyDelete
	{9, 59, 41},	//30 Okular::Annotation::DenyPrint
	{9, 60, 42},	//31 Okular::Annotation::DenyWrite
	{9, 89, 45},	//32 Okular::Annotation::External
	{9, 97, 40},	//33 Okular::Annotation::FixedRotation
	{9, 98, 39},	//34 Okular::Annotation::FixedSize
	{9, 121, 54},	//35 Okular::Annotation::Group
	{9, 125, 38},	//36 Okular::Annotation::Hidden
	{9, 138, 49},	//37 Okular::Annotation::Inset
	{9, 145, 57},	//38 Okular::Annotation::Marked
	{9, 153, 51},	//39 Okular::Annotation::NoEffect
	{9, 157, 56},	//40 Okular::Annotation::None
	{9, 217, 60},	//41 Okular::Annotation::Rejected
	{9, 220, 53},	//42 Okular::Annotation::Reply
	{9, 227, 46},	//43 Okular::Annotation::Solid
	{9, 263, 44},	//44 Okular::Annotation::ToggleHidingOnMouse
	{9, 273, 50},	//45 Okular::Annotation::Underline
	{9, 275, 58},	//46 Okular::Annotation::Unmarked
	{9, 317, 65},	//47 Okular::Annotation::author
	{9, 326, 77},	//48 Okular::Annotation::boundingRectangle
	{9, 331, 86},	//49 Okular::Annotation::canBeMoved
	{9, 357, 67},	//50 Okular::Annotation::contents
	{9, 367, 73},	//51 Okular::Annotation::creationDate
	{9, 432, 75},	//52 Okular::Annotation::flags
	{9, 537, 71},	//53 Okular::Annotation::modificationDate
	{9, 543, 84},	//54 Okular::Annotation::nativeId
	{9, 654, 82},	//55 Okular::Annotation::revisions
	{9, 685, 64},	//56 Okular::Annotation::setAuthor$
	{9, 693, 76},	//57 Okular::Annotation::setBoundingRectangle#
	{9, 703, 66},	//58 Okular::Annotation::setContents$
	{9, 705, 72},	//59 Okular::Annotation::setCreationDate#
	{9, 714, 85},	//60 Okular::Annotation::setDisposeDataFunction?
	{9, 729, 74},	//61 Okular::Annotation::setFlags$
	{9, 773, 70},	//62 Okular::Annotation::setModificationDate#
	{9, 777, 83},	//63 Okular::Annotation::setNativeId#
	{9, 835, 68},	//64 Okular::Annotation::setUniqueName$
	{9, 883, 88},	//65 Okular::Annotation::store##
	{9, 886, 80},	//66 Okular::Annotation::style
	{9, 887, 87},	//67 Okular::Annotation::subType
	{9, 914, 78},	//68 Okular::Annotation::transformedBoundingRectangle
	{9, 921, 79},	//69 Okular::Annotation::translate#
	{9, 924, 69},	//70 Okular::Annotation::uniqueName
	{9, 938, 81},	//71 Okular::Annotation::window
	{9, 943, 63},	//72 Okular::Annotation::~Annotation
	{12, 17, -1},	//73 Okular::AnnotationObjectRect::AnnotationObjectRect#
	{12, 309, 91},	//74 Okular::AnnotationObjectRect::annotation
	{12, 325, 92},	//75 Okular::AnnotationObjectRect::boundingRect$$
	{12, 356, 93},	//76 Okular::AnnotationObjectRect::contains$$$$
	{12, 911, 94},	//77 Okular::AnnotationObjectRect::transform#
	{12, 944, 90},	//78 Okular::AnnotationObjectRect::~AnnotationObjectRect
	{13, 18, 96},	//79 Okular::AnnotationUtils::AnnotationUtils
	{13, 19, 98},	//80 Okular::AnnotationUtils::AnnotationUtils#
	{13, 311, 102},	//81 Okular::AnnotationUtils::annotationGeometry#$$
	{13, 366, 99},	//82 Okular::AnnotationUtils::createAnnotation#
	{13, 428, 101},	//83 Okular::AnnotationUtils::findChildElement#$
	{13, 885, 100},	//84 Okular::AnnotationUtils::storeAnnotation###
	{13, 945, 97},	//85 Okular::AnnotationUtils::~AnnotationUtils
	{14, 29, 103},	//86 Okular::BrowseAction::BrowseAction$
	{14, 287, 106},	//87 Okular::BrowseAction::actionTip
	{14, 288, 105},	//88 Okular::BrowseAction::actionType
	{14, 929, 107},	//89 Okular::BrowseAction::url
	{14, 946, 104},	//90 Okular::BrowseAction::~BrowseAction
	{15, 38, 110},	//91 Okular::CaretAnnotation::CaretAnnotation
	{15, 39, 111},	//92 Okular::CaretAnnotation::CaretAnnotation#
	{15, 157, 108},	//93 Okular::CaretAnnotation::None
	{15, 178, 109},	//94 Okular::CaretAnnotation::P
	{15, 341, 114},	//95 Okular::CaretAnnotation::caretSymbol
	{15, 697, 113},	//96 Okular::CaretAnnotation::setCaretSymbol$
	{15, 883, 116},	//97 Okular::CaretAnnotation::store##
	{15, 887, 115},	//98 Okular::CaretAnnotation::subType
	{15, 947, 112},	//99 Okular::CaretAnnotation::~CaretAnnotation
	{16, 50, 120},	//100 Okular::ConfigInterface::ConfigInterface
	{16, 51, 121},	//101 Okular::ConfigInterface::ConfigInterface#
	{16, 303, 119},	//102 Okular::ConfigInterface::addPages#
	{16, 643, 118},	//103 Okular::ConfigInterface::reparseConfig
	{16, 948, 117},	//104 Okular::ConfigInterface::~ConfigInterface
	{17, 15, 126},	//105 Okular::Document::AllDocument
	{17, 67, 137},	//106 Okular::Document::Document#
	{17, 116, 127},	//107 Okular::Document::GoogleAll
	{17, 117, 128},	//108 Okular::Document::GoogleAny
	{17, 146, 129},	//109 Okular::Document::MatchFound
	{17, 151, 133},	//110 Okular::Document::NativePrinting
	{17, 152, 124},	//111 Okular::Document::NextMatch
	{17, 154, 130},	//112 Okular::Document::NoMatchFound
	{17, 155, 122},	//113 Okular::Document::NoOption
	{17, 156, 132},	//114 Okular::Document::NoPrinting
	{17, 199, 134},	//115 Okular::Document::PostscriptPrinting
	{17, 201, 125},	//116 Okular::Document::PreviousMatch
	{17, 218, 123},	//117 Okular::Document::RemoveAllPrevious
	{17, 224, 131},	//118 Okular::Document::SearchCancelled
	{17, 299, 141},	//119 Okular::Document::addObserver?
	{17, 301, 190},	//120 Okular::Document::addPageAnnotation$#
	{17, 307, 173},	//121 Okular::Document::allPagesSize
	{17, 319, 200},	//122 Okular::Document::bookmarkManager
	{17, 320, 202},	//123 Okular::Document::bookmarkedPageList
	{17, 321, 203},	//124 Okular::Document::bookmarkedPageRange
	{17, 333, 205},	//125 Okular::Document::canConfigurePrinter
	{17, 334, 164},	//126 Okular::Document::canExportToText
	{17, 337, 150},	//127 Okular::Document::canProvideFontInformation
	{17, 338, 214},	//128 Okular::Document::canSaveChanges
	{17, 339, 223},	//129 Okular::Document::cancelSearch
	{17, 347, 224},	//130 Okular::Document::close
	{17, 348, 140},	//131 Okular::Document::closeDocument
	{17, 350, 213},	//132 Okular::Document::componentData
	{17, 351, 211},	//133 Okular::Document::configurableGenerators
	{17, 359, 197},	//134 Okular::Document::continueSearch$
	{17, 360, 198},	//135 Okular::Document::continueSearch$$
	{17, 372, 159},	//136 Okular::Document::currentDocument
	{17, 373, 157},	//137 Okular::Document::currentPage
	{17, 399, 146},	//138 Okular::Document::documentInfo
	{17, 403, 147},	//139 Okular::Document::documentSynopsis
	{17, 410, 151},	//140 Okular::Document::embeddedFiles
	{17, 412, 231},	//141 Okular::Document::error$$
	{17, 417, 166},	//142 Okular::Document::exportFormats
	{17, 419, 167},	//143 Okular::Document::exportTo$#
	{17, 421, 165},	//144 Okular::Document::exportToText$
	{17, 426, 210},	//145 Okular::Document::fillConfigDialog#
	{17, 434, 218},	//146 Okular::Document::fontData#
	{17, 435, 236},	//147 Okular::Document::fontReadingEnded
	{17, 437, 235},	//148 Okular::Document::fontReadingProgress$
	{17, 457, 234},	//149 Okular::Document::gotFont#
	{17, 458, 175},	//150 Okular::Document::guiClient
	{17, 475, 168},	//151 Okular::Document::historyAtBegin
	{17, 476, 169},	//152 Okular::Document::historyAtEnd
	{17, 493, 160},	//153 Okular::Document::isAllowed$
	{17, 498, 145},	//154 Okular::Document::isOpened
	{17, 517, 229},	//155 Okular::Document::linkEndPresentation
	{17, 518, 226},	//156 Okular::Document::linkFind
	{17, 519, 227},	//157 Okular::Document::linkGoToPage
	{17, 520, 228},	//158 Okular::Document::linkPresentation
	{17, 532, 171},	//159 Okular::Document::metaData$
	{17, 533, 170},	//160 Okular::Document::metaData$#
	{17, 534, 135},	//161 Okular::Document::metaObject
	{17, 539, 191},	//162 Okular::Document::modifyPageAnnotation$#
	{17, 545, 233},	//163 Okular::Document::notice$$
	{17, 552, 139},	//164 Okular::Document::openDocument$#?
	{17, 554, 219},	//165 Okular::Document::openDocumentArchive$#
	{17, 556, 230},	//166 Okular::Document::openUrl#
	{17, 585, 152},	//167 Okular::Document::page$
	{17, 598, 174},	//168 Okular::Document::pageSizeString$
	{17, 599, 163},	//169 Okular::Document::pageSizes
	{17, 600, 158},	//170 Okular::Document::pages
	{17, 606, 208},	//171 Okular::Document::print#
	{17, 609, 209},	//172 Okular::Document::printConfigurationWidget
	{17, 618, 206},	//173 Okular::Document::printingSupport
	{17, 621, 201},	//174 Okular::Document::processAction#
	{17, 623, 204},	//175 Okular::Document::processSourceReference#
	{17, 628, 136},	//176 Okular::Document::qt_metacall$$?
	{17, 629, 225},	//177 Okular::Document::quit
	{17, 634, 216},	//178 Okular::Document::registerView?
	{17, 638, 142},	//179 Okular::Document::removeObserver?
	{17, 640, 192},	//180 Okular::Document::removePageAnnotation$#
	{17, 642, 193},	//181 Okular::Document::removePageAnnotations$?
	{17, 643, 143},	//182 Okular::Document::reparseConfig
	{17, 648, 187},	//183 Okular::Document::requestPixmaps?
	{17, 649, 188},	//184 Okular::Document::requestPixmaps?$
	{17, 651, 189},	//185 Okular::Document::requestTextPage$
	{17, 653, 199},	//186 Okular::Document::resetSearch$
	{17, 658, 172},	//187 Okular::Document::rotation
	{17, 664, 215},	//188 Okular::Document::saveChanges$
	{17, 666, 220},	//189 Okular::Document::saveDocumentArchive$
	{17, 671, 237},	//190 Okular::Document::searchFinished$$
	{17, 673, 196},	//191 Okular::Document::searchText$$$$$$#
	{17, 674, 195},	//192 Okular::Document::searchText$$$$$$#$
	{17, 779, 184},	//193 Okular::Document::setNextDocumentViewport#
	{17, 780, 183},	//194 Okular::Document::setNextViewport
	{17, 788, 222},	//195 Okular::Document::setPageSize#
	{17, 790, 194},	//196 Okular::Document::setPageTextSelection$##
	{17, 793, 182},	//197 Okular::Document::setPrevViewport
	{17, 799, 221},	//198 Okular::Document::setRotation$
	{17, 837, 181},	//199 Okular::Document::setViewport#
	{17, 838, 180},	//200 Okular::Document::setViewport#$
	{17, 839, 179},	//201 Okular::Document::setViewport#$$
	{17, 841, 178},	//202 Okular::Document::setViewportPage$
	{17, 842, 177},	//203 Okular::Document::setViewportPage$$
	{17, 843, 176},	//204 Okular::Document::setViewportPage$$$
	{17, 845, 155},	//205 Okular::Document::setVisiblePageRects?
	{17, 846, 154},	//206 Okular::Document::setVisiblePageRects?$
	{17, 859, 186},	//207 Okular::Document::setZoom$
	{17, 860, 185},	//208 Okular::Document::setZoom$$
	{17, 875, 148},	//209 Okular::Document::startFontReading
	{17, 880, 238},	//210 Okular::Document::staticMetaObject
	{17, 881, 149},	//211 Okular::Document::stopFontReading
	{17, 888, 212},	//212 Okular::Document::supportedMimeTypes
	{17, 889, 162},	//213 Okular::Document::supportsPageSizes
	{17, 890, 207},	//214 Okular::Document::supportsPrintToFile
	{17, 891, 161},	//215 Okular::Document::supportsSearching
	{17, 926, 217},	//216 Okular::Document::unregisterView?
	{17, 931, 153},	//217 Okular::Document::viewport
	{17, 932, 156},	//218 Okular::Document::visiblePageRects
	{17, 935, 232},	//219 Okular::Document::warning$$
	{17, 936, 144},	//220 Okular::Document::widget
	{17, 949, 138},	//221 Okular::Document::~Document
	{18, 44, 250},	//222 Okular::DocumentAction::Close
	{18, 69, 251},	//223 Okular::DocumentAction::DocumentAction$
	{18, 81, 247},	//224 Okular::DocumentAction::EndPresentation
	{18, 96, 248},	//225 Okular::DocumentAction::Find
	{18, 115, 249},	//226 Okular::DocumentAction::GoToPage
	{18, 129, 243},	//227 Okular::DocumentAction::HistoryBack
	{18, 130, 244},	//228 Okular::DocumentAction::HistoryForward
	{18, 182, 239},	//229 Okular::DocumentAction::PageFirst
	{18, 183, 242},	//230 Okular::DocumentAction::PageLast
	{18, 184, 241},	//231 Okular::DocumentAction::PageNext
	{18, 185, 240},	//232 Okular::DocumentAction::PagePrev
	{18, 200, 246},	//233 Okular::DocumentAction::Presentation
	{18, 209, 245},	//234 Okular::DocumentAction::Quit
	{18, 287, 254},	//235 Okular::DocumentAction::actionTip
	{18, 288, 253},	//236 Okular::DocumentAction::actionType
	{18, 398, 255},	//237 Okular::DocumentAction::documentActionType
	{18, 950, 252},	//238 Okular::DocumentAction::~DocumentAction
	{19, 23, 259},	//239 Okular::DocumentInfo::Author
	{19, 40, 267},	//240 Okular::DocumentInfo::Category
	{19, 52, 262},	//241 Okular::DocumentInfo::Copyright
	{19, 54, 264},	//242 Okular::DocumentInfo::CreationDate
	{19, 55, 260},	//243 Okular::DocumentInfo::Creator
	{19, 61, 258},	//244 Okular::DocumentInfo::Description
	{19, 70, 269},	//245 Okular::DocumentInfo::DocumentInfo
	{19, 71, 275},	//246 Okular::DocumentInfo::DocumentInfo#
	{19, 140, 268},	//247 Okular::DocumentInfo::Keywords
	{19, 147, 266},	//248 Okular::DocumentInfo::MimeType
	{19, 148, 265},	//249 Okular::DocumentInfo::ModificationDate
	{19, 193, 263},	//250 Okular::DocumentInfo::Pages
	{19, 207, 261},	//251 Okular::DocumentInfo::Producer
	{19, 248, 257},	//252 Okular::DocumentInfo::Subject
	{19, 262, 256},	//253 Okular::DocumentInfo::Title
	{19, 455, 273},	//254 Okular::DocumentInfo::get$
	{19, 676, -4},	//255 Okular::DocumentInfo::set$$
	{19, 677, 270},	//256 Okular::DocumentInfo::set$$$
	{19, 951, 274},	//257 Okular::DocumentInfo::~DocumentInfo
	{20, 72, 276},	//258 Okular::DocumentSynopsis::DocumentSynopsis
	{20, 73, -7},	//259 Okular::DocumentSynopsis::DocumentSynopsis#
	{20, 952, 278},	//260 Okular::DocumentSynopsis::~DocumentSynopsis
	{21, 41, 280},	//261 Okular::DocumentViewport::Center
	{21, 74, 283},	//262 Okular::DocumentViewport::DocumentViewport
	{21, 75, 290},	//263 Okular::DocumentViewport::DocumentViewport#
	{21, 76, -10},	//264 Okular::DocumentViewport::DocumentViewport$
	{21, 264, 281},	//265 Okular::DocumentViewport::TopLeft
	{21, 503, 286},	//266 Okular::DocumentViewport::isValid
	{21, 564, 287},	//267 Okular::DocumentViewport::operator==#
	{21, 592, 291},	//268 Okular::DocumentViewport::pageNumber
	{21, 786, 288},	//269 Okular::DocumentViewport::setPageNumber$
	{21, 907, 285},	//270 Okular::DocumentViewport::toString
	{21, 953, 289},	//271 Okular::DocumentViewport::~DocumentViewport
	{22, 78, 292},	//272 Okular::EmbeddedFile::EmbeddedFile
	{22, 79, 300},	//273 Okular::EmbeddedFile::EmbeddedFile#
	{22, 367, 299},	//274 Okular::EmbeddedFile::creationDate
	{22, 376, 296},	//275 Okular::EmbeddedFile::data
	{22, 385, 295},	//276 Okular::EmbeddedFile::description
	{22, 537, 298},	//277 Okular::EmbeddedFile::modificationDate
	{22, 542, 294},	//278 Okular::EmbeddedFile::name
	{22, 867, 297},	//279 Okular::EmbeddedFile::size
	{22, 954, 293},	//280 Okular::EmbeddedFile::~EmbeddedFile
	{23, 84, 301},	//281 Okular::ExecuteAction::ExecuteAction$$
	{23, 287, 304},	//282 Okular::ExecuteAction::actionTip
	{23, 288, 303},	//283 Okular::ExecuteAction::actionType
	{23, 424, 305},	//284 Okular::ExecuteAction::fileName
	{23, 603, 306},	//285 Okular::ExecuteAction::parameters
	{23, 955, 302},	//286 Okular::ExecuteAction::~ExecuteAction
	{24, 85, 311},	//287 Okular::ExportFormat::ExportFormat
	{24, 86, 315},	//288 Okular::ExportFormat::ExportFormat#
	{24, 87, 313},	//289 Okular::ExportFormat::ExportFormat#$?
	{24, 88, 312},	//290 Okular::ExportFormat::ExportFormat$?
	{24, 124, 310},	//291 Okular::ExportFormat::HTML
	{24, 175, 309},	//292 Okular::ExportFormat::OpenDocumentText
	{24, 179, 308},	//293 Okular::ExportFormat::PDF
	{24, 196, 307},	//294 Okular::ExportFormat::PlainText
	{24, 385, 317},	//295 Okular::ExportFormat::description
	{24, 477, 319},	//296 Okular::ExportFormat::icon
	{24, 497, 320},	//297 Okular::ExportFormat::isNull
	{24, 535, 318},	//298 Okular::ExportFormat::mimeType
	{24, 558, 322},	//299 Okular::ExportFormat::operator!=#
	{24, 562, 316},	//300 Okular::ExportFormat::operator=#
	{24, 564, 321},	//301 Okular::ExportFormat::operator==#
	{24, 874, 323},	//302 Okular::ExportFormat::standardFormat$
	{24, 956, 314},	//303 Okular::ExportFormat::~ExportFormat
	{25, 91, 324},	//304 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation
	{25, 92, 325},	//305 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation#
	{25, 409, 329},	//306 Okular::FileAttachmentAnnotation::embeddedFile
	{25, 423, 327},	//307 Okular::FileAttachmentAnnotation::fileIconName
	{25, 720, 330},	//308 Okular::FileAttachmentAnnotation::setEmbeddedFile#
	{25, 727, 328},	//309 Okular::FileAttachmentAnnotation::setFileIconName$
	{25, 883, 332},	//310 Okular::FileAttachmentAnnotation::store##
	{25, 887, 331},	//311 Okular::FileAttachmentAnnotation::subType
	{25, 957, 326},	//312 Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation
	{26, 20, 333},	//313 Okular::FilePrinter::ApplicationDeletesFiles
	{26, 21, 335},	//314 Okular::FilePrinter::ApplicationSelectsPages
	{26, 93, 337},	//315 Okular::FilePrinter::FilePrinter
	{26, 94, 339},	//316 Okular::FilePrinter::FilePrinter#
	{26, 249, 334},	//317 Okular::FilePrinter::SystemDeletesFiles
	{26, 250, 336},	//318 Okular::FilePrinter::SystemSelectsPages
	{26, 364, 358},	//319 Okular::FilePrinter::copies#$
	{26, 368, 351},	//320 Okular::FilePrinter::cupsAvailable
	{26, 370, 362},	//321 Okular::FilePrinter::cupsOptions#
	{26, 379, 360},	//322 Okular::FilePrinter::deleteFile#$$
	{26, 388, 357},	//323 Okular::FilePrinter::destination#$
	{26, 389, 354},	//324 Okular::FilePrinter::detectCupsConfig
	{26, 390, 353},	//325 Okular::FilePrinter::detectCupsService
	{26, 396, 355},	//326 Okular::FilePrinter::doPrintFiles#?$$$
	{26, 506, 359},	//327 Okular::FilePrinter::jobname#$
	{26, 528, 364},	//328 Okular::FilePrinter::mediaPageSize#
	{26, 530, 365},	//329 Okular::FilePrinter::mediaPaperSource#
	{26, 570, 369},	//330 Okular::FilePrinter::optionCollateCopies#
	{26, 572, 371},	//331 Okular::FilePrinter::optionCupsProperties#
	{26, 574, 367},	//332 Okular::FilePrinter::optionDoubleSidedPrinting#
	{26, 576, 363},	//333 Okular::FilePrinter::optionMedia#
	{26, 578, 366},	//334 Okular::FilePrinter::optionOrientation#
	{26, 580, 370},	//335 Okular::FilePrinter::optionPageMargins#
	{26, 582, 368},	//336 Okular::FilePrinter::optionPageOrder#
	{26, 589, 346},	//337 Okular::FilePrinter::pageList#$?
	{26, 591, 348},	//338 Okular::FilePrinter::pageListToPageRange?
	{26, 594, 347},	//339 Okular::FilePrinter::pageRange#$?
	{26, 601, 361},	//340 Okular::FilePrinter::pages#$$$$
	{26, 604, 350},	//341 Okular::FilePrinter::pdf2psAvailable
	{26, 608, 356},	//342 Okular::FilePrinter::printArguments#$$$$$
	{26, 611, 343},	//343 Okular::FilePrinter::printFile#$
	{26, 612, 342},	//344 Okular::FilePrinter::printFile#$$
	{26, 613, 341},	//345 Okular::FilePrinter::printFile#$$$
	{26, 614, 340},	//346 Okular::FilePrinter::printFile#$$$$
	{26, 616, 345},	//347 Okular::FilePrinter::printFiles#?
	{26, 617, 344},	//348 Okular::FilePrinter::printFiles#?$
	{26, 624, 349},	//349 Okular::FilePrinter::ps2pdfAvailable
	{26, 626, 352},	//350 Okular::FilePrinter::psPaperSize#
	{26, 958, 338},	//351 Okular::FilePrinter::~FilePrinter
	{27, 31, 382},	//352 Okular::FontInfo::CIDTrueType
	{27, 32, 383},	//353 Okular::FontInfo::CIDTrueTypeOT
	{27, 33, 379},	//354 Okular::FontInfo::CIDType0
	{27, 34, 380},	//355 Okular::FontInfo::CIDType0C
	{27, 35, 381},	//356 Okular::FontInfo::CIDType0COT
	{27, 80, 385},	//357 Okular::FontInfo::EmbeddedSubset
	{27, 100, 387},	//358 Okular::FontInfo::FontInfo
	{27, 101, 388},	//359 Okular::FontInfo::FontInfo#
	{27, 109, 386},	//360 Okular::FontInfo::FullyEmbedded
	{27, 167, 384},	//361 Okular::FontInfo::NotEmbedded
	{27, 265, 377},	//362 Okular::FontInfo::TrueType
	{27, 266, 378},	//363 Okular::FontInfo::TrueTypeOT
	{27, 267, 373},	//364 Okular::FontInfo::Type1
	{27, 268, 374},	//365 Okular::FontInfo::Type1C
	{27, 269, 375},	//366 Okular::FontInfo::Type1COT
	{27, 270, 376},	//367 Okular::FontInfo::Type3
	{27, 274, 372},	//368 Okular::FontInfo::Unknown
	{27, 330, 398},	//369 Okular::FontInfo::canBeExtracted
	{27, 408, 394},	//370 Okular::FontInfo::embedType
	{27, 422, 396},	//371 Okular::FontInfo::file
	{27, 542, 390},	//372 Okular::FontInfo::name
	{27, 543, 401},	//373 Okular::FontInfo::nativeId
	{27, 558, 404},	//374 Okular::FontInfo::operator!=#
	{27, 562, 402},	//375 Okular::FontInfo::operator=#
	{27, 564, 403},	//376 Okular::FontInfo::operator==#
	{27, 695, 399},	//377 Okular::FontInfo::setCanBeExtracted$
	{27, 718, 395},	//378 Okular::FontInfo::setEmbedType$
	{27, 725, 397},	//379 Okular::FontInfo::setFile$
	{27, 775, 391},	//380 Okular::FontInfo::setName$
	{27, 777, 400},	//381 Okular::FontInfo::setNativeId#
	{27, 833, 393},	//382 Okular::FontInfo::setType$
	{27, 922, 392},	//383 Okular::FontInfo::type
	{27, 959, 389},	//384 Okular::FontInfo::~FontInfo
	{28, 102, 405},	//385 Okular::FormField::FormButton
	{28, 103, 407},	//386 Okular::FormField::FormChoice
	{28, 107, 408},	//387 Okular::FormField::FormSignature
	{28, 108, 406},	//388 Okular::FormField::FormText
	{28, 289, 417},	//389 Okular::FormField::activationAction
	{28, 478, 412},	//390 Okular::FormField::id
	{28, 500, 415},	//391 Okular::FormField::isReadOnly
	{28, 504, 416},	//392 Okular::FormField::isVisible
	{28, 542, 413},	//393 Okular::FormField::name
	{28, 631, 411},	//394 Okular::FormField::rect
	{28, 679, 418},	//395 Okular::FormField::setActivationAction#
	{28, 922, 410},	//396 Okular::FormField::type
	{28, 923, 414},	//397 Okular::FormField::uiName
	{28, 960, 409},	//398 Okular::FormField::~FormField
	{29, 42, 420},	//399 Okular::FormFieldButton::CheckBox
	{29, 104, 428},	//400 Okular::FormFieldButton::FormFieldButton
	{29, 208, 419},	//401 Okular::FormFieldButton::Push
	{29, 212, 421},	//402 Okular::FormFieldButton::Radio
	{29, 327, 423},	//403 Okular::FormFieldButton::buttonType
	{29, 340, 424},	//404 Okular::FormFieldButton::caption
	{29, 817, 426},	//405 Okular::FormFieldButton::setState$
	{29, 862, 427},	//406 Okular::FormFieldButton::siblings
	{29, 876, 425},	//407 Okular::FormFieldButton::state
	{29, 961, 422},	//408 Okular::FormFieldButton::~FormFieldButton
	{30, 48, 429},	//409 Okular::FormFieldChoice::ComboBox
	{30, 105, 440},	//410 Okular::FormFieldChoice::FormFieldChoice
	{30, 144, 430},	//411 Okular::FormFieldChoice::ListBox
	{30, 332, 439},	//412 Okular::FormFieldChoice::canBeSpellChecked
	{30, 345, 432},	//413 Okular::FormFieldChoice::choiceType
	{30, 346, 433},	//414 Okular::FormFieldChoice::choices
	{30, 371, 436},	//415 Okular::FormFieldChoice::currentChoices
	{30, 495, 434},	//416 Okular::FormFieldChoice::isEditable
	{30, 541, 435},	//417 Okular::FormFieldChoice::multiSelect
	{30, 707, 437},	//418 Okular::FormFieldChoice::setCurrentChoices?
	{30, 895, 438},	//419 Okular::FormFieldChoice::textAlignment
	{30, 962, 431},	//420 Okular::FormFieldChoice::~FormFieldChoice
	{31, 95, 443},	//421 Okular::FormFieldText::FileSelect
	{31, 106, 453},	//422 Okular::FormFieldText::FormFieldText
	{31, 150, 442},	//423 Okular::FormFieldText::Multiline
	{31, 158, 441},	//424 Okular::FormFieldText::Normal
	{31, 332, 452},	//425 Okular::FormFieldText::canBeSpellChecked
	{31, 499, 448},	//426 Okular::FormFieldText::isPassword
	{31, 502, 449},	//427 Okular::FormFieldText::isRichText
	{31, 526, 450},	//428 Okular::FormFieldText::maximumLength
	{31, 819, 447},	//429 Okular::FormFieldText::setText$
	{31, 893, 446},	//430 Okular::FormFieldText::text
	{31, 895, 451},	//431 Okular::FormFieldText::textAlignment
	{31, 904, 445},	//432 Okular::FormFieldText::textType
	{31, 963, 444},	//433 Okular::FormFieldText::~FormFieldText
	{32, 100, 457},	//434 Okular::Generator::FontInfo
	{32, 111, 466},	//435 Okular::Generator::Generator#?
	{32, 157, 462},	//436 Okular::Generator::None
	{32, 189, 458},	//437 Okular::Generator::PageSizes
	{32, 197, 463},	//438 Okular::Generator::Points
	{32, 204, 459},	//439 Okular::Generator::PrintNative
	{32, 205, 460},	//440 Okular::Generator::PrintPostscript
	{32, 206, 461},	//441 Okular::Generator::PrintToFile
	{32, 214, 456},	//442 Okular::Generator::ReadRawData
	{32, 258, 455},	//443 Okular::Generator::TextExtraction
	{32, 261, 454},	//444 Okular::Generator::Threaded
	{32, 335, 471},	//445 Okular::Generator::canGeneratePixmap
	{32, 336, 473},	//446 Okular::Generator::canGenerateTextPage
	{32, 348, 470},	//447 Okular::Generator::closeDocument
	{32, 394, 495},	//448 Okular::Generator::doCloseDocument
	{32, 397, 498},	//449 Okular::Generator::document
	{32, 401, 502},	//450 Okular::Generator::documentMetaData$
	{32, 402, 501},	//451 Okular::Generator::documentMetaData$#
	{32, 410, 478},	//452 Okular::Generator::embeddedFiles
	{32, 412, 489},	//453 Okular::Generator::error$$
	{32, 417, 486},	//454 Okular::Generator::exportFormats
	{32, 419, 487},	//455 Okular::Generator::exportTo$#
	{32, 439, 477},	//456 Okular::Generator::fontsForPage$
	{32, 443, 475},	//457 Okular::Generator::generateDocumentInfo
	{32, 444, 476},	//458 Okular::Generator::generateDocumentSynopsis
	{32, 446, 472},	//459 Okular::Generator::generatePixmap#
	{32, 448, 474},	//460 Okular::Generator::generateTextPage#
	{32, 461, 488},	//461 Okular::Generator::hasFeature$
	{32, 480, 496},	//462 Okular::Generator::image#
	{32, 493, 480},	//463 Okular::Generator::isAllowed$
	{32, 522, 468},	//464 Okular::Generator::loadDocument$?
	{32, 524, 469},	//465 Okular::Generator::loadDocumentFromData#?
	{32, 533, 485},	//466 Okular::Generator::metaData$#
	{32, 534, 464},	//467 Okular::Generator::metaObject
	{32, 545, 491},	//468 Okular::Generator::notice$$
	{32, 596, 483},	//469 Okular::Generator::pageSizeChanged##
	{32, 599, 482},	//470 Okular::Generator::pageSizes
	{32, 602, 479},	//471 Okular::Generator::pagesSizeMetric
	{32, 606, 484},	//472 Okular::Generator::print#
	{32, 628, 465},	//473 Okular::Generator::qt_metacall$$?
	{32, 646, 505},	//474 Okular::Generator::requestFontData##
	{32, 660, 481},	//475 Okular::Generator::rotationChanged$$
	{32, 722, 500},	//476 Okular::Generator::setFeature$
	{32, 723, 499},	//477 Okular::Generator::setFeature$$
	{32, 864, 493},	//478 Okular::Generator::signalPixmapRequestDone#
	{32, 866, 494},	//479 Okular::Generator::signalTextGenerationDone##
	{32, 880, 492},	//480 Okular::Generator::staticMetaObject
	{32, 901, 497},	//481 Okular::Generator::textPage#
	{32, 928, 504},	//482 Okular::Generator::updatePageBoundingBox$#
	{32, 930, 503},	//483 Okular::Generator::userMutex
	{32, 935, 490},	//484 Okular::Generator::warning$$
	{32, 964, 467},	//485 Okular::Generator::~Generator
	{33, 112, 508},	//486 Okular::GeomAnnotation::GeomAnnotation
	{33, 113, 509},	//487 Okular::GeomAnnotation::GeomAnnotation#
	{33, 136, 507},	//488 Okular::GeomAnnotation::InscribedCircle
	{33, 137, 506},	//489 Okular::GeomAnnotation::InscribedSquare
	{33, 450, 514},	//490 Okular::GeomAnnotation::geometricalInnerColor
	{33, 451, 512},	//491 Okular::GeomAnnotation::geometricalType
	{33, 733, 513},	//492 Okular::GeomAnnotation::setGeometricalInnerColor#
	{33, 735, 511},	//493 Okular::GeomAnnotation::setGeometricalType$
	{33, 883, 516},	//494 Okular::GeomAnnotation::store##
	{33, 887, 515},	//495 Okular::GeomAnnotation::subType
	{33, 965, 510},	//496 Okular::GeomAnnotation::~GeomAnnotation
	{34, 120, 517},	//497 Okular::GotoAction::GotoAction$#
	{34, 287, 520},	//498 Okular::GotoAction::actionTip
	{34, 288, 519},	//499 Okular::GotoAction::actionType
	{34, 386, 523},	//500 Okular::GotoAction::destViewport
	{34, 424, 522},	//501 Okular::GotoAction::fileName
	{34, 496, 521},	//502 Okular::GotoAction::isExternal
	{34, 966, 518},	//503 Okular::GotoAction::~GotoAction
	{35, 122, 526},	//504 Okular::GuiInterface::GuiInterface
	{35, 123, 527},	//505 Okular::GuiInterface::GuiInterface#
	{35, 458, 525},	//506 Okular::GuiInterface::guiClient
	{35, 967, 524},	//507 Okular::GuiInterface::~GuiInterface
	{36, 126, 528},	//508 Okular::HighlightAnnotation::Highlight
	{36, 127, 532},	//509 Okular::HighlightAnnotation::HighlightAnnotation
	{36, 128, 533},	//510 Okular::HighlightAnnotation::HighlightAnnotation#
	{36, 244, 529},	//511 Okular::HighlightAnnotation::Squiggly
	{36, 247, 531},	//512 Okular::HighlightAnnotation::StrikeOut
	{36, 273, 530},	//513 Okular::HighlightAnnotation::Underline
	{36, 473, 537},	//514 Okular::HighlightAnnotation::highlightQuads
	{36, 474, 536},	//515 Okular::HighlightAnnotation::highlightType
	{36, 737, 535},	//516 Okular::HighlightAnnotation::setHighlightType$
	{36, 883, 539},	//517 Okular::HighlightAnnotation::store##
	{36, 887, 538},	//518 Okular::HighlightAnnotation::subType
	{36, 968, 534},	//519 Okular::HighlightAnnotation::~HighlightAnnotation
	{37, 134, 540},	//520 Okular::InkAnnotation::InkAnnotation
	{37, 135, 541},	//521 Okular::InkAnnotation::InkAnnotation#
	{37, 483, 544},	//522 Okular::InkAnnotation::inkPaths
	{37, 739, 543},	//523 Okular::InkAnnotation::setInkPaths?
	{37, 883, 547},	//524 Okular::InkAnnotation::store##
	{37, 887, 546},	//525 Okular::InkAnnotation::subType
	{37, 915, 545},	//526 Okular::InkAnnotation::transformedInkPaths
	{37, 969, 542},	//527 Okular::InkAnnotation::~InkAnnotation
	{38, 22, 559},	//528 Okular::LineAnnotation::Arrow
	{38, 30, 554},	//529 Okular::LineAnnotation::Butt
	{38, 43, 549},	//530 Okular::LineAnnotation::Circle
	{38, 45, 552},	//531 Okular::LineAnnotation::ClosedArrow
	{38, 62, 550},	//532 Okular::LineAnnotation::Diamond
	{38, 63, 560},	//533 Okular::LineAnnotation::Dimension
	{38, 141, 562},	//534 Okular::LineAnnotation::LineAnnotation
	{38, 142, 563},	//535 Okular::LineAnnotation::LineAnnotation#
	{38, 157, 553},	//536 Okular::LineAnnotation::None
	{38, 174, 551},	//537 Okular::LineAnnotation::OpenArrow
	{38, 198, 561},	//538 Okular::LineAnnotation::PolygonCloud
	{38, 210, 556},	//539 Okular::LineAnnotation::RClosedArrow
	{38, 211, 555},	//540 Okular::LineAnnotation::ROpenArrow
	{38, 226, 557},	//541 Okular::LineAnnotation::Slash
	{38, 243, 548},	//542 Okular::LineAnnotation::Square
	{38, 274, 558},	//543 Okular::LineAnnotation::Unknown
	{38, 509, 573},	//544 Okular::LineAnnotation::lineClosed
	{38, 510, 571},	//545 Okular::LineAnnotation::lineEndStyle
	{38, 511, 575},	//546 Okular::LineAnnotation::lineInnerColor
	{38, 512, 583},	//547 Okular::LineAnnotation::lineIntent
	{38, 513, 579},	//548 Okular::LineAnnotation::lineLeadingBackwardPoint
	{38, 514, 577},	//549 Okular::LineAnnotation::lineLeadingForwardPoint
	{38, 515, 566},	//550 Okular::LineAnnotation::linePoints
	{38, 516, 569},	//551 Okular::LineAnnotation::lineStartStyle
	{38, 755, 572},	//552 Okular::LineAnnotation::setLineClosed$
	{38, 757, 570},	//553 Okular::LineAnnotation::setLineEndStyle$
	{38, 759, 574},	//554 Okular::LineAnnotation::setLineInnerColor#
	{38, 761, 582},	//555 Okular::LineAnnotation::setLineIntent$
	{38, 763, 578},	//556 Okular::LineAnnotation::setLineLeadingBackwardPoint$
	{38, 765, 576},	//557 Okular::LineAnnotation::setLineLeadingForwardPoint$
	{38, 767, 565},	//558 Okular::LineAnnotation::setLinePoints?
	{38, 769, 568},	//559 Okular::LineAnnotation::setLineStartStyle$
	{38, 805, 580},	//560 Okular::LineAnnotation::setShowCaption$
	{38, 861, 581},	//561 Okular::LineAnnotation::showCaption
	{38, 883, 585},	//562 Okular::LineAnnotation::store##
	{38, 887, 584},	//563 Okular::LineAnnotation::subType
	{38, 918, 567},	//564 Okular::LineAnnotation::transformedLinePoints
	{38, 970, 564},	//565 Okular::LineAnnotation::~LineAnnotation
	{39, 159, 586},	//566 Okular::NormalizedPoint::NormalizedPoint
	{39, 160, 594},	//567 Okular::NormalizedPoint::NormalizedPoint#
	{39, 161, 587},	//568 Okular::NormalizedPoint::NormalizedPoint$$
	{39, 162, 588},	//569 Okular::NormalizedPoint::NormalizedPoint$$$$
	{39, 562, 589},	//570 Okular::NormalizedPoint::operator=#
	{39, 848, 591},	//571 Okular::NormalizedPoint::setX$
	{39, 857, 592},	//572 Okular::NormalizedPoint::setY$
	{39, 911, 590},	//573 Okular::NormalizedPoint::transform#
	{39, 939, 595},	//574 Okular::NormalizedPoint::x
	{39, 941, 596},	//575 Okular::NormalizedPoint::y
	{39, 971, 593},	//576 Okular::NormalizedPoint::~NormalizedPoint
	{40, 163, 597},	//577 Okular::NormalizedRect::NormalizedRect
	{40, 164, 600},	//578 Okular::NormalizedRect::NormalizedRect#
	{40, 165, 599},	//579 Okular::NormalizedRect::NormalizedRect#$$
	{40, 166, 598},	//580 Okular::NormalizedRect::NormalizedRect$$$$
	{40, 322, 622},	//581 Okular::NormalizedRect::bottom
	{40, 355, 603},	//582 Okular::NormalizedRect::contains$$
	{40, 442, 618},	//583 Okular::NormalizedRect::fromQRectF#
	{40, 453, 607},	//584 Okular::NormalizedRect::geometry$$
	{40, 490, -13},	//585 Okular::NormalizedRect::intersects#
	{40, 491, 606},	//586 Okular::NormalizedRect::intersects$$$$
	{40, 497, 602},	//587 Okular::NormalizedRect::isNull
	{40, 508, 619},	//588 Okular::NormalizedRect::left
	{40, 560, 610},	//589 Okular::NormalizedRect::operator&#
	{40, 562, 601},	//590 Okular::NormalizedRect::operator=#
	{40, 564, 611},	//591 Okular::NormalizedRect::operator==#
	{40, 566, 608},	//592 Okular::NormalizedRect::operator|#
	{40, 568, 609},	//593 Okular::NormalizedRect::operator|=#
	{40, 655, 621},	//594 Okular::NormalizedRect::right
	{40, 689, 616},	//595 Okular::NormalizedRect::setBottom$
	{40, 753, 613},	//596 Okular::NormalizedRect::setLeft$
	{40, 797, 615},	//597 Okular::NormalizedRect::setRight$
	{40, 829, 614},	//598 Okular::NormalizedRect::setTop$
	{40, 908, 620},	//599 Okular::NormalizedRect::top
	{40, 911, 612},	//600 Okular::NormalizedRect::transform#
	{40, 972, 617},	//601 Okular::NormalizedRect::~NormalizedRect
	{41, 14, 623},	//602 Okular::ObjectRect::Action
	{41, 132, 624},	//603 Okular::ObjectRect::Image
	{41, 168, 625},	//604 Okular::ObjectRect::OAnnotation
	{41, 170, 637},	//605 Okular::ObjectRect::ObjectRect#
	{41, 171, 629},	//606 Okular::ObjectRect::ObjectRect#$$
	{41, 172, 628},	//607 Okular::ObjectRect::ObjectRect#$$$
	{41, 173, 627},	//608 Okular::ObjectRect::ObjectRect$$$$$$$
	{41, 235, 626},	//609 Okular::ObjectRect::SourceRef
	{41, 325, 634},	//610 Okular::ObjectRect::boundingRect$$
	{41, 356, 635},	//611 Okular::ObjectRect::contains$$$$
	{41, 547, 632},	//612 Okular::ObjectRect::object
	{41, 550, 631},	//613 Okular::ObjectRect::objectType
	{41, 632, 633},	//614 Okular::ObjectRect::region
	{41, 911, 636},	//615 Okular::ObjectRect::transform#
	{41, 973, 630},	//616 Okular::ObjectRect::~ObjectRect
	{42, 46, 639},	//617 Okular::Page::Closing
	{42, 176, 638},	//618 Okular::Page::Opening
	{42, 181, 640},	//619 Okular::Page::Page$$$$
	{42, 293, 681},	//620 Okular::Page::addAnnotation#
	{42, 312, 668},	//621 Okular::Page::annotations
	{42, 323, 649},	//622 Okular::Page::boundingBox
	{42, 377, 690},	//623 Okular::Page::deleteAnnotations
	{42, 381, 686},	//624 Okular::Page::deletePixmap$
	{42, 382, 687},	//625 Okular::Page::deletePixmaps
	{42, 383, 688},	//626 Okular::Page::deleteRects
	{42, 384, 689},	//627 Okular::Page::deleteSourceReferences
	{42, 407, 676},	//628 Okular::Page::duration
	{42, 430, 662},	//629 Okular::Page::findText$$$$
	{42, 431, 661},	//630 Okular::Page::findText$$$$#
	{42, 440, 670},	//631 Okular::Page::formFields
	{42, 459, 660},	//632 Okular::Page::hasAnnotations
	{42, 462, 658},	//633 Okular::Page::hasHighlights
	{42, 463, 657},	//634 Okular::Page::hasHighlights$
	{42, 465, 656},	//635 Okular::Page::hasObjectRect$$$$
	{42, 467, 654},	//636 Okular::Page::hasPixmap$
	{42, 468, 653},	//637 Okular::Page::hasPixmap$$
	{42, 469, 652},	//638 Okular::Page::hasPixmap$$$
	{42, 470, 655},	//639 Okular::Page::hasTextPage
	{42, 471, 659},	//640 Okular::Page::hasTransition
	{42, 472, 647},	//641 Okular::Page::height
	{42, 494, 650},	//642 Okular::Page::isBoundingBoxKnown
	{42, 507, 678},	//643 Okular::Page::label
	{42, 546, 642},	//644 Okular::Page::number
	{42, 549, 666},	//645 Okular::Page::objectRect$$$$$
	{42, 583, 643},	//646 Okular::Page::orientation
	{42, 587, 669},	//647 Okular::Page::pageAction$
	{42, 630, 648},	//648 Okular::Page::ratio
	{42, 636, 682},	//649 Okular::Page::removeAnnotation#
	{42, 658, 644},	//650 Okular::Page::rotation
	{42, 691, 651},	//651 Okular::Page::setBoundingBox#
	{42, 716, 675},	//652 Okular::Page::setDuration$
	{42, 731, 685},	//653 Okular::Page::setFormFields?
	{42, 751, 677},	//654 Okular::Page::setLabel$
	{42, 782, 673},	//655 Okular::Page::setObjectRects?
	{42, 784, 684},	//656 Okular::Page::setPageAction$#
	{42, 792, 671},	//657 Okular::Page::setPixmap$#
	{42, 813, 674},	//658 Okular::Page::setSourceReferences?
	{42, 825, 672},	//659 Okular::Page::setTextPage#
	{42, 831, 683},	//660 Okular::Page::setTransition#
	{42, 893, 664},	//661 Okular::Page::text
	{42, 894, 663},	//662 Okular::Page::text#
	{42, 897, 665},	//663 Okular::Page::textArea?
	{42, 902, 679},	//664 Okular::Page::textSelection
	{42, 903, 680},	//665 Okular::Page::textSelectionColor
	{42, 909, 645},	//666 Okular::Page::totalOrientation
	{42, 919, 667},	//667 Okular::Page::transition
	{42, 937, 646},	//668 Okular::Page::width
	{42, 974, 641},	//669 Okular::Page::~Page
	{43, 186, 691},	//670 Okular::PageSize::PageSize
	{43, 187, 693},	//671 Okular::PageSize::PageSize#
	{43, 188, 692},	//672 Okular::PageSize::PageSize$$$
	{43, 472, 696},	//673 Okular::PageSize::height
	{43, 497, 698},	//674 Okular::PageSize::isNull
	{43, 542, 697},	//675 Okular::PageSize::name
	{43, 558, 701},	//676 Okular::PageSize::operator!=#
	{43, 562, 699},	//677 Okular::PageSize::operator=#
	{43, 564, 700},	//678 Okular::PageSize::operator==#
	{43, 937, 695},	//679 Okular::PageSize::width
	{43, 975, 694},	//680 Okular::PageSize::~PageSize
	{44, 25, 704},	//681 Okular::PageTransition::Blinds
	{44, 26, 705},	//682 Okular::PageTransition::Box
	{44, 53, 711},	//683 Okular::PageTransition::Cover
	{44, 64, 707},	//684 Okular::PageTransition::Dissolve
	{44, 90, 713},	//685 Okular::PageTransition::Fade
	{44, 99, 709},	//686 Okular::PageTransition::Fly
	{44, 114, 708},	//687 Okular::PageTransition::Glitter
	{44, 131, 714},	//688 Okular::PageTransition::Horizontal
	{44, 139, 716},	//689 Okular::PageTransition::Inward
	{44, 177, 717},	//690 Okular::PageTransition::Outward
	{44, 190, 719},	//691 Okular::PageTransition::PageTransition
	{44, 191, 720},	//692 Okular::PageTransition::PageTransition#
	{44, 192, 718},	//693 Okular::PageTransition::PageTransition$
	{44, 208, 710},	//694 Okular::PageTransition::Push
	{44, 219, 702},	//695 Okular::PageTransition::Replace
	{44, 242, 703},	//696 Okular::PageTransition::Split
	{44, 272, 712},	//697 Okular::PageTransition::Uncover
	{44, 278, 715},	//698 Okular::PageTransition::Vertical
	{44, 283, 706},	//699 Okular::PageTransition::Wipe
	{44, 306, 725},	//700 Okular::PageTransition::alignment
	{44, 308, 727},	//701 Okular::PageTransition::angle
	{44, 391, 726},	//702 Okular::PageTransition::direction
	{44, 407, 724},	//703 Okular::PageTransition::duration
	{44, 501, 729},	//704 Okular::PageTransition::isRectangular
	{44, 562, 721},	//705 Okular::PageTransition::operator=#
	{44, 667, 728},	//706 Okular::PageTransition::scale
	{44, 681, 732},	//707 Okular::PageTransition::setAlignment$
	{44, 683, 734},	//708 Okular::PageTransition::setAngle$
	{44, 712, 733},	//709 Okular::PageTransition::setDirection$
	{44, 716, 731},	//710 Okular::PageTransition::setDuration$
	{44, 749, 736},	//711 Okular::PageTransition::setIsRectangular$
	{44, 803, 735},	//712 Okular::PageTransition::setScale$
	{44, 833, 730},	//713 Okular::PageTransition::setType$
	{44, 922, 723},	//714 Okular::PageTransition::type
	{44, 976, 722},	//715 Okular::PageTransition::~PageTransition
	{45, 195, 737},	//716 Okular::PixmapRequest::PixmapRequest$$$$$$
	{45, 316, 744},	//717 Okular::PixmapRequest::asynchronous
	{45, 472, 742},	//718 Okular::PixmapRequest::height
	{45, 478, 739},	//719 Okular::PixmapRequest::id
	{45, 584, 745},	//720 Okular::PixmapRequest::page
	{45, 592, 740},	//721 Okular::PixmapRequest::pageNumber
	{45, 619, 743},	//722 Okular::PixmapRequest::priority
	{45, 937, 741},	//723 Okular::PixmapRequest::width
	{45, 977, 738},	//724 Okular::PixmapRequest::~PixmapRequest
	{46, 202, 748},	//725 Okular::PrintInterface::PrintInterface
	{46, 203, 749},	//726 Okular::PrintInterface::PrintInterface#
	{46, 609, 747},	//727 Okular::PrintInterface::printConfigurationWidget
	{46, 978, 746},	//728 Okular::PrintInterface::~PrintInterface
	{47, 215, 750},	//729 Okular::RegularAreaRect::RegularAreaRect
	{47, 216, 751},	//730 Okular::RegularAreaRect::RegularAreaRect#
	{47, 562, 753},	//731 Okular::RegularAreaRect::operator=#
	{47, 979, 752},	//732 Okular::RegularAreaRect::~RegularAreaRect
	{48, 223, 754},	//733 Okular::ScriptAction::ScriptAction$$
	{48, 287, 757},	//734 Okular::ScriptAction::actionTip
	{48, 288, 756},	//735 Okular::ScriptAction::actionType
	{48, 668, 759},	//736 Okular::ScriptAction::script
	{48, 669, 758},	//737 Okular::ScriptAction::scriptType
	{48, 980, 755},	//738 Okular::ScriptAction::~ScriptAction
	{49, 6, 765},	//739 Okular::Sound::ALaw
	{49, 77, 761},	//740 Okular::Sound::Embedded
	{49, 89, 760},	//741 Okular::Sound::External
	{49, 213, 762},	//742 Okular::Sound::Raw
	{49, 225, 763},	//743 Okular::Sound::Signed
	{49, 229, 766},	//744 Okular::Sound::Sound#
	{49, 230, 767},	//745 Okular::Sound::Sound$
	{49, 318, 777},	//746 Okular::Sound::bitsPerSample
	{49, 342, 775},	//747 Okular::Sound::channels
	{49, 376, 771},	//748 Okular::Sound::data
	{49, 540, 764},	//749 Okular::Sound::muLaw
	{49, 662, 773},	//750 Okular::Sound::samplingRate
	{49, 687, 776},	//751 Okular::Sound::setBitsPerSample$
	{49, 699, 774},	//752 Okular::Sound::setChannels$
	{49, 801, 772},	//753 Okular::Sound::setSamplingRate$
	{49, 809, 778},	//754 Okular::Sound::setSoundEncoding$
	{49, 869, 779},	//755 Okular::Sound::soundEncoding
	{49, 871, 769},	//756 Okular::Sound::soundType
	{49, 929, 770},	//757 Okular::Sound::url
	{49, 981, 768},	//758 Okular::Sound::~Sound
	{50, 232, 780},	//759 Okular::SoundAction::SoundAction$$$$#
	{50, 287, 783},	//760 Okular::SoundAction::actionTip
	{50, 288, 782},	//761 Okular::SoundAction::actionType
	{50, 536, 787},	//762 Okular::SoundAction::mix
	{50, 644, 786},	//763 Okular::SoundAction::repeat
	{50, 868, 788},	//764 Okular::SoundAction::sound
	{50, 892, 785},	//765 Okular::SoundAction::synchronous
	{50, 933, 784},	//766 Okular::SoundAction::volume
	{50, 982, 781},	//767 Okular::SoundAction::~SoundAction
	{51, 233, 789},	//768 Okular::SoundAnnotation::SoundAnnotation
	{51, 234, 790},	//769 Okular::SoundAnnotation::SoundAnnotation#
	{51, 807, 795},	//770 Okular::SoundAnnotation::setSound#
	{51, 811, 793},	//771 Okular::SoundAnnotation::setSoundIconName$
	{51, 868, 794},	//772 Okular::SoundAnnotation::sound
	{51, 870, 792},	//773 Okular::SoundAnnotation::soundIconName
	{51, 883, 797},	//774 Okular::SoundAnnotation::store##
	{51, 887, 796},	//775 Okular::SoundAnnotation::subType
	{51, 983, 791},	//776 Okular::SoundAnnotation::~SoundAnnotation
	{52, 237, 802},	//777 Okular::SourceRefObjectRect::SourceRefObjectRect#
	{52, 238, 798},	//778 Okular::SourceRefObjectRect::SourceRefObjectRect#$
	{52, 325, 799},	//779 Okular::SourceRefObjectRect::boundingRect$$
	{52, 356, 800},	//780 Okular::SourceRefObjectRect::contains$$$$
	{52, 984, 801},	//781 Okular::SourceRefObjectRect::~SourceRefObjectRect
	{53, 240, 804},	//782 Okular::SourceReference::SourceReference$$
	{53, 241, 803},	//783 Okular::SourceReference::SourceReference$$$
	{53, 349, 808},	//784 Okular::SourceReference::column
	{53, 424, 806},	//785 Okular::SourceReference::fileName
	{53, 661, 807},	//786 Okular::SourceReference::row
	{53, 985, 805},	//787 Okular::SourceReference::~SourceReference
	{54, 245, 809},	//788 Okular::StampAnnotation::StampAnnotation
	{54, 246, 810},	//789 Okular::StampAnnotation::StampAnnotation#
	{54, 815, 812},	//790 Okular::StampAnnotation::setStampIconName$
	{54, 872, 813},	//791 Okular::StampAnnotation::stampIconName
	{54, 883, 815},	//792 Okular::StampAnnotation::store##
	{54, 887, 814},	//793 Okular::StampAnnotation::subType
	{54, 986, 811},	//794 Okular::StampAnnotation::~StampAnnotation
	{55, 36, 819},	//795 Okular::TextAnnotation::Callout
	{55, 133, 817},	//796 Okular::TextAnnotation::InPlace
	{55, 143, 816},	//797 Okular::TextAnnotation::Linked
	{55, 251, 821},	//798 Okular::TextAnnotation::TextAnnotation
	{55, 252, 822},	//799 Okular::TextAnnotation::TextAnnotation#
	{55, 271, 820},	//800 Okular::TextAnnotation::TypeWriter
	{55, 274, 818},	//801 Okular::TextAnnotation::Unknown
	{55, 484, 831},	//802 Okular::TextAnnotation::inplaceAlignment
	{55, 486, 835},	//803 Okular::TextAnnotation::inplaceCallout$
	{55, 487, 838},	//804 Okular::TextAnnotation::inplaceIntent
	{55, 488, 833},	//805 Okular::TextAnnotation::inplaceText
	{55, 741, 830},	//806 Okular::TextAnnotation::setInplaceAlignment$
	{55, 743, 834},	//807 Okular::TextAnnotation::setInplaceCallout#$
	{55, 745, 837},	//808 Okular::TextAnnotation::setInplaceIntent$
	{55, 747, 832},	//809 Okular::TextAnnotation::setInplaceText$
	{55, 821, 828},	//810 Okular::TextAnnotation::setTextFont#
	{55, 823, 826},	//811 Okular::TextAnnotation::setTextIcon$
	{55, 827, 824},	//812 Okular::TextAnnotation::setTextType$
	{55, 883, 840},	//813 Okular::TextAnnotation::store##
	{55, 887, 839},	//814 Okular::TextAnnotation::subType
	{55, 898, 829},	//815 Okular::TextAnnotation::textFont
	{55, 899, 827},	//816 Okular::TextAnnotation::textIcon
	{55, 904, 825},	//817 Okular::TextAnnotation::textType
	{55, 917, 836},	//818 Okular::TextAnnotation::transformedInplaceCallout$
	{55, 987, 823},	//819 Okular::TextAnnotation::~TextAnnotation
	{56, 253, 843},	//820 Okular::TextDocumentConverter::TextDocumentConverter
	{56, 291, 846},	//821 Okular::TextDocumentConverter::addAction#$$
	{56, 294, 847},	//822 Okular::TextDocumentConverter::addAnnotation#$$
	{56, 296, 850},	//823 Okular::TextDocumentConverter::addMetaData$$
	{56, 297, 849},	//824 Okular::TextDocumentConverter::addMetaData$$$
	{56, 305, 848},	//825 Okular::TextDocumentConverter::addTitle$$#
	{56, 329, 855},	//826 Okular::TextDocumentConverter::calculateViewport##
	{56, 362, 845},	//827 Okular::TextDocumentConverter::convert$
	{56, 412, 851},	//828 Okular::TextDocumentConverter::error$$
	{56, 449, 856},	//829 Okular::TextDocumentConverter::generator
	{56, 534, 841},	//830 Okular::TextDocumentConverter::metaObject
	{56, 545, 853},	//831 Okular::TextDocumentConverter::notice$$
	{56, 628, 842},	//832 Okular::TextDocumentConverter::qt_metacall$$?
	{56, 880, 854},	//833 Okular::TextDocumentConverter::staticMetaObject
	{56, 935, 852},	//834 Okular::TextDocumentConverter::warning$$
	{56, 988, 844},	//835 Okular::TextDocumentConverter::~TextDocumentConverter
	{57, 255, 859},	//836 Okular::TextDocumentGenerator::TextDocumentGenerator##?
	{57, 335, 862},	//837 Okular::TextDocumentGenerator::canGeneratePixmap
	{57, 394, 870},	//838 Okular::TextDocumentGenerator::doCloseDocument
	{57, 417, 865},	//839 Okular::TextDocumentGenerator::exportFormats
	{57, 419, 866},	//840 Okular::TextDocumentGenerator::exportTo$#
	{57, 443, 867},	//841 Okular::TextDocumentGenerator::generateDocumentInfo
	{57, 444, 868},	//842 Okular::TextDocumentGenerator::generateDocumentSynopsis
	{57, 446, 863},	//843 Okular::TextDocumentGenerator::generatePixmap#
	{57, 522, 861},	//844 Okular::TextDocumentGenerator::loadDocument$?
	{57, 534, 857},	//845 Okular::TextDocumentGenerator::metaObject
	{57, 606, 864},	//846 Okular::TextDocumentGenerator::print#
	{57, 628, 858},	//847 Okular::TextDocumentGenerator::qt_metacall$$?
	{57, 880, 869},	//848 Okular::TextDocumentGenerator::staticMetaObject
	{57, 901, 871},	//849 Okular::TextDocumentGenerator::textPage#
	{57, 989, 860},	//850 Okular::TextDocumentGenerator::~TextDocumentGenerator
	{58, 257, 872},	//851 Okular::TextEntity::TextEntity$#
	{58, 315, 875},	//852 Okular::TextEntity::area
	{58, 893, 874},	//853 Okular::TextEntity::text
	{58, 913, 876},	//854 Okular::TextEntity::transformedArea#
	{58, 990, 873},	//855 Okular::TextEntity::~TextEntity
	{59, 259, 877},	//856 Okular::TextPage::TextPage
	{59, 260, 878},	//857 Okular::TextPage::TextPage?
	{59, 314, 880},	//858 Okular::TextPage::append$#
	{59, 431, 881},	//859 Okular::TextPage::findText$$$$#
	{59, 893, 883},	//860 Okular::TextPage::text
	{59, 894, 882},	//861 Okular::TextPage::text#
	{59, 897, 884},	//862 Okular::TextPage::textArea?
	{59, 991, 879},	//863 Okular::TextPage::~TextPage
	{60, 276, 885},	//864 Okular::Utils::Utils
	{60, 277, 887},	//865 Okular::Utils::Utils#
	{60, 405, 889},	//866 Okular::Utils::dpiX
	{60, 406, 890},	//867 Okular::Utils::dpiY
	{60, 482, 891},	//868 Okular::Utils::imageBoundingBox#
	{60, 657, 888},	//869 Okular::Utils::rotateRect#$$$
	{60, 992, 886},	//870 Okular::Utils::~Utils
	{61, 279, 894},	//871 Okular::VisiblePageRect::VisiblePageRect
	{61, 280, 898},	//872 Okular::VisiblePageRect::VisiblePageRect#
	{61, 281, 893},	//873 Okular::VisiblePageRect::VisiblePageRect$
	{61, 282, 892},	//874 Okular::VisiblePageRect::VisiblePageRect$#
	{61, 592, 899},	//875 Okular::VisiblePageRect::pageNumber
	{61, 631, 900},	//876 Okular::VisiblePageRect::rect
	{61, 786, 895},	//877 Okular::VisiblePageRect::setPageNumber$
	{61, 795, 896},	//878 Okular::VisiblePageRect::setRect#
	{61, 993, 897},	//879 Okular::VisiblePageRect::~VisiblePageRect
};

static Smoke::Index okular_ambiguousMethodList[] = {
    0,
    89,  // Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
    95,  // Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
    0,
    271,  // Okular::DocumentInfo::set(const QString&, const QString&)
    272,  // Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
    0,
    277,  // Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
    279,  // Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
    0,
    282,  // Okular::DocumentViewport::DocumentViewport(int)
    284,  // Okular::DocumentViewport::DocumentViewport(const QString&)
    0,
    605,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
    604,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
    0,
};


void init_qt_Smoke();
void init_kde_Smoke();

static bool initialized = false;
Smoke *okular_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_okular_Smoke() {
    if (initialized) return;
    init_qt_Smoke();
    init_kde_Smoke();
    okular_Smoke = new Smoke(
        "okular",
        okular_classes, 119,
        okular_methods, 910,
        okular_methodMaps, 879,
        okular_methodNames, 993,
        okular_types, 631,
        okular_inheritanceList,
        okular_argumentList,
        okular_ambiguousMethodList,
        okular_cast );
    initialized = true;
}
